2007-02-28  Damien Carbery <damien.carbery@sun.com>

	* gnome-panel.spec: Remove upstream patch, 16-keynav.
	* patches/gnome-panel-11-trusted-extensions.diff: 3 chunks reworked.
	* patches/gnome-panel-16-keynav.diff: Removed, upstream.
	* esound.spec: Bump to 0.2.37.
	* vte.spec: Bump to 0.15.5. Remove upstream patch 06-environ.
	* patches/vte-02-inputmethod-spotlocation.diff,
	  patches/vte-03-cut-copy-paste-handle.diff,
	  patches/vte-05-selection-perf-improve.diff: Rework.
	* patches/vte-06-environ.diff: Removed, upstream.

2007-02-28  Halton Huo  <halton.huo@sun.com>

	* docbook-dtds.spec: Fix Increase NAMELEN sed script error.
	* glade.spec:  Bump to 3.1.5, 
	  add patch 01-Wall-remove.diff to fix bugzilla #412993,
	  remove obsoleted patch 01-menu-entry.diff.
	* gnome-doc-utils.spec: Fix source url error,
	  Remove old comments about upgarde from 0.8.x to 0.9.x.
	* gucharmap.spec: Remove patch 02-gnome-doc-utils-ver 
	  since g-d-u is upgrade to 0.9.x.
	* rhythmbox.spec: Remove patch 02-gnome-doc-utils 
	  since g-d-u is upgrade to 0.9.x.
	* patches/glade-01-Wall-remove.diff: Added.
	* patches/glade-01-menu-entry.diff: Removed.
	* patches/gucharmap-02-gnome-doc-utils-ver.diff: Removed.
	* patches/rhythmbox-02-gnome-doc-utils.diff: Removed.

2007-02-28  Jerry Yu  <jijun.yu@sun.com>

	* gnome-pilot.spec: Remove upstream patch,
	  gnome-pilot-02-pilot_connect.diff.

2007-02-28  Brian Cameron  <brian.cameron@sun.com>

	* gdm.spec, patches/gdm-06-languages.diff: Add patch to 
	  support changing languages on the fly.  This patch is
	  from Takao Fujiwara and will be applied to GDM 2.19,
	  but we want this feature in GNOME 2.18 for Solaris.

2007-02-28  Simon.Zheng  <simon.zheng@sun.com>

	* evolution.spec: Change comment on evolution-04-pixmap-new.diff.

2007-02-28  Li Yuan <li.yuan@sun.com>

	* at-spi.spec: Remove patch upstream patch, 
	at-spi-01-get-attributes-crash.diff.

2007-02-28  Wang Xin <jedy.wang@sun.com>

	* evolution.spec: Update patch comments.
	* scrollkeeper.spec: Update patch comments.

2007-02-28  Simon Zheng  <simon.zheng@sun.com>

	* evolution-data-server.spec: Bump to 1.9.92.
	* evolution.spec: Bump to 2.9.92.
	* gtkhtml.spec: Bump to 3.13.92.
	* libsoup.spec: Bump to 2.2.100.
	* evolution-exchange.spec: Bump to 2.9.92.
	* patches/evolution-exchange-01-sun-ldap.diff: Rework.

2007-02-27  Damien Carbery <damien.carbery@sun.com>

	* gnome-doc-utils.spec: Bump to 0.9.2. Add patch, 01-nawk-w, to remove
	  '-W compat' switch that breaks on Solaris.
	* patches/gnome-doc-utils-01-nawk-w.diff: Remove '-W compat' switch that
	  breaks on Solaris.
	* gnome-screensaver.spec: Bump to 2.17.8.
	* gnome-speech.spec: Bump to 0.4.10.
	* gnome-menus.spec, control-center.spec, gnome-session.spec,
	  gnome-panel.spec: Bump to 2.17.92.
	* patches/control-center-06-custom-keybinding.diff,
	  patches/control-center-11-trusted-extensions.diff: Minor rework.
	* gedit.spec: Bump to 2.17.6. Remove upstream patch, 03-grep.
	* patches/gedit-03-grep.diff: Removed, upstream.
	* libbonoboui.spec: Bump to 2.17.94.
	* nautilus-cd-burner.spec, gnome-screensaver.spec: Bump to 2.17.8.
	* patches/gnome-panel-07-restrict-app-launching.diff,
	  patches/gnome-panel-10-clock-timezone.diff,
	  patches/gnome-panel-13-lockdown-applets.diff: Minor rework.

2007-02-27  Damien Carbery <damien.carbery@sun.com>

	* docbook-dtds.spec: Change sed call to remove unsupported -i switch.

2007-02-27  Brian Cameron  <brian.cameron@sun.com>

	* intltool.spec: Bump to 0.35.5.  This fixes a bug that caused
	  "make distcheck" to fail if you used a POTFILES.skip file.
	* patches/intltool-01-g11n-desktop-comment.diff: Upstream patch
	  removed.

2007-02-27  Halton Huo  <halton.huo@sun.com>

	* vino.spec: Bump to 2.17.92, add patch gtkicontheme-header.diff
	  to fix bugzilla #412559.
	* patches/vino-01-gtkicontheme-header.diff: Added.

2007-02-27  Chris Wang <chris.wang@sun.com>
	
	* update the patch status of gdesklets-04 ,06 and gdesklets-extra-01
	
2007-02-26  Laszlo (Laca) Peter  <laca@sun.com>

	* docbook-dtds.spec: (new) docbook DTDs from Fedora Core 6
	* docbook-style-dsssl.spec: (new) docbook DSSSL stylesheets from FC6
	* docbook-style-xsl.spec: (new) docbook XSL stylesheets from FC6
	* sgml-common.spec: (new) common sgml catalogs and dtds from FC6
	* ext-sources/dbtohtml.dsl: delete.
	* ext-sources/docbook-catalog-install.sh: (new) script for updating
	  the xml/sgml catalogs after installing the stylesheets.
	  Gets installed in /usr/share/sgml/docbook and executed via postrun.
	  Created based on the %post scripts of the docbook spec files.
	* ext-sources/docbook-catalog-uninstall.sh: (new)
	  script for updating the xml/sgml catalogs after uninstalling
	  the stylesheets.
	* ext-sources/docbook-dsssl-stylesheets-README.SuSE: delete.
	* ext-sources/docbook-style-dsssl.Makefile: (new) Makefile for
	  docbook-style-dsssl.spec (FC6)
	* ext-sources/docbook-style-xsl.Makefile: (new) Makefile for
	  docbook-stye-xsl.spec (FC6)
	* ext-sources/docbook-xsl-stylesheets-README.SuSE: delete.
	* ext-sources/docbook_3-README.SuSE: delete.
	* ext-sources/docbook_4-README.SuSE: delete.
	* ext-sources/html.dcl: (new) SGML declaration for HTML (FC6)
	* ext-sources/html.soc: (new) SGML open style entity catalog for HTML
	  (FC6)
	* ext-sources/ld2db.dsl: delete.
	* ext-sources/png-support-3.1.dtd: delete.
	* ext-sources/png-support.dtd: delete.
	* ext-sources/xml.dcl: (new) SGML declaration for valid XML docs (FC6)
	* ext-sources/xml.soc: (new) pass (FC6)
	* patches/docbook-dtds-01-30-sgml-1.0.catalog.diff: (new) docbook 3.0
	  sgml catalog
	* patches/docbook-dtds-02-31-sgml-1.0.catalog.diff: (new) docbook 3.1
	  sgml catalog
	* patches/docbook-dtds-03-40-sgml-1.0.catalog.diff: (new) docbook 4.0
	  entity sgml catalog
	* patches/docbook-dtds-04-41-sgml-1.0.catalog.diff: (new) docbook 4.1
	  sgml catalog
	* patches/docbook-dtds-05-42-sgml-1.0.catalog.diff: (new) docbook 4.2
	  entity sgml catalog
	* patches/docbook-dtds-06-4.2-euro.diff: (new) pass. (FC6)
	* patches/docbook-dtds-07-ents.diff: (new) docbook 4.3 entity catalog
	  (FC6)
	* patches/docbook-style-xsl-01-pagesetup.diff: (new) pass. (FC6)
	* patches/docbook-style-xsl-02-marginleft.diff: (new) pass. (FC6)
	* patches/docbook-style-xsl-03-lists.diff: (new) pass. (FC6)
	* patches/docbook-style-xsl-04-sp.diff: (new) pass. (FC6)
	* patches/docbook-style-xsl-05-g11n-i18n-ja.diff: renamed from
	  Solaris/patches/docbook-xsl-stylesheets-02-g11n-i18n-ja.diff
	* patches/sgml-common-01-umask.diff: (new) set umask in
	  install-catalog (FC6)
	* patches/sgml-common-02-xmldir.diff: (new) moves xml iso entities
	  from /usr/share/sgml to /usr/share/xml (FC6)
	* patches/sgml-common-03-quotes.diff: (new) install-catalog fixes (FC6)
	* patches/sgml-common-04-automake.diff: (new) Makefile fix (FC6)
	* patches/sgml-common-05-docdir.diff: (new) adds --with-docdir
	  configure argument (FC6)
	* icon-naming-utils.spec: add comment about INU_DATA_DIR
	* patches/glib-04-msgfmt-c.diff: update to match the patch
	  uploaded to bugzilla

2007-02-26  Dermot McCluskey <dermot.mccluskey@sun.com>

	==== Vermillion build 60 ====

2007-02-26  Brian Cameron  <brian.cameron@sun.com>

	* aspell.spec: Fix patch comment.
	* patches/gtk+-04-mediaLib.diff: Minor change to comments in the
	  patch to say "mediaLib" rather than "MediaLib".  Also change
	  "#if defined(sun)" to "#if defined (__sun)".

2007-02-26  Jeff Cai<jeff.cai@sun.com>

	* gedit.spec:enable spell checker.
	* patches/gedit-03-grep.diff:patch to remove '-q' option
	  of grep. Fix #412140.

2007-02-26  Halton Huo  <halton.huo@sun.com>

	* vino.spec: remove option --enable-session-support=yes to 
	  do not distribute vino-session
	* patches/vino-01-remove-vino-session.diff: remove useless patch

2007-02-26  Dave Lin  <dave.lin@sun.com>

	* firefox.spec: Bump version to 2.0.0.2

2007-02-25  Doug Scott <dougs@truemail.co.th>

	* patches/dbus-02-have-atomic.diff: RFE: #6480511

2007-02-25  Doug Scott <dougs@truemail.co.th>

	* dbus.spec: updated to include 64-bit build RFE: #6480511
	* dbus-python.spec: updated to include 64-bit build RFE: #6480511
	* dbus-glib.spec: updated to include 64-bit build RFE: #6480511

2007-02-23  Ghee Teo <ghee.teo@sun.com>

	* patches/gtk+-13-printing-papi-backend.diff: Fixed 6524135.

2007-02-22  Matt Keenan <matt.keenan@sun.com>

	* patches/gnome-panel-10-clock-timezone.diff: Fix #6527031
	  Remove references to non existent glade widget.

2007-02-22  Ghee Teo <ghee.teo@sun.com>

	* gnome-session-08-trusted-extensions.diff: fixes
	  6515872 and 6521918

2007-02-22  Damien Carbery <damien.carbery@sun.com>

	* totem.spec: Bump to 2.17.92. Remove upstream patches, 04-shell-func,
	  05-func-macro and 06-debug-macros.
	* patches/totem-04-shell-func.diff, patches/totem-05-func-macro.diff,
	  patches/totem-06-debug-macros.diff: Removed, upstream.
	* rhythmbox.spec: Add patch, 02-gnome-doc-utils, to create
	  gnome-doc-utils.m4 in macros subdir. This is needed because g-d-u is
	  too old (it's blocked waiting for docbook update). The dir order in
	  the aclocal call is also reversed to pick up the new
	  gnome-doc-utils.m4 before the (older) system one. When g-d-u is
	  updated the patch can be removed and aclocal call restored.
	* patches/rhythmbox-02-gnome-doc-utils.diff: Added.
	* gnome-doc-utils.spec: Add note that rhythmbox-02-gnome-doc-utils.diff
	  can be removed when g-d-u is bumped.

2007-02-21  Dermot McCluskey <dermot.mccluskey@sun.com>

	* virt-manager.spec: un-do accidental commit

2007-02-21  Laszlo (Laca) Peter  <laca@sun.com>

	* audiofile.spec: (new) split from SUNWgnome-audio.spec
	* esound.spec: (new) split from SUNWgnome-audio.spec

2007-02-21  Takao Fujiwara  <takao.fujiwara@sun.com>

	* gaim.spec: Updated for l10n tarball.
	* gnome-utils.spec: Updated for l10n tarball.
	* patches/gaim-05-protocol-mnemonics.diff: Updated for SUN_BRANDING
	* patches/gnome-utils-04-logview-plugin.diff: Updated for SUN_BRANDING
	  and changed some string for the leverage. Fixes 6522889 and 6463000
	* po-sun/Makefile: Updated
	* po-sun/gaim: Added
	* po-sun/gnome-utils: Updated

2007-02-21  Doug Scott <dougs@truemail.co.th>

	* SUNWpcre.spec: Bump to 7.0

2007-02-20  Dermot McCluskey <dermot.mccluskey@sun.com>

	* ext-sources/acroread-combined-langs: sync with new acroread ver

2007-02-20  Dermot McCluskey <dermot.mccluskey@sun.com>

	* virt-manager.spec: un-do accidental commit

2007-02-20  Dermot McCluskey <dermot.mccluskey@sun.com>

	* acroread.spec: Up-rev to 7.0.9 for security fix

2007-02-20  Chris Wang <chris.wang@sun.com>

	* patch/gdesklets-01-Solaris-support.diff, re-generate the patch since
	  the source has been Bumped to 0.35.4.
	* patch/gdesklets-05-performance.diff, merge patch 05 to 01.
	
2007-02-20  Chris Wang <chris.wang@sun.com>

	* patch/gdesklets-01-solaris-support.diff, replace uname to uname -p
	  
2007-02-19  Damien Carbery <damien.carbery@sun.com>

	* gnome-applets.spec: Specify pythondir in make install so that we
	  install into vendor-packages dir rather than site-packages.

2007-02-18  Glynn Foster  <glynn.foster@sun.com>

	* gnome-applets.spec: Add pythondir so that we install into
	vendor-packages rather than site-packages.

2007-02-18  Glynn Foster  <glynn.foster@sun.com>

	* gnome-applets.spec,
	patches/gnome-applets-04-deprecate-now-applet.diff: Add patch to
	provide user notification that the now applet has been deprecated
	as per LSARC 2006/600.

2007-02-16  Damien Carbery <damien.carbery@sun.com>

	* gtk-doc.spec: Bump to 1.8.
	* gdesklets.spec: Bump to 0.35.4. Update URL to gdesklets.de.
	* patches/gdesklets-01-Solaris-support.diff: Remove upstream chunks
	  for gdesklets and ArchFactory.py.

2007-02-16   Brian Cameron  <brian.cameron@sun.com>

	* patches/gtk+-04-mediaLib.diff: Fix some bugs I noticed in testing.

2007-02-16  Damien Carbery <damien.carbery@sun.com>

	* gucharmap.spec: Add patch, 02-gnome-doc-utils-ver, to allow building
	  with gnome-doc-utils 0.8.0.
	* patches/gucharmap-02-gnome-doc-utils-ver.diff: Change gnome-doc-utils
	  requirement from 0.9.0 to 0.8.0 because g-d-u 0.9.0 doesn't build on
	  Solaris - waiting for docbook updates.
	* gnome-doc-utils.spec: Add note about gucharmap patch.
	* patches/flac-01-forte.diff: Add another chunk: s/__inline/inline/

2007-02-16   Brian Cameron  <brian.cameron@sun.com>

	* cairo.spec, patches/cairo-05-mediaLib.diff:  Add mediaLib
	  functions that improve performance with evince.  Add autoheader
	  call in cairo.spec which is needed for the mediaLib patch to
	  work.
	* patches/gtk+-04-mediaLib.diff: Rework so it uses the documented
	  mlib_ImageSetStruct function rather than the undocumented
	  mlib_ImageSet functions.  This change recommended from review
	  with James.Cheng@sun.com from the mediaLib team.

2007-02-16  Takao Fujiwara  <takao.fujiwara@sun.com>

	* gtk2.spec: Removed '-c' option of msgfmt in po*/Makefile.in.in

2007-02-16   Brian Cameron  <brian.cameron@sun.com>

	* gnome-media.spec, patches/gnome-media-03-cdda.diff:  Remove
	  usless patch.  The useful part of this patch was removed when
	  Damien updated gnome-media to 2.17.91.

2007-02-16  Chris Wang <chris.wang@sun.com>

	* patch/gdesklets-extra-01-solaris-support.diff, fix the bugs on 
	  Weekly calendar, SidyCandy CPU, SideCandy network widgets
	* patch/gdesklets-01-rel-symlinks.diff, the symbol link point to th
	  wrong directory.
	* patch/gdesklets-06-tar.diff, fix the bug that the gdesklets 
	  package function depend on gnu tar's options
	
2007-02-15  Damien Carbery <damien.carbery@sun.com>

	* gucharmap.spec: Bump to 1.9.0.
	* gnome-games.spec: Add patch, 01-grep-no-q.diff, to remove '-q' from
	  grep calls. Fixes 408331. Specify build user/group so that chown
	  calls don't fail; disable building of aisleriot game (removing code
	  from SUNWgnome-games.spec).
	* patches/gnome-games-01-grep-no-q.diff: Added, fixes 408331.
	* patches/pilot-link-01-m4.diff: s/dnl/##/ so that aclocal doesn't pick
	  up the invalid IT_PROG_INTLTOOL macro.

2007-02-15  Erwann Chenede <erwann.chenede@sun.com>

	* gtk2.spec: Updated patch comments.

2007-02-15  Chris Wang <chris.wang@sun.com>

	* Update the state of patch 1,3,4,5 of gdesklets to upstream

2007-02-15   Brian Cameron  <brian.cameron@sun.com>

	* gtk2.spec, gst-plugins-good.spec, glib2.spec: Update patch
	  comments - moving branding to feature.
	* gdm.spec, patches/gdm-06-sessionexit.diff: Back out patch
	  do to comments in review.

2007-02-15  Damien Carbery <damien.carbery@sun.com>

	* flac.spec: Bump to 1.1.4.

2007-02-15  Chris Wang <chris.wang@sun.com>

	* patches/gdesklets-01-solaris-support.diff: Change the bogomips
	  initial value to 0.
	* patches/gdesklest-05-performance.diff: The patch that increase the 
	  performance of gdesklets on Solaris.
	
2007-02-15  Elaine Xiong <elaine.xiong@sun.com>

	* patches/ekiga-21-pwlib-v4l2-enable.diff: Added for bug407828
	* ekiga.spec: enable v4l2 plugin in ekiga

2007-02-14  Damien Carbery <damien.carbery@sun.com>

	* patches/gnome-session-08-trusted-extensions.diff: Rework main.c.
	* ekiga.spec: Bump to 2.0.5; bump pwlib to 1.10.4 & bump opal to 2.2.5.
	* patches/dasher-03-return-value.diff: Rework using changed from
	  maintainer.
	* patches/vte-06-environ.diff: Simplify patch in conjunction with 
	  vte maintainer.

2007-02-14  Damien Carbery <damien.carbery@sun.com>

	* vte.spec: Remove upstream patch, 06-vte-pty-open. Add patch,
	  06-environ, to fix #407839 (s/environ/envp).
	* patches/vte-06-environ.diff: Added to fix 407839.
	* dbus-python.spec: Bump to 0.80.2.
	* dbus-glib.spec: Bump to 0.73. Remove upstream patch 01-uninstalled-pc.
	  Rename remainder.
	* patches/dbus-glib-01-uninstalled-pc.diff: Removed, upstream.
	* patches/dbus-glib-01-findlaunch.diff: Renamed from 02 and reworked.
	* dasher.spec: Add patch, 03-return-value, to return values from
	  functions (functions involved as in the process of being 
	  reimplemented). Fixes #407773.
	* patches/dasher-03-return-value.diff: Added, for #407773.

2007-02-14   Brian Cameron  <brian.cameron@sun.com>

	* patches/gtk+-04-mediaLib.diff: Slightly rework patch so
	  the code in gdkrgb.c and gdkdraw.c is faster, avoiding
	  checking to see if we should use mediaLib each time the
	  functions are called.  Instead just check once.

2007-02-14  Jerry Yu <jijun.yu@sun.com>

	* pilot-link.spec: Bump to 0.12.2.
	* patches/pilot-link-01-define-fund.diff: removed, upstream.
	* patches/pilot-link-02-int-type.diff: removed, upstream.
	* patches/pilot-link-01-m4.diff: Add a patch to fix bug #1790 on
	  bugs.pilot-link.org.

2007-02-14  Takao Fujiwara  <takao.fujiwara@sun.com>

	* control-center.spec dasher.spec ekiga.spec eog.spec evince.spec
	  evolution.spec file-roller.spec gcalctool.spec gdm.spec
	  gedit.spec gimp.spec glade.spec gnome-desktop.spec gnome-pilot.spec
	  gnome-system-monitor.spec gnome-terminal.spec gok.spec gtk2.spec
	  gtkam.spec gucharmap.spec libwnck.spec nautilus.spec
	  sound-juicer.spec totem.spec
	  : Added Sun translations.
	* patches/control-center-06-custom-keybinding.diff
	  patches/dasher-01-menu-entry.diff
	  patches/ekiga-06-menu-entry.diff
	  patches/eog-02-menu-entry.diff
	  patches/evince-01-menu-entry.diff
	  patches/evolution-02-menu-entry.diff
	  patches/file-roller-01-menu-entry.diff
	  patches/gcalctool-01-menu-entry.diff
	  patches/gdm-02-branding-general.diff
	  patches/gedit-02-menu-entry.diff
	  patches/gimp-01-menu-entry.diff
	  patches/glade-01-menu-entry.diff
	  patches/gnome-desktop-01-jds-about-branding.diff
	  patches/gnome-pilot-07-launch-menu-item.diff
	  patches/gnome-system-monitor-02-launch-menu-item.diff
	  patches/gnome-terminal-02-menu-entry.diff
	  patches/gnome-utils-02-gnome-screenshot.diff
	  patches/gnome-utils-05-logview-launch-menu-item.diff
	  patches/gok-03-menu-comment.diff
	  patches/gtk+-02-fileseldlg-navbuttons.diff
	  patches/gtk+-05-file-chooser.diff
	  patches/gtkam-01-menu-entry.diff
	  patches/gucharmap-01-menu-entry.diff
	  patches/libwnck-01-trusted-extensions.diff
	  patches/nautilus-05-context-menu.diff
	  patches/nautilus-07-lockdown.diff
	  patches/nautilus-09-interface-changes.diff
	  patches/nautilus-10-acl.diff
	  patches/nautilus-11-trusted-extensions.diff
	  patches/sound-juicer-02-menu-entry.diff
	  patches/totem-02-menu-entry.diff
	  : Updated for SUN_BRANDING
	* po-sun/Makefile: Updated for additional modules.
	* po-sun/gnome-utils: Updated translations.
	* po-sun/control-center po-sun/dasher po-sun/ekiga po-sun/eog
	  po-sun/evince po-sun/evolution po-sun/file-roller
	  po-sun/gcalctool po-sun/gdm po-sun/gedit po-sun/gimp po-sun/glade
	  po-sun/gnome-desktop po-sun/gnome-menus po-sun/gnome-panel
	  po-sun/gnome-pilot po-sun/gnome-system-monitor po-sun/gnome-terminal
	  po-sun/gnome-utils po-sun/gok po-sun/gtk2 po-sun/gtkam po-sun/totem
	  po-sun/gucharmap po-sun/libwnck po-sun/metacity po-sun/nautilus
	  po-sun/sound-juicer: Added new translations. Fixes 6485370

2007-02-14  Jeff Cai <jeff.cai@sun.com>

	* enchant.spec:
	* gnome-spell.spec:
	* patches/enchant-02-uninstalled-pc.diff:
	* patches/gnome-spell-01-enchant.diff:
	Make gnome-spell use enchant and enchant use myspell.
	Fix #80802 of bugzilla.ximian.com

2007-02-13  Damien Carbery <damien.carbery@sun.com>

	* alacarte.spec: Bump to 0.11.3.
	* nautilus.spec: Bump to 2.17.91. Remove upstream patch, 12-eject-crash.
	* patches/nautilus-12-eject-crash.diff: Removed, upstream.
	* vte.spec: Bump to 0.15.3.
	* patches/vte-05-selection-perf-improve.diff: Rework vte.c chunks.
	* gnome-terminal.spec: Bump to 2.17.91.
	* control-center.spec: Bump to 2.17.91. Remove upstream patches,
	01-keybindings-close and 16-function-macro. Renumber 15 to 01.
	* patches/control-center-01-keybindings-close.diff: Removed, upstream.
	* patches/control-center-03-no-libgnomekbd.diff: Rework Makefile.am 
	  chunk.
	* patches/control-center-06-custom-keybinding.diff: Rework.
	* patches/control-center-16-function-macro.diff: Removed, upstream.
	* patches/control-center-01-sound-preview.diff: Renamed from 15.
	* pango.spec: Bump to 1.15.6.

2007-02-13  Damien Carbery <damien.carbery@sun.com>

	* gnome-games.spec, gnome-menus.spec: Bump to 2.17.91.
	* gtk2-engines.spec: Bump to 2.9.3.
	* evolution-webcal.spec: Bump to 2.9.91.
	* gnome-netstatus.spec: Bump to 2.12.1.
	* patches/gnome-netstatus-03-icon-symlink.diff: Remove fr/Makefile.am
	  and sv/Makefile.am chunks as those files have been removed. The commit
	  comment for the 'fr' dir says they moved to gnome-doc-utils.
	* patches/gnome-menus-03-preferences.diff: Rework a settings.menu chunk.

2007-02-13  Damien Carbery <damien.carbery@sun.com>

	* gnome-keyring.spec: Bump to 0.7.91.
	* patches/gnome-keyring-01-pkcs.diff: Rework Makefile.am and
	  configure.in chunks.
	* zenity.spec, eog.spec, gnome-session.spec, gnome-desktop.spec: Bump
	  to 2.17.91.
	* patches/eog-02-menu-entry.diff: Rework.
	* gtksourceview.spec: Bump to 1.8.4.
	* dasher.spec: Bump to 4.3.4.
	* gnome-panel.spec: Bump to 2.17.91. Remove upstream patches,
	  16-gok-grab-menu and 17-fixclock. Renumber rest.
	* patches/gnome-panel-16-gok-grab-menu.diff: Removed, upstream.
	* patches/gnome-panel-17-fixclock.diff: Removed, upstream.
	* patches/gnome-panel-16-keynav.diff: Renamed from 18.
	* patches/gnome-session-05-gnome-about.diff: Rework main.c chunk.
	* patches/alacarte-01-force-reload.diff: Rework MenuEditor.py chunk.

2007-02-13  Damien Carbery <damien.carbery@sun.com>

	* libgnomeprintui.spec, evolution-exchange.spec, gnome-icon-theme.spec,
	  libgnomeprint.spec, file-roller.spec, libwnck.spec: Bump to 2.17.91.
	* evolution.spec: Bump to 2.17.91. Remove upstream patches, 13-glade,
	  14-etext and 16-mail-header. Renumber remainder.
	* patches/evolution-13-glade.diff: Removed, upstream.
	* patches/evolution-14-etext.diff: Removed, upstream.
	* patches/evolution-16-mail-header.diff: Removed, upstream.
	* patches/evolution-13-add-attachment.diff: Renamed from 15.
	* nautilus-cd-burner.spec: Bump to 2.17.7.
	* evince.spec: Bump to 0.7.2. Remove upstream patch, 03-threads-fix.
	* patches/evince-02-gs-sfw.diff: Rework.
	* patches/evince-03-threads-fix.diff: Removed, upstream.
	* gnome-utils.spec: Bump to 2.17.92.
	* patches/gnome-utils-02-gnome-screenshot.diff: Rework one chunk.
	* patches/gdesklets-02-rel-symlinks.diff: Correct link target: s|../||

2007-02-13  Damien Carbery <damien.carbery@sun.com>

	* deskbar-applet.spec, orca.spec, gnome-system-monitor.spec,
	  libgnome.spec, libgnomeui.spec, gnome-media.spec, libbonobo.spec,
	  libbonoboui.spec: Bump to 2.17.91.
	* gnome-vfs.spec: Bump to 2.17.91. Remove upstream patch, 10-hidden.
	* patches/gnome-vfs-10-hidden.diff: Removed, upstream.
	* patches/gnome-system-monitor-01-solaris.diff: Remove upstream chunk
	  for src/sysinfo.cpp.
	* patches/gnome-media-03-cdda.diff: Remove upstream chunk for
	  gnome-cd/gst-cdrom.c.
	* patches/gnome-media-04-disable-gnome-cd.diff: Rework.
	* libgtop.spec: Bump to 2.14.7.
	* gnome-screensaver.spec: Bump to 2.17.7.
	* at-spi.spec, atk.spec, gail.spec: Bump to 1.17.0.
	* ORBit2.spec: Bump to 2.14.6. Remove upstream patch, 01-uninstalled_pc.
	* patches/ORBit-01-uninstalled_pc.diff: Removed, upstream.

2007-02-12   Brian Cameron  <brian.cameron@sun.com>

	* libgphoto.spec, gphoto.spec: Bump to 2.3.1.
	* gdm.spec, patches/gdm-06-sessionexit.diff: Bump to 2.7.1 and
	  add patch to call sessionexit script on session exit.
	* patches/libgphoto2-05-fixcameralist.diff: Updated so patch
	  applies to latest version.
	* patches/gtk+-04-mediaLib.diff: Fix problem where in the GDK
	  library the initialization function was being called every
	  time gdk_rgb_convert_0888_medialib or composite_0888_medialib
	  was called.

2007-02-13  Halton Huo  <halton.huo@sun.com>

	* vino.spec, patches/vino-01-remove-vino-session.diff:
	  Add patch to fix bugzilla  #407364

2007-02-12  Damien Carbery <damien.carbery@sun.com>

	* gtkhtml.spec: Bump to 3.13.91.
	* patches/gtkhtml-01-backward-finding.diff: Rework one chunk.
	* gnome-themes.spec: Bump to 2.17.91.
	* gcalctool.spec: Bump to 5.9.12.
	* evolution-data-server.spec: Bump to 1.9.91. Remove upstream patch,
	  03-mail-header.
	* patches/evolution-data-server-03-mail-header.diff: Removed, upstream.
	* gedit.spec: Bump to 2.17.5.

2007-02-12  Damien Carbery <damien.carbery@sun.com>

	* firefox.spec: Add patch, 02-xpcom-mps.diff, to add
	  '-I/usr/include/mps' to firefox-xpcom.pc to allow totem to find
	  prtypes.h (as nscore.h includes this).
	* patches/firefox-02-xpcom-mps.diff: Added, to fix #402881.
	* gnome-speech.spec: Bump to 0.4.9.

2007-02-12  Damien Carbery <damien.carbery@sun.com>

	==== Vermillion Devel build 59 ====

2007-02-12   Brian Cameron  <brian.cameron@sun.com>

	* patches/liboil-01-detection.diff:  Another minor update to patch	
	  found in code review with James Cheng.

2007-02-12  Chris Wang  <chris.wang@sun.com

	* patch/gdesklets-03-number-of-cpu.diff: fix bugzilla:406957
	 the gdesklets get the wrong number of CPU on Sparc
	* patch/gdesklets-04-parse-args.diff: fix bugzilla:406961
	 the gdesklets parse the args incorrectly on Sparc
	
2007-02-12   Brian Cameron  <brian.cameron@sun.com>

	* patches/liboil-01-detection.diff:  Update if-test in patch
	  so it works better.  Issue caught by James Cheng in code review.

2007-02-12  Brian Lu  <brian.lu@sun.com>

	* patches/firefox-12-bookmark-drag-and-drop.diff
	  fix bug CR6519241:bookmark drag and drop crash firefox
	  bugzilla id 367203. The patch has been put into upstream
	* patches/thunderbird-11-drag-and-drop.diff
	  fix bug CR6519257: email drag and drop to a folder is failing 
	  bugzilla id 367203. The patch has been put into upstream

2007-02-09  Jim Li  <jim.li@sun.com>

	* patches/gnome-system-tools-02-forkpty.diff:
	  Fix for Bug#6508953, file description manipulation operation
	  should be right after open/fopen
	* patches/libgksu1.2-04-rbac-support.diff:
	  same above.

2007-02-09   Brian Cameron  <brian.cameron@sun.com>

	* gok.spec, patches/gok-05-fixlogin.diff: Update patch so it works
	  and fix gok.spec so patch applies with -p1 instead of -p0.

2007-02-09  Halton Huo  <halton.huo@sun.com>

	* vino.spec, patches/vino-01-fix-a11y-hang.diff:
	  Remove useless patch vino-01-fix-a11y-hang.diff.

2007-02-09  Jim Li  <jim.li@sun.com>

	* patches/system-tools-backends-04-network.diff:
	  Fix for Bug#6508976 where wireless card didn't work with noencryption
	  when the profile dones't exist

2007-02-09  Jeff Cai<jeff.cai@sun.com>

	* evolution-data-server.spec:
	* evolution.spec:
	* patches/evolution-16-mail-header.diff:
	* patches/evolution-data-server-03-mail-header.diff:
	Add patch to fix #400841

2007-02-09   Brian Cameron  <brian.cameron@sun.com>

	* liboil.spec: Add patch to support Solaris hardware acceleration
	  support.
	* patches/liboil-01-detection.diff:  New patch so hardware
	  acceleration detection works properly on Solaris.

2007-02-09   Jerry Yu <jijun.yu@sun.com>

	* evolution.spec:
	  patches/evolution-11-memo.diff: Change a value from NULL to 
	  a null string to avoid critical warning(#389668)
	
2007-02-09   Brian Cameron  <brian.cameron@sun.com>

	* libtheora.spec: Bump to 1.0alpha7.  Remove upstream patch,
	  01-noversionscript.  Add --disable-asm to configure which
	  corrects the problem that caused Damien to have compile
	  issues when he tried to upgrade this previously.
	* patches/libtheora-01-noversionscript.diff: Removed.
	* gst-plugins-base.spec:  Add patch comments.

2007-02-08 Erwann Chenede - <erwann.chenede@sun.com>

	* pango.spec: fixed patch owners

2007-02-08  Damien Carbery <damien.carbery@sun.com>

	* totem.spec: Add patch, 04-shell-func, to make shell script work. Add
	  patch 05-func-macro to use G_GNUC_FUNCTION (#405850) and 
	  06-debug-macros to use G_GNUC_PRETTY_FUNCTION and proper va_args
	  (#405880).
	* patches/totem-04-shell-func.diff: Added, removes 'function ' from a
	  shell script, fixes #405758.
	* patches/totem-05-func-macro.diff: Added for #405850.
	* patches/totem-06-debug-macros.diff: Added for #405880.

2007-02-08  Damien Carbery <damien.carbery@sun.com>

	* totem.spec: Bump to 2.17.91. Remove upstream patches,
	  03-function-macro and 04-moz-plugin. Renumber rest.
	* patches/totem-01-remove-unsupported-format.diff: Rework.
	* patches/totem-03-function-macro.diff,
	  patches/totem-04-moz-plugin.diff: Removed, upstream.
	* patches/totem-03-novisual.diff: Rename from 05.

2007-02-08  Damien Carbery <damien.carbery@sun.com>

	* gimp.spec: Bump to 2.3.14.
	* patches/gimp-01-menu-entry.diff: Update for new tarball.
	* gaim.spec: Renumber 'Patch??:' lines to be sequential after Patch3
	  removal.
	* gnome-panel.spec: Reenable patch10 and zone_tab.sh script as they now
	  apply correctly.
	* patches/totem-04-moz-plugin.diff: Remove unnecessary chunk. #405683.

2007-02-08   Brian Cameron  <brian.cameron@sun.com>

	* vte.spec, patches/vte-01-vtefc.diff: Remove unused patch and
	  remumber the rest.
	* totem.spec: Fix patch comments.

2007-02-07   Rick Ju <rick.ju@sun.com>

	* patches/gaim-09-dbus-abort.diff: fixed #6508240
	
2007-02-06  Damien Carbery <damien.carbery@sun.com>

	* gdesklets.spec: Add patch, 02-rel-symlinks, to change absolute
	  symlinks to relative. #405100.
	* patches/gdesklets-02-rel-symlinks.diff: Added, #405100.
	* pygtk2.spec: Bump to 2.10.4.

2007-02-06  Matt Keenan  <matt.keenan@sun.com>

	* eog.spec : Remove linker patch 02-jpeg, no longer needed
	* patches/eog-02-jpeg.diff : Remove
	* patches/eog-03-menu-entry.diff : Re-number
	* gtkam.spec : Update patch comments

2007-02-06  Alvaro Lopez Ortega  <alvaro@sun.com>

	* gnome-vfs.spec, patches/gnome-vfs-11-acl-permissions.diff: Patch
	removed. It is no longer needed.

2007-02-06  Brian Cameron  <brian.cameron@sun.com>

	* gst.spec, patches/gst-02-solaris-resolv.diff:  Remove unneeded
	  patch.

2007-02-06  Alvaro Lopez Ortega  <alvaro@sun.com>

	* ext-sources/svc-dbus: Fixes 6466379

2007-02-06  Darren Kenny  <darren.kenny@sun.com>

	* patches/gnome-system-tools-08-services.diff:
	  Fix for Bug#6516901. 

2007-02-06 Jerry Tan <jerry.tan@sun.com>
	* gst-plugins-good.spec, patches/gst-plugins-good-04-opendeviceonce.diff
	* gnome-media.spec, patches/gnome-media-06-removenewbutton.diff
	  remove new button from soundrecorder, and keep open device once for 
	  sunray

2007-02-05  Damien Carbery <damien.carbery@sun.com>

	* gdesklets.spec: Remove the unnecessary reference to LD_LIBRARY_PATH.

2007-02-05  Padraig O'Briain <padraig.obriain@sun.com>

	* libwnck.spec: Add patch libwnck-02-group-windows.diff
	* patches/libwnck-02-group-windows.diff: Patch for bugzilla 339861.

2007-02-05  Padraig O'Briain <padraig.obriain@sun.com>

	* at-spi.spec: Add patch at-spi-01-get-attributes-crash.diff
	* patches/at-spi-01-get-attributes-crash.diff: Patch to fix bugzilla 
	404584.

2007-02-05  Damien Carbery <damien.carbery@sun.com>

	* patches/gaim-02-libgaimperl.diff: Correct patch to follow what
	  maintainer has committed to SVN trunk.

2007-02-05  Padraig O'Briain <padraig.obriain@sun.com>

	* nautilus.spec: Correct last update

2007-02-05  Takao Fujiwara  <takao.fujiwara@sun.com>

	* libgksu.spec: Reverted
	* patches/libgksu1.2-04-rbac-support.diff: Reverted for the review.

2007-02-05  Padraig O'Briain <padraig.obriain@sun.com>

	* gnome-panel.spec: Add patch gnome-panel-18-keynav.diff
	* patches/gnome-panel-18-keynav.diff: Patch to fix bugzilla 402431

2007-02-05  Chris Wang <chris.wang@sun.com>
	
	* gdesklets.spec: Add spec file for gdesklets
	* gdesklets-extra.spec: Add spec file for gdesklets extra widgets
	* gdesklets-01-Solaris-support.diff: Patch to add Solaris support
	
2007-02-04  Laszlo (Laca) Peter  <laca@sun.com>

	* patches/glib-06-ALL_LINGUAS.diff: remove, no longer needed
	* patches/glib-07-trusted-extensions.diff: rename to
	  glib-06-trusted-extensions.diff
	* glib2.spec: update to remove patch ALL_LINGUAS.diff and reorder
	* gnome-panel.spec: fix download url

2007-02-04  Laszlo (Laca) Peter  <laca@sun.com>

	* iso-codes.spec: remove MSGFMT_FLAGS hack; no longer needed with
	  the new patch
	* patches/Python233-01-solaris-lib-dirs.diff: remove (no longer
	  including Python 2.3)
	* patches/iso-codes-01-msgfmt.diff: update based on the maintainer's
	  feedback

2007-02-02  Damien Carbery <damien.carbery@sun.com>

	* gaim.spec: Update patch meta data.
	* patches/gaim-02-libgaimperl.diff: Update to use '#pragma init' to
	  implement initialisation for forte compiler.

2007-02-02  Darren Kenny  <darren.kenny@sun.com>

	* patches/system-tools-backends-08-users.diff:
	  Fix for Bug#6508957 where a new user wasn't getting assigned the
	  RBAC roles as expected.

2007-02-02  Padraig O'Briain <padraig.obriain@sun.com>

	* nautilus.spec:
	* patches/nautilus-12-eject-crash.diff:
	  Add patch for bugzilla bug #6520246; nautilus crash when CD ejected.

2007-02-02  Darren Kenny  <darren.kenny@sun.com>

	* patches/gnome-system-tools-03-network.diff:
	  Fix for Bug#6516289 - application shouldn't crash of a gatewaydev 
	  isn't selected.

2007-02-02  Jeff Cai<jeff.cai@sun.com>

	* evolution.spec:
	* patches/evolution-15-add-attachment.diff:
	  Add an internal patch for bugzilla bug 399307.

2007-02-02  Takao Fujiwara  <takao.fujiwara@sun.com>

	* gnome-panel.spec: Updated
	* libgksu.spec: Updated
	* patches/gnome-panel-08-launch-menu.diff: Updated
	* patches/gnome-panel-10-clock-timezone.diff: Updated to restore 
	  SUN_BRANDING
	* patches/libgksu1.2-04-rbac-support.diff: Updated to be able to run
	  gksu on locales. CR 6517484

2007-02-01  Damien Carbery <damien.carbery@sun.com>

	* gnome-session.spec: Remove upstream patch, 08-lXau; renumber rest.
	* patches/gnome-session-08-lXau.diff: Removed, upstream.
	* patches/gnome-session-08-trusted-extensions.diff,
	  patches/gnome-session-09-gnome-volcheck-default-session.diff: Added,
	  renumbered.
	* tango-icon-theme.spec: Add patch metadata.
	* patches/tango-icon-theme-01-pkgconfig_ver.diff: Remove two
	  unnecessary parts.

2007-02-01  Dermot McCluskey <dermot.mccluskey@sun.com>

	* virt-manager.spec: fix typo in patch descriptor

2007-02-01  Padraig O'Briain <padraig.obriain@sun.com>

	* patches/nautilus-07-lockdown.diff: Call nautilus_lockdown_finalize
	  before eel_debug_shut_down to fix 6520170.

2007-02-01  Padraig O'Briain <padraig.obriain@sun.com>

	* ../SUNWgnutls.spec: Add link for libgnutls.so.12 to fix
	  bugster 6519334.

2007-02-01  Lin Ma  <Lin.Ma@Sun.COM>

	* patches/gnome-utils-04-logview-plugin.diff: fix #6508264

2007-01-31  Padraig O'Briain <padraig.obriain@sun.com>

	* patches/evince-03-threads-fix.diff: Correct patch to follow what
	  maintainer has committed to SVN HEAD.

2007-01-31  Damien Carbery <damien.carbery@sun.com>

	* gnome-python-desktop.spec: Add patch 01-bad-include to fix #401760.
	* patches/gnome-python-desktop-01-bad-include.diff: Added, fix #401760.

2007-01-31  Matt Keenan  <matt.keenan@sun.com>

	* patches/gnome-panel-05-notificationarea-tooltip.diff,
	  patches/gnome-panel-08-launch-menu.diff,
	  patches/gnome-panel-09-solaris-branding.diff,
	  patches/gnome-panel-10-clock-timezone.diff,
	  patches/gnome-panel-12-noswitchuser.diff,
	  patches/gnome-panel-14-support-alacarte.diff,
	  patches/gnome-panel-15-lXau.diff,
	  patches/gnome-panel-16-preferences-menu.diff,
	  patches/gnome-panel-16-gok-grab-menu.diff,
	* patches/gnome-panel-17-fixclock.diff: Rework for 2.17.90 tarball

2007-01-31  Damien Carbery <damien.carbery@sun.com>

	* patches/gnome-panel-11-trusted-extensions.diff: Rework.

2007-01-31 Jerry Tan <jerry.tan@sun.com>

	* gst-plugis-base.spec,
	  patches/gst-plugins-base-03-fixsunraydisplay.diff: Using the patch of
	  bugzilla bug 387073 to show video on sunray DTU.

2007-01-30  Brian Cameron  <brian.cameron@sun.com>

	* gok.spec, patches/gok-05-fixlogin.diff:  Patch so that when GOK
	  starts up in --login mode it doesn't require libgnome to build
	  $HOME/.gnome2 files for the "gdm" user, which has no $HOME directory.
	  This patch is not fully functional yet, but a start.

2007-01-30  Brian Cameron  <brian.cameron@sun.com>

	* patches/gtk+-04-mediaLib.diff: More updates to reflect comments in
	  bug #344813.  These changes should prepare the patch for going
	  upstream.  Also adding some new mediaLib integration for when
	  mediaLib goes to version 2.5 (gdk_rgb_convert_0888).

2007-01-29  Damien Carbery <damien.carbery@sun.com>

	* totem.spec: Bump to 2.17.90. Remove upstream patches, 07-va_args,
	  06-2175-fix and 03-uninstalled-pc. Add 03-function-macro to fix
	  #402163.
	* patches/totem-03-uninstalled-pc.diff, patches/totem-06-2175-fix.diff,
	  patches/totem-07-va_args.diff: Removed, upstream.
	* patches/totem-01-use-jmplay-for-wav-mp3.diff: Removed, not referenced.
	* patches/totem-03-function-macro.diff: Added, fixes #402163.

2007-01-29  Matt Keenan <matt.keenan@sun.com>

	* gnome-panel.spec : Bump to 2.17.90
	* patches/gnome-panel-02-fish-applet.diff : Rework
	* patches/gnome-panel-03-concurrent-login.diff : Rework
	* patches/gnome-panel-05-notificationarea-tooltip.diff : Rework
	* patches/gnome-panel-07-restrict-app-launching.diff : Rework
	* patches/gnome-panel-13-lockdown-applets.diff : Rework

2007-01-29  Damien Carbery <damien.carbery@sun.com>

	==== Vermillion Devel build 58 ====

2007-01-29  Elaine Xiong  <elaine.xiong@sun.com>

	* ekiga.spec: cancel all the parallel job option for ekiga build

2007-01-28  Laszlo (Laca) Peter  <laca@sun.com>

	* control-center.spec: add %if %build_tjds guard around tjds patch
	  so we can build without trusted jds support
	* gnome-panel.spec: same again
	* gnome-desktop.spec: same again
	* nautilus.spec: same again
	* gnome-session.spec: same again
	* evolution-data-server.spec: disable kerberos support on s10
	* gksu.spec: fix download url
	* evolution-webcal.spec: same again
	* libgksu.spec: same again
	* libgksuui.spec: same again
	* gnome-python-desktop.spec: same again
	* thunderbird.spec: add full download url for lightning tarball

2007-01-28  Damien Carbery <damien.carbery@sun.com>

	* SunDesktopVersion.spec: Bump build number to 58.

2007-01-27  Henry Zhang <hua.zhang@sun.com>

	* patches/gnome-system-monitor-01-solaris.diff: Fix 6518518.
	* patches/libgtop-01-solaris.diff: Optimize the patch.

2007-01-27  Elaine Xiong  <elaine.xiong@sun.com>

	* ekiga.spec: Bump to 2.0.4 for build error
	* patches/ekiga-10-pwlib-bz356696.diff
	* patches/ekiga-12-conststr.diff: Bump to 2.0.4

2007-01-27  Dave Lin  <dave.lin@sun.com>

	* patches/firefox-07-plugins.diff: Change to make startup script more
	  robust(see CR#6514034)

2007-01-26  Damien Carbery <damien.carbery@sun.com>

	* gnome-doc-utils.spec: Bump to 0.9.1, but, because it doesn't build,
	  leave at 0.8.0.

2007-01-26  Alvaro Lopez Ortega  <alvaro@sun.com>

	* gnome-mime-data.spec: Added bugster ref number for path
	  gnome-mime-data-09-return-path-pattern.diff.

2007-01-26  Alvaro Lopez Ortega  <alvaro@sun.com>

	* gnome-mime-data.spec: gnome-mime-data-01-realplay-g11n-keys.diff
	  removed. It was empty.

2007-01-26  Damien Carbery <damien.carbery@sun.com>

	* gst-plugins-good.spec: Add patch comment for patch3.
	* patch/gst-plugins-good-03-endianess.diff: Fix header.

2007-01-26  Padraig O'Briain <padraig.obriain@sun.com>

	* blueprint.spec: Update version to 0.9.18 as build failed with 0.9.17.

2007-01-26  Damien Carbery <damien.carbery@sun.com>

	* dbus-glib.spec: Push patch1 (uninstalled.pc) to bugzilla #9769.
	* patches/dbus-glib-01-uninstalled-pc.diff: Correct lib name.

2007-01-26  Dave Lin  <dave.lin@sun.com>

	* thunderbird.spec: Enable lightning extension(0.3) in Thunderbird

2007-01-25  Damien Carbery <damien.carbery@sun.com>

	* gnome-panel.spec: Unbump from 2.17.90 back to 2.16.2. UI spec needs
	  to be updated before patches can be reworked.
	* patches/gnome-panel-05-notificationarea-tooltip.diff,
	  patches/gnome-panel-16-preferences-menu.diff: Added for 2.16.2.
	* patches/gnome-panel-10-clock-timezone.diff,
	  patches/gnome-panel-11-trusted-extensions.diff,
	  patches/gnome-panel-07-restrict-app-launching.diff,
	  patches/gnome-panel-08-launch-menu.diff: Restore previous versions.

2007-01-25  Damien Carbery <damien.carbery@sun.com>

	* gnome-utils.spec: Remove deletion of scrollkeeper and *.a files -
	  they aren't installed.

2007-01-25  Alvaro Lopez Ortega  <alvaro@sun.com>

	* librsvg.spec, patches/librsvg-01-no-def-file.diff: Removed path
	  #1, it's no longer needed.

2007-01-25  Damien Carbery <damien.carbery@sun.com>

	* gnome-utils.spec: Remove -f from rm calls. Will highlight module
	  changes. 

2007-01-25  Alvaro Lopez Ortega  <alvaro.lopez@sun.com>

	* librsvg.spec, patches/librsvg-02-fixfunc.diff:
	  librsvg-02-fixfunc.diff has been removed, it is no longer needed.

2007-01-25  Alvaro Lopez Ortega  <alvaro.lopez@sun.com>

	* gaim.spec, gaim-04-proxy_mnemotics.diff,
	  gaim-11-return-void.diff, gaim-12-static-prpls.diff,
	  gaim-05-gtk-func-def.diff, gaim-10-dbus-abort.diff,
	  gaim-07-gnome-keyring.diff, gaim-08-gtk-file-chooser.diff,
	  gaim-09-uninstalled-pc.diff, gaim-06-protocol-mnemonics.diff,
	  gaim-03-long-preferences.diff: removed. It was no longer needed.
	  Patches have been reordered as well.

2007-01-25  Alvaro Lopez Ortega  <alvaro.lopez@sun.com>

	* librsvg.spec (Source): Adds path comments.

2007-01-25  Alvaro Lopez Ortega  <alvaro.lopez@sun.com>

	* patches/nautilus-10-acl.diff: "read", "write" and "exec" strings
	  were not translated.

2007-01-25  Damien Carbery <damien.carbery@sun.com>

	* patches/gnome-session-09-trusted-extensions.diff: Rework for 2.17.90.1
	* dbus-python.spec: Bump to 0.80.1. Use configure/make to build, not
	  setup.py.

2007-01-25   Rick Ju <rick.ju@sun.com>

	* gaim.spec: Bump to beta6. Add patches 11-return-void and
	  12-static-prpls.
	* patches/gaim-10-dbus-abort.diff: renamed from gaim-11-dbus-abort.diff.
	* patches/gaim-08-gtk-file-chooser.diff,
	  patches/gaim-06-protocol-mnemonics.diff: modified.
	* patches/gaim-11-return-void.diff, patches/gaim-12-static-prpls.diff:
	  Added for beta6 bugs.

2007-01-25  Takao Fujiwara  <takao.fujiwara@sun.com>

	* po-sun/metacity: Added
	* po-sun/Makefile: Updated
	* po-sun/README: Updated
	* metacity.spec: Updated to add l10n tarball.

2007-01-25  Chris Wang   <chris.wang@sun.com>

	* gst-plugins-good.spec,patch/gst-plugins-good-03-endianess.diff:
	  Add patch to fix bugzilla bug #377280.
	
2007-01-25  Padraig O'Briain <padraig.obriain@sun.com>

	* blueprint.spec: Use version 0.9.17. This fixes bug 6510651.

2007-01-25  Brian Cameron  <brian.cameron@sun.com>

	* pyspi.spec, gnome-volume-manager.spec, gnome-mount.spec:
	  Fix patch comments.
	* gimp.spec, gimp-02-fixcompile.diff: Remove unneeded patch.
	* gdm.spec, gdm-02-branding-general.diff,
	  gdm-06-login-photo-menu.diff: Merge branding patch 6 into branding
	  patch 2.

2007-01-25  Glynn Foster  <glynn.foster@sun.com>

	* README: Update slightly.

2007-01-24  Damien Carbery <damien.carbery@sun.com>

	* patches/ekiga-11-opal-jitter.diff: Rework.
	* gnome-media.spec: Add initialisation of build_with_gnome_cd. Copied
	  from SUNWgnome-media-apps.spec. Wouldn't work when only in that file.

2007-01-24  Damien Carbery <damien.carbery@sun.com>

	* evolution-data-server.spec: Remove upstream patch, 03-gnome-keyring.
	* patches/evolution-data-server-03-gnome-keyring.diff: Removed, upstream
	* ekiga.spec: Bump pwlib to 1.10.3, opal to 2.2.4. Remove upstream
	  patches, 08-pwlib-disconnect, 09-pwlib-unset-port, 13-opal-bz356696,
	  15-opal-invalidarrayindex, 16-pwlib-video. Add patch 20-opal-break to
	  fix build error (sourceforge: 1643652).
	* patches/ekiga-08-pwlib-disconnect-crash.diff,
	  patches/ekiga-09-pwlib-unset-port.diff,
	  patches/ekiga-13-opal-bz356696.diff,
	  patches/ekiga-15-opal-invalidarrayindex.diff,
	  patches/ekiga-16-pwlib-video.diff: Removed, upstream.

2007-01-24  Damien Carbery <damien.carbery@sun.com>

	* evolution-data-server.spec: Bump to 1.9.6.1.
	* gnome-games.spec: Bump to 2.17.90.1.
	* gnome-utils.spec: Bump to 2.17.91.

2007-01-24  Damien Carbery <damien.carbery@sun.com>

	* gnome-terminal.spec: dos2unix be.po to fix 400207. Uncomment patch4
	  - reworked by dkenny.
	* patches/gnome-terminal-04-window-resizing.diff: Reworked by Darren.
	* vte.spec: Add patch, 07-vte-pty-open, to sync func declaration with
	  definition; #400184.
	* patches/vte-07-vte-pty-open.diff: Added. Fixes #400184.

2007-01-24  Henry Zhang <hua.zhang@sun.com>

	* patches/gnome-system-monitor-01-solaris.diff :
	  Bump to 2.17.6 

2007-01-24  Brian Cameron  <brian.cameron@sun.com>

	* gnome-media.spec:  Now use %build_with_cd as per Laca's
	  suggestions.
	* totem.spec: Fix patch comment.

2007-01-24  Stephen Browne  <stephen.browne@sun.com>

	* GConf.spec: update patch info

2007-01-24  Glynn Foster  <glynn.foster@sun.com>

	* patches/gnome-panel-07-restrict-app-launching.diff: Fix the
	  2 chunks that were failing - blind port to try and bootstrap
	  the GNOME 2.17 build.

2007-01-24  Glynn Foster  <glynn.foster@sun.com>

	* gnome-panel.spec: Remove the notification tooltip patch. The
	  tray area has been rewritten, so I'm not sure this code is
	  necessary. May needed to be forward ported to the latest code
	  and pushed upstream.
	* patches/gnome-panel-05-notificationarea-tooltip.diff: Remove.

2007-01-24  Damien Carbery <damien.carbery@sun.com>

	* libbonobo.spec: Add more autofoo because autoconf 2.61 used by
	  maintainer, CBE has 2.60.

2007-01-24  Wang Xin <jedy.wang@sun.com>

	* evolution.spec: Added new patch 14-etext.diff to fix
	  bugzilla 400121 and bugster 6514112.
	* patches/evolution-14-etext.diff: New patch.

2007-01-24  Padraig O'Briain <padraig.obriain@sun.com>

	* evince.spec: Add new patch evince-03-threads-fix.diff.
	* patches/evince-03-threads-fix.diff: Patch to fix 6514767/399694,
	  evince threading bug.
	* patches/nautilus-12.spec: Correct patch to fix 6515656.

2007-01-24  Damien Carbery <damien.carbery@sun.com>

	* control-center.spec: Remove obsolete patch, 17-empty-struct.
	  Comment out patch15 and ask owner to review. May also be obsolete.
	* patches/control-center-17-empty-struct.diff: Removed, irrelevant.

2007-01-24  Brian Cameron  <brian.cameron@sun.com>

	* aspell.spec, libgphoto2.spec, gphoto2.spec:  Add patch
	  comments and bugdb info.

2007-01-24  Brian Cameron  <brian.cameron@sun.com>

	* gtkam.spec, gtk2.spec, pygtk2.spec, gst-plugins-base.spec,
	  nautilus.spec, dbus-glib.spec, gnome-mag.spec,
	  gnome-volume-manager.spec, pygobject.spec, totem.spec,
	  ORBit2.spec, gst.spec, cairo.spec, gst-plugins-good.spec,
	  libgphoto2.spec, poppler.spec, libexif-gtk.spec,
	  gaim.spec, gphoto2.spec, gnome-media.spec:  Add patch
	  comments for all uninstalled-pc and gettext patches.
	* patches/gphoto2-01-gettext.diff: Added - renamed to 
	  common name.
	* patches/gphoto2-01-build.diff: Deleted - inconsistant name.
	* patches/totem-04-moz-plugin.diff:  Add space to CFLAGS so
	  it will work if $BROWSER_PLUGIN_CFLAGS is defined.

2007-01-24  Lin Ma  <Lin.Ma@Sun.COM>

	* gnome-utils.spec:
	* patches/gnome-utils-04-logview-plugin.diff: Updated, merged to
	  gnome-utils 2.17.90

2007-01-24  Dave Lin  <dave.lin@sun.com>

	* thunderbird.spec: Bump version to 2.0b2

2007-01-23  Damien Carbery <damien.carbery@sun.com>

	* control-center.spec: Remove upstream patch, 11-menu-entry. Renumber
	  rest.
	* patches/control-center-06-custom-keybinding.diff: Rework.
	* patches/control-center-11-menu-entry.diff: Removed, upstream.

2007-01-23  Damien Carbery <damien.carbery@sun.com>

	* gedit.spec: Remove upstream patch, 03-void-return.
	* patches/gedit-03-void-return.diff: Removed, upstream.
	* gnome-utils.spec: Comment out patch4 as it needs rework, ask owner to
	  fix.
	* vte.spec: Remove upstream patch, 06-get-text. Renumber remainder.
	* patches/vte-02-fcconfig.diff: Rework for new tarball.
	* patches/vte-04-cut-copy-paste-handle.diff: Rework for new tarball.
	* patches/vte-06-get-text.diff: Removed, upstream.
	* patches/vte-06-selection-perf-improve.diff: Renamed from 07. Reworked.
	* evolution-data-server.spec: Add patch, 03-gnome-keyring, to fix build
	  error, #399706.
	* patches/evolution-data-server-03-gnome-keyring.diff: Added, #399706.
	* patches/evolution-exchange-01-sun-ldap.diff: Rework.

2007-01-23  Stephen Browne  <stephen.browne@sun.com>

	* gnome-session.spec: updated patch info

2007-01-23  Stephen Browne  <stephen.browne@sun.com>

	* nautilus.spec: removed two patches
	* patches/nautilus-07-lockdown.diff: reworked for new tarball
	* patches/nautilus-09-interface-changes.diff: reworked for new tarball
	* patches/nautilus-[0-9]*.diff: renumbered

2007-01-23  Henry Zhang <hua.zhang@sun.com>

	* gnome-system-monitor.spec, 
	  patches/gnome-system-monitor-01-solaris.diff 
	  patches/libgtop-01-solaris.diff:
	  Update the diff file to meet the new version

2007-01-23  Damien Carbery <damien.carbery@sun.com>

	* file-roller.spec: Bump to 2.17.90.
	* eog.spec: Bump to 2.17.90.
	* libbonobo.spec: Bump to 2.17.90.
	* libgnomeprintui.spec: Bump to 2.17.90.
	* libgnomeprint.spec: Bump to 2.17.90.
	* gnome-icon-theme.spec: Bump to 2.17.90.
	* gnome-utils.spec: Bump to 2.17.90.
	* pango.spec: Bump to 1.15.5.
	* vte.spec: Bump to 0.15.2.
	* gedit.spec: Bump to 2.17.4.
	* gnome-terminal.spec: Bump to 2.17.90.
	* deskbar-applet.spec: Bump to 2.17.90.

2007-01-23  Jeff Cai <jeff.cai@sun.com>

	* evolution.spec: Bump to 2.9.6.

2007-01-22  Brian Cameron  <brian.cameron@sun.com>

	* gnome-media.spec:  Add %with_cd so that people can configure
	  to build gnome-cd if desired.
	* patches/gnome-media-03-cdda.diff: Updated patch so that 
	  gnome-cd will work out-of-the-box if users build with it.

2007-01-22  Damien Carbery <damien.carbery@sun.com>

	* evolution-data-server.spec: Bump to 1.9.6.
	* evolution-exchange.spec: Bump to 2.9.6.
	* nautilus-cd-burner.spec: Bump to 2.17.6.
	* gnome-system-monitor.spec: Bump to 2.17.6.
	* gtkhtml.spec: Bump to 3.13.6.
	* zenity.spec: Bump to 2.17.90.
	* gtk2.spec: Bump to 2.10.9.

2007-01-22  Damien Carbery <damien.carbery@sun.com>

	* gnome-session.spec: Bump 2.17.90.1.
	* gnome-screensaver.spec: Bump 2.17.6.
	* control-center.spec: Bump 2.17.90.

2007-01-22  Damien Carbery <damien.carbery@sun.com>

	* atk.spec: Bump to 1.13.2.
	* gail.spec: Bump to 1.10.1.
	* at-spi.spec: Bump to 1.7.16.
	* ORBit2.spec: Bump to 2.14.5.
	* gcalctool.spec: Bump to 5.9.11.
	* libgnomeui.spec: Bump to 2.17.90.
	* patches/libgnomeui-01-icon-a11y.diff: Rework.
	* nautilus.spec: Bump to 2.17.90.
	* patches/nautilus-11-interface-changes.diff: Rework.
	* gnome-media.spec: Bump to 2.17.90.
	* patches/gnome-media-01-menu-entries.diff: Rework.
	* libbonoboui.spec: Bump to 2.17.90.
	* gnome-themes.spec: Bump to 2.17.90.
	* libgnome.spec: Bump to 2.17.90.
	* gtk2-engines.spec: Bump to 2.9.2.

2007-01-22  Damien Carbery <damien.carbery@sun.com>

	* gnome-panel.spec: Remove upstream patch, 16-preferences. Renumber
	  remainder. Disable a few patches, asking owners to rework them.
	* patches/gnome-panel-16-preferences-menu.diff: Removed, upstream.
	* patches/gnome-panel-10-clock-timezone.diff,
	  patches/gnome-panel-11-trusted-extensions.diff: Reworked.

2007-01-22  Padraig O'Briain <padraig.obriain@sun.com>

	* poppler.spec : Correct patch comment which prevents me building.

2007-01-22  Padraig O'Briain <padraig.obriain@sun.com>

	* patches/gnome-keyring-01-pkcs.diff: Rework pattch into form
	  which we hope maintainer will accept.

2007-01-22  Damien Carbery <damien.carbery@sun.com>

	* gok.spec: Bump to 1.2.1.
	* gnome-speech.spec: Bump to 0.4.8.
	* ekiga.spec: Bump to 2.0.4.
	* gnome-desktop.spec, orca.spec, gnome-panel.spec, gnome-games.spec,
	  eel.spec: Bump to 2.17.90.
	* gdm.spec: Bump to 2.17.6.
	* gnome-vfs.spec: Bump to 2.17.90. Remove upstream patch, 09-login_tty.
	  Renumber remainder.
	* patches/gnome-vfs-09-login_tty.diff: Removed, upstream.
	* gnome-session.spec: Bump to 2.17.90.
	* patches/gnome-session-02-solaris-branding.diff,
	* patches/gnome-session-04-logout-effect.diff,
	  patches/gnome-session-05-gnome-about.diff,
	  patches/gnome-session-09-trusted-extensions.diff,
	  patches/gnome-session-10-gnome-volcheck-default-session.diff: Rework
	  for the new tarball.

2007-01-22  Brian Cameron  <brian.cameron@sun.com>

	* libmusicbrainz.spec: Add patch comment.
	* patches/libmusicbrainz-01-fixduration.diff:  Fix patch so that
	  it works with 512k and 2048k blocksizes.  Thanks to Jeop
	  Vesseur <Joep.Vesseur@sun.com> for helping with this patch.
	* patches/gtk+-04-mediaLib.diff: Updated to reflect comments in
	  bug #344813.  These changes should prepare the patch for going
	  upstream.

2006-01-21  Rick Ju <rick.ju@sun.com>

	* gaim.spec, patches/gaim-11-dbus-abort.diff: fix #6508240

2007-01-21  Laszlo (Laca) Peter  <laca@sun.com>

	* iso-codes.spec: bump to 1.0
	* patches/iso-codes-01-msgfmt.diff: merge

2007-01-19  Padraig O'Briain <padraig.obriain@sun.com>

	* intltool.spec: Update patch comments.
	* gnome-session.spec: Update patch comments.

	* patches/gnome-keyring-01-pkcs.diff: Update with new code from
	  Wyllys Ingersoll. Fixes bug 6504567.
 
2007-01-18  Damien Carbery <damien.carbery@sun.com>

	* pango.spec: Bump to 1.15.4.
	* patches/pango-01-fullwidth-space.diff: Rework one chunk.
	* patches/pango-02-pua.diff: Rework two chunks.

2007-01-18  Damien Carbery <damien.carbery@sun.com>

	* totem.spec: Add patch, 06-2175-fix, to include a missing file. Fixes
	  398071. Add patch, 07-va_args, to make variable args macro work with
	  forte compiler. Fixes 398090.
	* patches/totem-06-2175.diff: Add a missing file. Fixes 398071.
	* patches/totem-07-va_args.diff: Added. fixes 398090.

2007-01-18  Damien Carbery <damien.carbery@sun.com>

	* gaim.spec, gaim-otr.spec: Remove the code from %install that deletes
	  $RPM_BUILD_ROOT as it trashes the other module's 'make install' when
	  built as part of SUNWgnome-im-client.

2007-01-18  Padraig O'Briain <padraig.obriain@sun.com>

	* patches/nautilus-11-interface-changes.diff: Apply correct fix
	  for bug 6511576.
	* patches/libgnome-02-default-theme.diff,
	* patches/libgnome-04-input-method-status-style.diff: Change
	  desktop_gnome_interface.schemas.in to 
	  desktop_gnome_interface.schemas.in.in as this file is introduced
	  in libgnome 2.17.x. This fixes  bug 6510654.

2007-01-18  Padraig O'Briain <padraig.obriain@sun.com>

	* patches/nautilus-11-interface-changes.diff: Revert to version
	  before January 10th

2007-01-18  Alvaro Lopez Ortega  <alvaro.lopez@sun.com>

	* nautilus.spec: Added URL for the nautilus-acl-icons tarball.

2007-01-18  Damien Carbery <damien.carbery@sun.com>

	* firefox.spec: Change patch7 to use -p1.
	* patches/firefox-05-preload.diff: Change to work with 'patch -p1'. This
	  will make future patch renumbering/reordering easier. All patches now
	  use -p1.

2007-01-18  Irene Huang  <irene.huang@sun.com>

	* gnome-media.spec: removing patch grecord-critical.diff since it's
	  already there.
	* patches/gnome-media-06-grecord-critical.diff: Removed.

2007-01-18  Wang Xin  <jedy.wang@sun.com>

	* evolution.spec: Add new patch 13-glade.diff.
	* patches/evolution-13-glade.diff: Added to fix bugzilla 397893 and
	  bugster 6514087.

2007-01-18  Irene Huang  <irene.huang@sun.com>

	* gnome-media.spec: add patch grecord-critical.diff.
	* patches/gnome-media-08-grecord-critical.diff: Patch for bug
	  6508057(bugster), #395717(bugzilla) to get rid of critical warnings
	  when click to play a music file in gnome-sound-recorder.

2007-01-17  Matt Keenan <matt.keenan@sun.com>

	* nautilus.spec: Add bugzilla:3977115 for nautilus-09-lockdown.diff,
	  after porting to SVN Trunk.

2007-01-17  Damien Carbery <damien.carbery@sun.com>

	* totem.spec: Remove upstream patch, 04-fixcd. Renumber remainder.
	* patches/totem-04-fixcd.diff: Removed, upstream.

2007-01-17  Damien Carbery <damien.carbery@sun.com>

	* patches/totem-01-remove-unsupported-format.diff,
	  patches/totem-05-moz-plugin.diff: Rework for new tarball.

2007-01-17  Damien Carbery <damien.carbery@sun.com>

	* totem.spec: Bump to 2.17.5.
	* metacity.spec: Bump to 2.17.5.
	* quick-lounge-applet.spec: Bump to 2.12.4. Remove all patches as they
	  are all upstream.
	* patches/quick-lounge-applet-01-xlibs.diff,
	  patches/quick-lounge-applet-02-launch-default-help.diff
	  patches/quick-lounge-applet-03-multihead-fix.diff: Removed, upstream.
	* glib2.spec: Bump to 2.12.9.
	* gtk2.spec: Bump to 2.10.8. Removed upstream patch 15-load-gdm-modules.
	* patches/gtk+-15-load-gdm-modules.diff: Removed, upstream.

2007-01-17  Padraig O'Briain <padraig.obriain@sun.com>

	* gnome-panel.spec: Use patch gnome-panel-08-launch-menu.diff
	* patches/gnome-panel-08-launch-menu.diff: Update to apply to
	  2.16.2. Fixes 6507146.

2007-01-17  Damien Carbery <damien.carbery@sun.com>

	* firefox.spec: Remove unneeded patch, firefox-02-font_Xft.diff.
	* patches/firefox-02-font_Xft.diff: Removed, unneeded. Builds okay
	  without it.

2007-01-17  Padraig O'Briain <padraig.obriain@sun.com>

	* patches/nautilus-11-interface-changes.diff: Change reference
	  to action Home to action Documents. Fix for bug 6514048.

2007-01-17  Damien Carbery <damien.carbery@sun.com>

	* gaim.spec: Remove unneded patch, 02-perl-common-argc, renumber
	  remainder. Update patch data.
	* patches/gaim-02-perl-common-argc.diff: Removed, unneded.

2007-01-17 Erwann Chenede - <erwann.chenede@sun.com>

	* ../SUNWgnome-wm.spec: removed Solaris only patches
	* patches/metacity-01-sdtprocess.diff: removed to fix 6510394
	* patches/metacity-02-enable-Sun-keys-Open-Front.diff : moved 
	  to patches/metacity-11-enable-Sun-keys-Open-Front.diff
	* metacity.spec: added patch and comments.
	* tango-icon-theme.spec: added patch owners
	* glib2.spec: added patch owners

2007-01-17  jyu_mit <jijun.yu@sun.com>
	* patches/gnome-pilot-06-charset.diff: Apply the patch from community
	  as bugzilla 385443 has been fixed.

2007-01-16  Damien Carbery <damien.carbery@sun.com>

	* patches/gaim-03-libgaimperl.diff: Rework before pushing upstream.
	* gedit.spec: Remove unnecessary patch, 01-gtksourceview-binding.
	  Renumber rest.
	* patches/gedit-01-gtksourceview-binding.diff: Removed, no longer
	  needed. Build doesn't break when it is removed.
	* patches/gedit-01-no-zh_TW-help.diff: Added, renumbered from 02.
	* patches/gedit-02-menu-entry.diff: Added, renumbered from 03.
	* patches/gedit-03-void-return.diff: Added, renumbered from 04.

2007-01-16  Damien Carbery <damien.carbery@sun.com>

	* metacity.spec: Update patch comment.
	* patches/metacity-09-empty-struct.diff: Rework for submission to
	  bugzilla. #397296.

2007-01-16  Padraig O'Briain <padraig.obriain@sun.com>

	* gnome-netstatus.spec: Update so that it still builds

2007-01-16  Padraig O'Briain <padraig.obriain@sun.com>

	* gnome-netstatus.spec: Add patch comments. Remove reference to
	  patch gnome-netstus-03-ne-po.diff as bugzilla 316750 has been fixed.
	* patch/gnome-netstus-03-icon.symlink.diff: Rename.
	* patch/gnome-netstus-04-icon.symlink.diff: Remove.

2007-01-16  Padraig O'Briain <padraig.obriain@sun.com>

	* gnome-desktop.spec: Add reference to new patch
	* patches/gnome-desktop-04-gok-menu.diff: Patch for 6513404/397185.

2007-01-17  Takao Fujiwara  <takao.fujiwara@sun.com>

	* ../cron-script.sh: Updated to make po-sun
	* gnome-menus.spec: Updated
	* gnome-panel.spec: Updated
	* gnome-utils.spec: Updated
	* l10n.inc: Added for po-sun version.
	* patches/gnome-menus-02-application-submenu-rename.diff: Updated
	* patches/gnome-panel-08-launch-menu.diff: Updated
	* patches/gnome-panel-10-clock-timezone.diff: Updated
	* patches/gnome-utils-03-search-menu-entry.diff: Updated
	* po-sun: Added to fix 6459568.
	* intltool.spec: Updated
	* patches/intltool-01-g11n-desktop-comment.diff: Added. bugzilla 390271

2007-01-15  Damien Carbery <damien.carbery@sun.com>

	* libgtop.spec: Bump to 2.14.6.
	* glib2.spec: Bump to 2.12.8.
	* patches/glib-05-hidden.diff: Rework one chunk for new tarball.

2007-01-15 Erwann Chenede - <erwann.chenede@sun.com>

	* patches/libgnome-01-default-background.diff: changed default 
	  background image to match the brand better.

2007-01-15 Erwann Chenede - <erwann.chenede@sun.com>

	* gtk2.spec: removed a patch as it went upstream
	* patches/gtk+-[13-16] : renumbered

2007-01-15  Jerry Tan <jerry.tan@sun.com>

	* totem.spec: Remove totem-01-use-jmplay-for-wav-mp3.diff
	* totem_01_remove_unsupported_format.diff:  Remove unsupported 
	  media format when filter files

2007-01-15  Matt Keenan <matt.keenan@sun.com>

	* libgnome.spec: Add bugzilla ID for lockdown patch

2007-01-15  Damien Carbery <damien.carbery@sun.com>

	==== Vermillion Devel build 57 ====

2007-01-12  Dermot McCluskey <dermot.mccluskey@sun.com>

	* virt-manager.spec: use libtool for PIC flag
	* patches/virt-manager-01-build-flags.diff: remove
	  macro for setting PIC flag

2007-01-11  Damien Carbery <damien.carbery@sun.com>

	* deskbar-applet.spec: Bump to 2.17.5.1.

2007-01-11  Damien Carbery <damien.carbery@sun.com>

	* gnome-vfs.spec: Update patch metadata.
	* patches/gnome-vfs-09-login_tty.diff: Rework. Submit #324709.
	* patches/gnome-vfs-10-krb5-config-no-gssapi.diff: Rework. #395357.

2007-01-11 Erwann Chenede - <erwann.chenede@sun.com>

	* metacity.spec : spec file and patches cleanup
	* patches/metacity-* : removed or renumbered 
	* nimbus.spec : added patch comment
	* pango.spec : added patch comments

2007-01-11  Damien Carbery <damien.carbery@sun.com>

	* gnome-session.spec: Remove upstream patch, 11-remove-filter.
	* patches/gnome-session-11-remove-filter.diff: Removed, upstream.
	* patches/gnome-session-09-trusted-extensions.diff: Rework one chunk.

2007-01-11  Damien Carbery <damien.carbery@sun.com>

	* gnome-vfs.spec: Add patch metadata.
	* patches/gnome-vfs-10-krb5-config-no-gssapi.diff: Rework for submission
	  to bugzilla.

2007-01-11  Damien Carbery <damien.carbery@sun.com>

	* alacarte.spec: Bump to 0.11.1.1.
	* patches/alacarte-01-force-reload.diff: Rework for new tarball.

2007-01-10  Damien Carbery <damien.carbery@sun.com>

	* evince.spec: Remove upstream patch, 03-lc-measurement. Add code to
	  dos2unix po/be.po to fix #395105.
	* patches/evince-01-menu-entry.diff, patches/evince-02-gs-sfw.diff:
	  Rework for new tarball.
	* patches/evince-03-lc-measurement.diff: Removed, upstream.
	* patches/control-center-06-custom-keybinding.diff
	  patches/control-center-12-trusted-extensions.diff: Rework.

2007-01-10  Dermot McCLuskey <dermot.mccluskey@sun.com>

	* patches/virt-manager-01-build-flags.diff: Rework following review
	  virt-manager.spec: handle GConf schemas properly;
	  use %{_libexecdir}; move patch 01 to linux spec file

2007-01-10  Damien Carbery <damien.carbery@sun.com>

	* evince.spec: Bump to 0.7.1.
	* libgnome.spec: Bump to 2.17.3.

2007-01-10  Damien Carbery <damien.carbery@sun.com>

	* deskbar-applet.spec: Disable scrollkeeper in configure as files not
	  needed.
	* patches/control-center-05-logout-shortcut.diff: Rework.

2007-01-10  Damien Carbery <damien.carbery@sun.com>

	* gedit.spec:  Add patch, 04-void-return, to fix #395055.
	* patches/gedit-04-void-return.diff: Added to fix #395055.
	* evince.spec: Add dir to CFLAGS so that libxml headers can be found.

2007-01-10  Padraig O'Briain <padraig.obriain@sun.com>

	* patches/nautilus-11-interface-changes.diff: Rework for 2.17.1.
	  Fixes bugster 651176.

2007-01-10  Damien Carbery <damien.carbery@sun.com>

	* gnome-python.spec: Bump back to 2.17.2. Laca fixed an issue in pycc
	  in SUNWPython.
	* patches/gnome-desktop-01-jds-about-branding.diff: Add a chunk to
	  fix a build issue.

2007-01-10  Damien Carbery <damien.carbery@sun.com>

	* patches/gnome-desktop-03-trusted-extensions.diff,
	  patches/gnome-menus-01-quickstart.diff
	  patches/gnome-menus-03-preferences.diff: Rework for new tarballs.

2007-01-10  Damien Carbery <damien.carbery@sun.com>

	* gedit.spec: Bump to 2.17.3.
	* gnome-menus.spec: Bump to 2.17.5.
	* libbonoboui.spec: Bump to 2.17.0.

2007-01-10  Lin Ma  <Lin.Ma@Sun.COM>

	* gnome-utils.spec:
	* patches/gnome-utils-04-logview-plugin.diff: Updated according to the
	  latest gnome-utils 2.17.1

2007-01-09  Laszlo (Laca) Peter  <laca@sun.com>

	* patches/Python-02-pycc.diff: check if CC/CXX is set to this
	  script to avoid an infinite loop.  Use the PYCC_CC/PYCC_CXX
	  as an alternative to CC/CXX.

2007-01-09  Damien Carbery <damien.carbery@sun.com>

	* patches/control-center-04-add-wallpaper-dialog.diff,
	  patches/gnome-desktop-01-jds-about-branding.diff,
	  patches/vino-01-fix-a11y-hang.diff: Rework for new tarballs.

2007-01-09  Damien Carbery <damien.carbery@sun.com>

	* gnome-python.spec: Unbump back to 2.16.2 as 2.17.[12] kill the build
	  machine during configure.

2007-01-09  Damien Carbery <damien.carbery@sun.com>

	* patches/gnome-system-monitor-01-solaris.diff: Rework for new tarball.
	* gnome-desktop.spec: Comment out the copying of gnome-feedback.xml
	  because the destination dir in the source area has been removed.

2007-01-09  Damien Carbery <damien.carbery@sun.com>

	* pango.spec: Bump to 1.15.3.
	* vte.spec: Bump to 0.15.1.
	* control-center.spec: Bump to 2.17.5.
	* vino.spec: Bump to 2.17.5.
	* evolution-webcal.spec: Bump to 2.9.5.
	* intltool.spec: Bump to 0.35.4.
	* gnome-icon-theme.spec: Bump to 2.17.5.

2007-01-09  Damien Carbery <damien.carbery@sun.com>

	* gnome-utils.spec: Comment out patch4 as it needs rework, ask patch
	  owner to fix.
	* patches/gnome-utils-02-gnome-screenshot.diff,
	  patches/eog-03-menu-entry.diff,
	  patches/gnome-session-05-gnome-about.diff: Rework for new tarballs.

2007-01-09  Henry Zhang  <hua.zhang@sun.com>

	* patches/gnome-applets-03-make-multiload-network-available.diff:
	  bug fix to 6510961

2007-01-09  Wang Xin  <jedy.wang@sun.com>

	* patches/evolution-12-awk.diff: Added to fix bugzilla 394579 and
	  bugster 6510008.

2007-01-08  Damien Carbery <damien.carbery@sun.com>

	* gnome-themes.spec: Bump to 2.17.5.
	* gnome-system-monitor.spec: Bump to 2.17.5.
	* atk.spec: Bump to 1.13.1.
	* gail.spec: Bump to 1.10.0.
	* deskbar-applet.spec: Bump to 2.17.5.
	* gcalctool.spec: Bump to 5.9.10.
	* gtksourceview.spec: Bump to 1.8.3.
	* eog.spec: Bump to 2.17.4.
	* zenity.spec: Bump to 2.17.3.
	* alacarte.spec: Bump to 0.11.0.
	* file-roller.spec: Bump to 2.17.5.
	* gnome-mag.spec: Bump to 0.14.1.
	* libgnomeui.spec: Bump to 2.17.1.
	* gnome-screensaver.spec: Bump to 2.17.5.
	* libgnome.spec: Bump to 2.17.2.
	* gtk2-engines.spec: Bump to 2.9.1.
	* gnome-desktop.spec: Bump to 2.17.5.
	* gnome-session.spec: Bump to 2.17.5.
	* nautilus-cd-burner.spec: Bump to 2.17.5.
	* gnome-utils.spec: Bump to 2.17.1.

2007-01-09  Jeff Cai  <jeff.cai@sun.com>

	* evolution-data-server.spec: Bump to 1.9.5.
	* evolution-exchange.spec: Bump to 2.9.5
	* evolution.spec: Bump to 2.9.5
	* gtkhtml.spec: Bump to 3.13.5
	* libsoup.spec: 2.2.99
	* patches/evolution-01-pltlk-version.diff: Removed
	* patches/evolution-07-mail-account.diff: Removed
	* patches/evolution-08-todo.diff: Removed
	* patches/evolution-09-menuitem.diff: Removed
	* patches/evolution-data-server-03-exchange-account.diff: Removed

2007-01-08  Laszlo (Laca) Peter  <laca@sun.com>

	* patches/Python-05-isalibs.diff: fix patch so that it doesn't
	  uncomment an if (Py_VerboseFlag) line, fixes 6508638.

2007-01-08  Damien Carbery <damien.carbery@sun.com>

	* patches/gnome-media-05-supportdevices.diff: Rework two chunks for
	  new tarball.

2007-01-08  Damien Carbery <damien.carbery@sun.com>

	* gnome-media.spec: Bump to 2.17.2. Remove upstream patch, 04-fixfunc.
	* patches/gnome-media-04-fixfunc.diff: Removed, upstream.
	* patches/gnome-media-04-disable-gnome-cd.diff: Added, renamed from 05.
	* patches/gnome-media-05-supportdevices.diff: Added, renamed from 06.
	* gdm.spec: Bump to 2.17.5. Remove upstream patch, 07-fixdialogs.
	* patches/gdm-07-fixdialogs.diff: Removed, upstream.
	* orca.spec: Bump to 2.17.5.
	* gnome-games.spec: Bump to 2.17.5. Remove upstream patch,
	  01-ggz-function.
	* patches/gnome-games-01-ggz-function.diff: Removed, upstream.
	* at-spi.spec: Bump to 1.7.15.
	* atk.spec: Bump to 1.13.0.
	* gnome-python.spec: Bump to 2.17.2.
	* gnome-python-desktop.spec: Bumnp to 2.17.3. Remove upstream patch,
	  01-no_inline.
	* patches/gnome-python-desktop-01-no_inline.diff: Removed, upstream.

2007-01-08 Erwann Chenede - <erwann.chenede@sun.com>

	* gtk2.spec: removed an additional patch
	* patches/gtk+-* : renumbered patches

2007-01-08 Erwann Chenede - <erwann.chenede@sun.com>

	* gtk2.spec: patches and patches description cleanup
	* patches/gtk+-* : renumbered
	* gnome-backgrounds.spec : added patch description
	* gnome-icon-theme.spec  : added patch description
	* cairo.spec : added patch description
	* glib2.spec : added patch description

2007-01-08  Matt Keenan <matt.keenan@sun.com>

	* gnome-panel.spec : Add bugzilla id's for lockdown patch

2007-01-08  Damien Carbery <damien.carbery@sun.com>

	* gtk2.spec: Bump to 2.10.7.
	* patches/gtk+-15-hidden.diff, patches/gtk+-17-recent-files-crash.diff:
	  Removed, upstream. Renumber remainder.
	* patches/gtk+-15-textview-selection-g-assert.diff: Renamed from 16.
	* patches/gtk+-16-printing-papi-backend.diff: Renamed from 18.
	* patches/gtk+-17-gedit-menu-shortcuts.diff: Renamed from 19.
	* patches/gtk+-18-load-gdm-modules.diff: Renamed from 20.

2007-01-08  Padraig O'Briain <padraig.obriain@sun.com>

	* patches/gdm-01-branding-defaults-solaris.diff: Correct typo
	* gtk2.spec: Add patch gtk+-20-load-gdm-modules.diff.
	* patches/gtk+-20-load-gdm-modules.diff: Fix for bugzilla 393102.

2007-01-08  Damien Carbery <damien.carbery@sun.com>

	* intltool.spec: Bump to 0.35.3.
	* cairo-java.spec: Bump to 1.0.8.
	* gnome-libs-java.spec: Bump to 2.12.7.
	* gtk2-java.spec: Bump to 2.10.2.
	* glib2-java.spec: Bump to 0.4.2.
	* glade-java.spec: Bump to 2.12.8.

2007-01-05  Damien Carbery <damien.carbery@sun.com>

	* glib2.spec: Bump to 2.12.7.
	* gnome-keyring.spec: Bump to 0.7.3.
	* patches/gnome-keyring-01-pkcs.diff: Rework one chunk for new tarball.

2007-01-05  Dave Lin  <dave.lin@sun.com>

	* firefox.spec: Remove firefox-rebuild-databases and %preun since
	  it's unnecessary for Firefox 2.0

2007-01-04  Damien Carbery <damien.carbery@sun.com>

	* gnome-system-monitor.spec: Add patch, 04-src-link, to fix #392776,
	  unresolved symbols during link.
	* patches/gnome-system-monitor-04-src-link.diff: Added to fixed the
	  "unresolved symbols" errors.

2007-01-04  Damien Carbery <damien.carbery@sun.com>

	* dasher.spec: Add patch, 02-joystick, to get module to build. It is a
	  dreadful hack, but pushed upstream (#388198) to encourage the
	  maintainer to find a better solution. Add intltoolize call to get
	  l10n files installed.
	* patches/dasher-02-joystick.diff: Added to fix #388198 in a very hacky
	  manner.

2007-01-04  Jerry Yu <jijun.yu@sun.com>

	* gnome-pilot.spec:
	* patches/gnome-pilot-01-all-in-one.diff,
	  patches/gnome-pilot-02-pilot-link-version.diff,
	  patches/gnome-pilot-04-remove-nouse-libs.diff,
	  patches/gnome-pilot-05-disable-gob-check.diff,
	  patches/gnome-pilot-06-winicons-mutlihead.diff,
	  patches/gnome-pilot-08-g11n-i18n-ui.diff are removed
	* patches/gnome-pilot-03-capplet-install.diff,
	  patches/gnome-pilot-07-launch-menu-item.diff are modified
	* patches/gnome-pilot-01-visor.diff,
	  patches/gnome-pilot-02-pilot_connect.diff,
	  patches/gnome-pilot-04-usb-warning.diff,
	  patches/gnome-pilot-05-a11y.diff,
	  patches/gnome-pilot-06-charset.diff,
	  patches/gnome-pilot-08-disable-gob-check.diff,
	  patches/gnome-pilot-09-usb-default.diff are added
	  Bump to 2.0.15 and gnome-pilot-01-all-in-one.diff are divided
	  into several small patches such as gnome-pilot-01-visor.diff,
	  gnome-pilot-02-pilot_connect.diff,gnome-pilot-05-a11y.diff,
	  gnome-pilot-09-usb-default.diff

	* evolution.spec:
	* patches/evolution-01-conduit.diff is removed
	* patches/evolution-01-pltlk-version.diff,
	  patches/evolution-10-charset.diff,
	  patches/evolution-11-memo.diff are added
	  evolution's dependencies-gnome-pilot and pilot-link are upgraded to
	  new version
	
2007-01-04  Jerry Yu <jijun.yu@sun.com>

	* pilot-link.spec: 
	* patches/pilot-link-01-define-func.diff:
	* patches/pilot-link-02-int-type.diff:
	  Move pilot-link from sfw gate to JDS gate and bump to 0.12.1

2007-01-04  Elaine Xiong <elaine.xiong@sun.com>

	* ekiga.spec:
	* patches/ekiga-19-freeze-accessibility.diff: Added. 
	  Works around bugzilla 329454.		

2007-01-03  Damien Carbery <damien.carbery@sun.com>

	* gnome-applets.spec: Bump to 2.17.1. Remove patch,
	  03-disable-keyboard-layout, because the libxklavier sections are no
	  longer present. Renumber remainder.
	* patches/gnome-applets-03-disable-keyboard-layout.diff: Removed
	  because the libxklavier sections are no longer present.
	* patches/gnome-applets-03-make-multiload-network-available.diff:
	  Added, renamed from 04.

2006-12-30  Li Yuan  <li.yuan@sun.com>

	* gnome-session.spec:
	* patches/gnome-session-11-remove-filter.diff:
	  Add gnome-session-11-remove-filter.diff to fix bugzilla #390882.
	  Remove filter when it is not needed.

2006-12-28  Dave Lin  <dave.lin@sun.com>

	* firefox.spec: Bump version to 2.0.0.1
	* thunderbird.spec: Bump version to 2.0b1 and remove
	  mozilla-03-s11s-smkfl.diff, mozilla-04-s11x-smkfl.diff since 
	  they're upstreamed in that branch

2006-12-27  Wang Xin <jedy.wang@sun.com>

	* patches/evolution-08-todo.diff: Added.
	* patches/evolution-09-menutiem.diff: Added.

2006-12-27  Wang Xin <jedy.wang@sun.com>

	* evolution-jescs.spec: Update source link.

2006-12-22  Takao Fujiwara  <takao.fujiwara@sun.com>

	* metacity.spec: Updated
	* patches/metacity-10-trusted-extensions.diff: Updated for UI I18N.
	  Fixes 6468212.

2006-12-22  Simon Zheng  <simon.zheng@sun.com>

	* evolution.spec, patches/evolution-07-mail-account.diff:
	  Add a new patch to fix Bugzilla bug #352108 regression - 
	  evolution crashes when setting mail account.

2006-12-21  Brian Cameron  <brian.cameron@sun.com>

	* gimp.spec: Bump help to 2.0.11.  Now call configure for help with
	  the --without-gimp argument so it doesn't complain that gimp is
	  not installed when building the help files.

2006-12-21  Brian Cameron  <brian.cameron@sun.com>

	* gst-plugins-good.spec, patches/gst-plugins-good-03-cvshead.diff:
	  Bump to 0.10.5, remove patch no longer needed.

2006-12-21  Damien Carbery <damien.carbery@sun.com>

	* gaim-otr.spec: Remove *.a and *.la files in %install.
	* patches/gaim-otr-01-upgrade-gaim2b2.diff: Correct header file
	  mentioned in patch s/gtkstock.h/gaimstock.h/.

2006-12-21  Damien Carbery <damien.carbery@sun.com>

	* glib2.spec: Bump to 2.12.6.
	* gnome-icon-theme.spec: Bump to 2.17.4.1.
	* intltool.spec: Bump to 0.35.2.
	* pango.spec: Bump to 1.15.2.

2006-12-21  Damien Carbery <damien.carbery@sun.com>

	* gst-fluendo-mp3.spec: Bump to 0.10.5. Remove upstream patch,
	  01-attrib-unused.
	* patches/gst-fluendo-mp3-01-attrib-unused.diff: Removed, upstream.
	
2006-12-20  Brian Cameron  <brian.cameron@sun.com>

	* dasher.spec, patches/dasher-02-linguas.diff,
	  dasher-03-nodividebyzero.diff:  Removed patches no longer needed.
	  Note maintainer fixed the dividebyzero problem by another approach
	  in the latest version.  Dasher doesn't seem to compile due to a new
	  linux header file dependency.  I filed a bug in bugzilla about this.
	* gnome-media.spec, patches/gnome-media-06-linguas.diff: Removed
	  patch no longer needed.

2006-12-20  Brian Cameron  <brian.cameron@sun.com>

	* Rename patch gtkam-02-g11n-i18n.diff to gtkam-02-gettext.diff so
	  it uses same name convention used with other gettext patches.
	* libgphoto2-03-solaris-mntent.diff: Remove - this patch is no longer
	  needed since libgphoto uses HAL now instead of calling mntent
	  logic directly.  Most of this patch was already integrated into
	  libgphoto, except for the stuff to make it use /etc/vfstab instead
	  of /etc/fstab.  So any users wanting to build libgphoto without HAL
	  will need to look into re-adding some of this patch.

2006-12-20  Damien Carbery <damien.carbery@sun.com>

	* gnome-games.spec: Add patch 01-ggz-function to fix #363444.
	* patches/gnome-games-01-ggz-function.diff: Add patch to fix #363444.

2006-12-20  Damien Carbery <damien.carbery@sun.com>

	* gnome-games.spec: Bump to 2.17.4.1.
	* gnome-icon-theme.spec: Bump to 2.17.4.
	* gnome-system-monitor.spec: Bump to 2.17.4.2.
	* gnome-media.spec: Bump to 2.17.1.
	* patches/gnome-media-03-cdda.diff,
	  patches/gnome-media-07-supportdevices.diff: Rework for new tarball.

2006-12-20  Damien Carbery <damien.carbery@sun.com>

	* patches/gtkam-03-fixgexif.diff: Add two chunks to get it to build.
	* evince.spec: Add patch, 03-lc-measurement, to fix #387887. Patch
	  written by Glynn.
	* patches/evince-03-lc-measurement.diff: Added, to fix build error,
	  #387887.

2006-12-20  Rick Ju <rick.ju@sun.com>

	* gaim-otr.spec, patches/gaim-otr-01-upgrade-gaim2b2.diff: Adding OTR
	  plugin for gaim

2006-12-19  Brian Cameron  <brian.cameron@sun.com>

	Note that this does not yet build properly.  I am still working on
	this, but wanted to check in the work so far.  Note these applications
	were broken previously since libgphoto was using a deprecated dbus
	dependency.
	
	* libgphoto.spec, gphoto.spec: Bump to 2.3.0.  This is needed since
	  the 2.2. versions depend on deprecated dbus interfaces.
	* patches/libgphoto2-03-fixstruct.diff,
	  patches/libgphoto2-04-mars.diff,
	  patches/libgphoto2-05-fixcameralist.diff: New patches to fix build.
	* libgphoto2-04-pragma-pack.diff, libgphoto2-05-dummy.diff:
	  Removed old patches.
	* patches/gphoto2-01-build.diff: Fix patch for new version.
	* gtkam.spec: Bump to 0.1.14.  Rework patches for new release.

2006-12-20  Jeff Cai <jeff.cai@sun.com>

	* evolution-data-server.spec: Add bugzilla bug number.

2006-12-19  Brian Cameron  <brian.cameron@sun.com>

	* ext-sources/gdm.xml:  Add dependency on fc-cache.

2006-12-19  Damien Carbery <damien.carbery@sun.com>

	* rhythmbox.spec: Remove code that deletes the .la/.a files as none are
	  generated.

2006-12-19  Damien Carbery <damien.carbery@sun.com>

	* patches/nautilus-11-interface-changes.diff,
	  patches/nautilus-12-acl.diff,
	  patches/nautilus-13-trusted-extensions.diff: Rework for new tarball.
	* patches/gnome-keyring-01-pkcs.diff: Rework for new tarball.
	* patches/dasher-03-nodividebyzero.diff: Update for new tarball.
	* rhythmbox.spec: Remove upstream patch, rhythmbox-02-audiocd.diff.
	* patches/rhythmbox-02-audiocd.diff: Removed, upstream.

2006-12-19  Damien Carbery <damien.carbery@sun.com>

	* glib2.spec: Remove upstream patches, 01-gettext-macro,
	  05-solaris-thread-flags, 09-use-fdwalk. Renumber remainder.
	* patches/glib-01-gettext-macro.diff,
	  patches/glib-05-solaris-thread-flags.diff,
	  patches/glib-09-use-fdwalk.diff: Removed, upstream.
	* patches/glib-07-hidden.diff: Remove upstream chunk (glib/gutf8.c).
	* patches/glib-01-convert-utf8.diff: Added, renamed from 02.
	* patches/glib-02-default-path.diff: Added, renamed from 03.
	* patches/glib-03-gmodule-always-lazy.diff: Added, renamed from 04.
	* patches/glib-04-msgfmt-c.diff: Added, renamed from 06
	* patches/glib-05-hidden.diff: Added, renamed from 07.
	* patches/glib-06-ALL_LINGUAS.diff: Added, renamed from 08.
	* patches/glib-07-trusted-extensions.diff: Added, renamed from 10.
	* at-spi.spec: Remove upstream patch, at-spi-01-fix-leak.diff.
	* patches/at-spi-01-fix-leak.diff: Removed, upstream.

2006-12-19  Damien Carbery <damien.carbery@sun.com>

	* vino.spec: Remove upstream patch, vino-02-keyborad-map.diff.
	* patches/vino-02-keyborad-map.diff: Removed, upstream.
	* alacarte.spec: Remove upstream patch, 02-launch-menu-item and
	  03-g11n-i18n-ui.
	* patches/alacarte-02-launch-menu-item.diff: Removed, upstream.
	* patches/alacarte-03-g11n-i18n-ui.diff: Removed, upstream.

2006-12-19  Damien Carbery <damien.carbery@sun.com>

	* nautilus.spec: Bump to 2.17.1.
	* zenity.spec, gedit.spec, gnome-vfs.spec: Bump to 2.17.2.
	* eog.spec: Bump to 2.17.3.
	* vino.spec, gnome-themes.spec, gnome-games.spec, file-roller.spec,
	  nautilus-cd-burner.spec, gnome-screensaver.spec: Bump to 2.17.4.
	* gnome-system-monitor.spec: Bump to 2.17.4.1.
	* atk.spec: Bump to 1.12.4.
	* at-spi.spec: Bump to 1.7.14.
	* gail.spec: Bump to 1.9.4.
	* gnome-keyring.spec: Bump to 0.7.2.
	* rhythmbox.spec: Bump to 0.9.7.
	* evince.spec: Bump to 0.7.0.
	* dasher.spec: Bump to 4.3.3.
	* glib2.spec: Bump to 2.12.5.
	* alacarte.spec: Bump to 0.10.2.

2006-12-19  Jeff Cai  <jeff.cai@sun.com>

	* evolution-data-server.spec: Bump to 1.9.4 and
	  one patch to solve build problem.
	* evolution-exchange.spec: Bump to 2.9.4
	* evolution.spec: Bump to 2.9.4
	* gtkhtml.spec: Bump to 3.13.4
	* patches/evolution-data-server-03-exchange-account.diff:
	  patch to solve build problem.

2006-12-18  Damien Carbery <damien.carbery@sun.com>

	* patches/gnome-system-monitor-01-solaris.diff: Large rework for new
	  tarball.

2006-12-18  Darren Kenny  <darren.kenny@sun.com>

	* patches/gnome-vfs-01-default-url-handler.diff:
	  Fixes Bug#6505616 - change entry for firefox to be full path of
	  /usr/lib/firefox/firefox.

2006-12-18  Damien Carbery <damien.carbery@sun.com>

	* ORBit2.spec: Bump to 2.14.4. Remove upstream patch, 02-fixhypen.
	* patches/ORBit-02-fixhypen.diff: Removed, upstream.
	* gnome-system-monitor.spec: Bump to 2.17.4. Removed upstream patch,
	  03-wifexited-wait.
	* patches/gnome-system-monitor-03-wifexited-wait.diff: Removed, upstream
	* orca.spec: Bump to 2.17.4. Remove upstream patch, 01-g11n-i18n-ui.
	* patches/orca-01-g11n-i18n-ui.diff: Removed, upstream.
	* gconf-editor.spec: Bump 2.17.0.
	* gnome-keyring-manager.spec: Bump to 2.17.0.
	* bug-buddy.spec: Bump to 2.17.3.
	* gcalctool.spec: Bump to 5.9.9.
	* gnome-vfs.spec: Bump to 2.17.1.
	* eel.spec: Bump to 2.17.1.

2006-12-18  Darren Kenny  <darren.kenny@sun.com>

	* patches/gnome-system-tools-07-users.diff:
	  Should be able to enter larger UIDs but seems that code wasn't
	  overriding the Glade file, so patched the Glade file.

2006-12-18  Matt Keenan <matt.keenan@sun.com>

	* control-center.spec : Remove patch 13-evolution-about-me.diff,
	  obsolete.
	* patches/control-center-13-evolution-about-me.diff : Remove
	* patches/control-center-13-unique-a11y-kbd.diff : Renumber
	* patches/control-center-14-sticky-timeout.diff : Renuber
	* patches/control-center-15-full-hinting-dialog.diff : Renuber
	* patches/control-center-16-sound-preview.diff : Renuber
	* patches/control-center-17-function-macro.diff : Renuber
	* patches/control-center-18-empty-struct.diff : Renuber

2006-12-18  Darren Kenny  <darren.kenny@sun.com>

	* patches/system-tools-backends-08-users.diff:
	  Change default homedir from /home to /export/home.

2006-12-18  Jeff Cai  <jeff.cai@sun.com>

	* patches/evolution-data-server-03-mail-rlimit.diff: Removed.

2006-12-18  Damien Carbery <damien.carbery@sun.com>

	==== Vermillion Devel build 56 ====

2006-12-18  Wang Xin  <jedy.wang@sun.com>

	* evolution-exchange.spec: 02-sun-ldap renamed to 01-sun-ldap.

2006-12-18  Wang Xin  <jedy.wang@sun.com>

	* evolution-exchange.spec: Patch 01-solaris-eutil.diff removed.
	  02-sun-ldap renamed to 01-sun-ldap.
	* patches/evolution-exchange-01-solaris-eutil.diff: Removed.
	* patches/evolution-exchange-02-sun-ldap.diff: Renamed.

2006-12-17  Laszlo (Laca) Peter  <laca@sun.com>

	* gdm.spec: delete upstream patch fixsecurity.diff, renumber remaining
	  patches
	* patches/gdm-07-fixdialogs.diff: convert to p1 from p(-1)
	* patches/gdm-07-fixsecurity.diff: delete, upstream
	* patches/gdm-08-fixdialogs.diff: renumber

2006-12-17  Ghee Teo <ghee.teo@sun.com>

	* patches/gtk+-18-printing-papi-backend.diff: modified patch to fix
	  6504981.

2006-12-17  Damien Carbery <damien.carbery@sun.com>

	* gnome-mag.spec: Bump to 0.14.0.

2006-12-16  Laszlo (Laca) Peter  <laca@sun.com>

	* ORBit2.spec: delete patch 01, renumber rest
	* patches/ORBit-01-no-static.diff: delete patch, no longer needed
	* patches/ORBit-02-uninstalled_pc.diff: renumber
	* patches/ORBit-03-fixhypen.diff: renumber

2006-12-15  Brian Cameron  <brian.cameron@sun.com>

	* gnome-panel.spec, patches/gnome-panel-18-fixclock.diff:  Patch
	  to fix the clock applet so it doesn't crash when you click on
	  it to show the calendar.

2006-12-15  Brian Cameron  <brian.cameron@sun.com>

	* gdm.spec, patches/gdm-08-fixdialogs.diff:  Fix so that GDM
	  dialogs display text.  Patch from CVS head.

2006-12-15  Damien Carbery <damien.carbery@sun.com>

	* eog.spec: Remove upstream patch 03-shell-X11. Renumber rest.
	* patches/eog-03-shell-X11.diff: Removed, upstream.
	* patches/eog-03-menu-entry.diff: Added, renamed from 03.

2006-12-15  Matt Keenan <matt.keenan@sun.com>

	* gnome-keyring-manager.spec : Update for CFLAGS options removal,
	  bugzilla : 386240
	* patches/gnome-keyring-manager-01-Wall-remove.diff : Amended to patch
	  configure.ac

2006-12-15  Ghee Teo <ghee.teo@sun.com>

	* patches/gnome-session-09-trusted-extensions.diff: updated patch
	  to handle the difference between g2.16 and g2.17 in the handling of
	  at-spi-registryd.

2006-12-15  Darren Kenny  <darren.kenny@sun.com>

	* patches/dbus-01-dbus-launch.diff:
	  dbus-launch was looping continuously chewing CPU. The patch was
	  #ifdef/#endif-ing out the select statement which is where it should
	  be sleeping for things to happen. 

2006-12-15  Damien Carbery <damien.carbery@sun.com>

	* patches/gdm-01-branding-defaults-solaris.diff,
	  patches/gdm-02-branding-general.diff: Rework for new tarball.

2006-12-15  Jim Li  <jim.li@sun.com>

	* patches/system-tools-backends-04-network.diff: Fix bug 6489661

2006-12-15  Li Yuan  <li.yuan@sun.com>

	* gnome-session.spec: Add libexecdir option to configure to make 
	  gnome-session know where the at-spi-registryd is.

2006-12-15  Takao Fujiwara  <takao.fujiwara@sun.com>

	* nautilus-cd-burner.spec: Updated to read LINGUAS file. CR6314057

2006-12-15  Brian Cameron  <brian.cameron@sun.com>

	* dasher.spec, patches/dasher-03-nodividebyzero.diff: Fix
	  crashing problem.

2006-12-14  Damien Carbery <damien.carbery@sun.com>

	* gnome-speech.spec: Bump to 0.4.7.
	* gdm.spec: Bump to 2.17.4.

2006-12-14  Damien Carbery <damien.carbery@sun.com>

	* pygtk2.spec: Remove patch 02-pygobject-xsl-dir as nothing is built in
	  the docs dir.
	* patches/pygtk2-02-pygobject-xsl-dir.diff: Removed, not needed.
	* pygobject.spec: Remove reference to pygtk2-02-pygobject-xsl-dir.diff
	  as it has been removed.

2006-12-14  Ghee Teo <ghee.teo@sun.com>

	* ORBit2.spec: added metainfo
	* gnome-vfs.spec: added metainfo
	* patches/gnome-vfs-03-g11n-i18n-ui.diff: removed upstream
	* patches/gnome-vfs-04-trash-only-home.diff: renamed
	* patches/gnome-vfs-05-mount-points-fix.diff: renamed
	* patches/gnome-vfs-06-trash-files-from-different-filesystem.diff:
	  renamed
	* patches/gnome-vfs-07-socks-version.diff: renamed
	* patches/gnome-vfs-08-audio-cd-show-icon.diff: renamed
	* patches/gnome-vfs-09-trash-skip-copy.diff: renamed
	* patches/gnome-vfs-10-login_tty.diff: renamed
	* patches/gnome-vfs-11-krb5-config-no-gssapi.diff: renamed
	* patches/gnome-vfs-12-hidden.diff: renamed
	* patches/gnome-vfs-13-acl-permissions.diff: renamed

2006-12-14  Matt Keenan <matt.keenan@sun.com>

	* gtkam.spec : Remove patch gtkam-05-short-cut-key.diff, not needed
	* patches/gtkam-05-short-cut-key.diff : Removed
	* patches/gtkam-05-g11n-i18n-menu.diff : Renumbered

2006-12-14  Damien Carbery <damien.carbery@sun.com>

	* java-access-bridge.spec: Set JAVA_HOME to use jdk1.5.0 to fix 6498805.
	* cairo.spec: Correct url for unstable builds: s/releases/snapshots/.

2006-12-14  Padraig O'Briain <padraig.obriain@sun.com>

	* gtk2.spec: Added back first patch.
	* patches/gtk+-01-window-icons-for-message-dialog.diff: Updated 
	  so that it applies.

2006-12-14  Wang Xin <jedy.wang@sun.com>

	* evolution-exchange.spec: Set sysconfdir to /etc.

2006-12-13  Damien Carbery <damien.carbery@sun.com>

	* gtksourceview.spec: Bump to 1.8.2.

2006-12-13 Erwann Chenede - <erwann.chenede@sun.com>

	* control-center.spec : removed 
	  control-center-03-gsd-not-session-managed.diff as it's not 
	  needed anymore and renumbered subsequent patches.
	* glib2.spec : removed glib-06-feature_tests.diff as it's not 
	  needed anymore and renumbered subsequent patches.

2006-12-13  Damien Carbery <damien.carbery@sun.com>

	* scrollkeeper.spec: Remove old patch, 06-write_omf_file, as it is not
	  necessary, it only prevents some docs being built.
	* patches/scrollkeeper-06-write_omf_file.diff: Removed. Didn't do
	  anything useful.

2006-12-13  Damien Carbery <damien.carbery@sun.com>

	* gst-fluendo-mp3.spec: Add patch 01-attrib-unused.
	* patches/gst-fluendo-mp3-01-attrib-unused.diff: Change __attribute__
	  ((unused)) to the portable G_GNUC_UNUSED.
	
2006-12-13  Padraig O'Briain <padraig.obriain@sun.com>

	* gtk2.spec: Fix typo in previous commit.

2006-12-13  Padraig O'Briain <padraig.obriain@sun.com>

	* gtk2.spec: Remove patch gtk+-08-nofocus-empty.diff as it is
	  no longer required. Renumbered remainder.
	* gtk+-08-sun-copy-paste-keybindings.diff,
	  gtk+-09-sun-pgdn-pgup-keybinding.diff,
	  gtk+-10-solaris-2.0.0-compat.diff,
	  gtk+-11-gtkfontsel-style-g11n.diff,
	  gtk+-12-blank-popup-menu-fix.diff,
	  gtk+-13-treeview-keynav.diff,
	  gtk+-14-trusted-extensions.diff,
	  gtk+-15-hidden.diff,
	  gtk+-16-textview-selection-g-assert.diff,
	  gtk+-17-recent-files-crash.diff,
	  gtk+-18-printing-papi-backend.diff,
	  gtk+-19-gedit-menu-shortcuts.diff: Added, renumbered.

2006-12-13  Wang Xin <jedy.wang@sun.com>

	* evolution-exchange.spec: Ship schema.
	* patches/evolution-exchange-02-sol-macros.diff: Replaced by 02-sun-ldap
	* patches/evolution-exchange-03-sun-ldap.diff: Renamed.
	* patches/evolution-exchange-02-sun-ldap.diff: Added. Bugzilla 383064.

2006-12-13  Damien Carbery <damien.carbery@sun.com>
	
	* evolution-exchange.spec: Add patch to build on Solaris.
	* patches/evolution-exchange-03-sun-ldap.diff: Build with Solaris LDAP
	  defines. Bugzilla 385354.
	* dbus.spec: Bump to 1.0.2.

2006-12-12  Padraig O'Briain <padraig.obriain@sun.com>

	* patches/gnome-panel-08-launch-menu.diff: Update to fix bug 6498703.

2006-12-12  Takao Fujiwara  <takao.fujiwara@sun.com>

	* alacarte.spec, gtkam.spec, orca.spec: Updated
	* patches/alacarte-03-g11n-i18n-ui.diff: Added to fix UI I18N. CR
	  6493499
	* patches/gtkam-06-g11n-i18n-menu.diff: Added to fix UI I18N. CR 6488200
	* patches/orca-01-g11n-i18n-ui.diff: Added to fix UI I18N. CR 6499543

2006-12-12  Damien Carbery <damien.carbery@sun.com>

	* cairo.spec: Readd a patch to fix bug 9124 (called 04-endian-search
	  this time).
	* patches/cairo-04-endian-search.diff: Added to fix bad fix for 9124.

2006-12-11  Brian Cameron  <brian.cameron@sun.com>

	* patches/gst-plugins-good-03-srcopen.diff, 
	  patches/gst-plugins-good-04-master.diff,
	  patches/gst-plugins-good-05-reset.diff:  Remove patches that are
	  now contained in the single gst-plugins-03-cvshead.diff patch.
	* gst.spec, gst-plugins-good.spec, patches/gst-plugins-03-cvshead.diff:
	  Updated patch to replace 3 older patches and update to CVS head
	  which has these fixes and also fixes the performance issues with
	  change volume in GStreamer applications.

2006-12-11  Damien Carbery <damien.carbery@sun.com>

	* metacity.spec: Bump to 2.17.3.
	* enchant.spec: Remove unnecessary automake call; add autoconf and 
	  adjust aclocal calls. Update patch metadata as the C++ libs portion
	  is no longer an issue.
	* patches/enchant-01-define_FILE.diff: Remove Makefile.am portions as
	  setting LD=$CXX in SUNWgnome-spell.spec resolved the issue.

2006-12-11  Laszlo (Laca) Peter  <laca@sun.com>

	* libexif.spec: moved here from Solaris/extra-specs;
	  delete patch no-docs.diff, it's not really necessary

2006-12-11  Damien Carbery <damien.carbery@sun.com>

	* cairo.spec: Bump to 1.3.6. Remove upstream patch 04-float-word.
	* patches/cairo-04-float-word.diff: Removed, upstream.

2006-12-11  Dermot McCLuskey <dermot.mccluskey@sun.com>

	* virt-manager.spec: new file
	* patches/virt-manager-01-build-flags.diff: add patch

2006-12-11  Wang Xin <jedy.wang@sun.com>

	* evolution-jescs.spec: bump to 2.9.0.
	* patches/evolution-jescs-01-evo-api-ver-hack.diff: Removed.

2006-12-08  Damien Carbery <damien.carbery@sun.com>

	* enchant.spec: Added, because gedit requires it for the spell module.
	* patches/enchant-01-define_FILE.diff: Include stdio.h as required and
	  add basic libs to LDADD lines as required.

2006-12-08  Damien Carbery <damien.carbery@sun.com>

	* ORBit2.spec: Bump to 2.14.3. Remove upstream patches, 03-gcc-Werror
	  and 04-localonly. Renumber remainder.
	* patches/ORBit-03-gcc-Werror.diff, patches/ORBit-04-localonly.diff:
	  Removed, upstream.
	* patches/ORBit-03-fixhypen.diff: Renamed from 05. Remove ChangeLog
	  chunk as it fails and and I'm too lazy to rework it.
	* at-spi.spec: Bump to 1.7.13.

2006-12-08  John Rice <john.rice@sun.com>

	*  ext-sources/SUNWgnome-panel-gnome-about.ksh: 
	   Added check to launch users-admin on first login as root

2006-12-08  Brian Lu<brian.lu@sun.com>

	* firefox.spec: Add "developer guide" page to firefox

2006-12-07  Damien Carbery <damien.carbery@sun.com>

	* gedit.spec: Add '--disable-spell' to configure so that the enchant
	  module is not needed.
	* pango.spec: Update api module version to 1.6.0.

2006-12-07  Damien Carbery <damien.carbery@sun.com>

	* patches/gnome-session-09-trusted-extensions.diff: Include
	  <glib/gtypes.h> in tsoljds-misc.h to define gboolean.

2006-12-07  Brian Cameron  <brian.cameron@sun.com>

	* gst.spec, gst-plugins-base.spec: Bump version.
	* gtk2.spec:  Add bug number to patch comment.
	* totem.spec, patches/totem-06-novisual.diff:  Add patch to
	  turn off the visualizer by default since goom has performance
	  issues and having it on often causes performance problems
	  (stuttering) when playing audio.

2006-12-07  Damien Carbery <damien.carbery@sun.com>

	* intltool.spec: Bump to 0.35.1. Remove upstream patches,
	  01-intltoolize-exit-1 and 02-ALL_LINGUAS.
	* patches/intltool-01-intltoolize-exit-1.diff, 
	  patches/intltool-02-ALL_LINGUAS.diff: Removed, upstream.
	* gst-fluendo-mp3.spec: Bump to 0.10.3.

2006-12-07  Darren Kenny  <darren.kenny@sun.com>

	* ext-sources/SUNWgnome-panel-gnome-about.ksh:
	  Add a check for the root user, since we don't want to launch Firefox
	  if the user is root.

2006-12-07  Damien Carbery <damien.carbery@sun.com>

	* evolution-exchange.spec: Add patch, 02-sol-macros, to use portable
	  macros in the source (G_GNUC_PRETTY_FUNCTION and LDAP_SUCCESS).
	* patches/evolution-exchange-02-sol-macros.diff: Added. Bugzilla 383064

2006-12-07  Damien Carbery <damien.carbery@sun.com>

	* control-center.spec: Remove obsolete patch, 04-remove-xkb-layout.
	  Rename libgnomekbd patch to 04.
	* patches/control-center-04-remove-xkb-layout.diff: Removed, obsolete
	  as libgwitchit module has been removed.
	* patches/control-center-21-no-libgnomekbd.diff: Remove my poor attempt
	  to exclude the libgnomekbd/ui dependency.
	* patches/control-center-04-no-libgnomekbd.diff: Add Gman's much better
	  patch to make the libgnomekbd/ui dependency optional. Bugzilla#383356.

2006-12-07  Darren Kenny  <darren.kenny@sun.com>

	* libwnck.spec: Enable building without T/X packages on snv_53.
	* ext-sources/SUNWgnome-panel-gnome-about.ksh: Create a wrapper script
	  around gnome-about to enable certain other actions to also take place
	  the first time that the user logs in, specifically in this case is
	  the copying of a Solaris Developer Guide startpage launcher to the
	  Desktop, and running firefox on first login with this page.

2006-12-07  Damien Carbery <damien.carbery@sun.com>

	* libgnomeui.spec: Change patch2 to -p1 while reworking patch contents.
	* patches/libgnomeui-02-crash-no-bugbuddy.diff: Rework.

2006-12-07  Damien Carbery <damien.carbery@sun.com>

	* gnome-games.spec: Remove upstream patches 01-array-init and 
	  02-ggz-function. Remove obsolete 'rm' calls in %install (those
	  files/dirs no longer installed). Install python libs to
	  vendor-packages dir and remove *.pyo files.
	* patches/gnome-games-01-array-init.diff,
	  patches/gnome-games-02-ggz-function.diff: Removed, upstream.

2006-12-07  Damien Carbery <damien.carbery@sun.com>

	* gnome-system-monitor.spec: Add patch, 03-wifexited-wait to include
	  sys/wait.h in src/sysinfo.cpp. Fixes 383291.
	* patches/gnome-system-monitor-03-wifexited-wait.diff: Added.

2006-12-07  Damien Carbery <damien.carbery@sun.com>

	* nautilus-cd-burner.spec, gnome-screesaver.spec, gnome-icon-theme.spec,
	  gnome-games.spec: Bump to 2.17.3.
	* libgnome.spec: Bump to 2.17.1.
	* libgnomeui.spec: Bump to 2.17.0.
	* gtk2-engines.spec: Bump to 2.9.0.
	* pango.spec: Bump to 1.15.1.
	* vte.spec: Bump to 0.15.0.

2006-12-06  Laszlo (Laca) Peter  <laca@sun.com>

	* control-center.spec: define %with_hal to keep the base spec file
	  valid without the Solaris spec file that %uses it.
	* firefox.spec: same with %with_apoc_adapter
	* ext-sources/developer-guide-images.tar: delete, using devguide
	  a tarball instead.
	* ext-sources/developer-guide.html: delete
	* ext-sources/devguide.desktop: delete
	* ext-sources/devguide.png: delete

2006-12-06  Brian Cameron  <brian.cameron@sun.com>

	* gdm.spec, gdm-01-solaris-branding.spec,
	  gdm-02-branding-general.spec: Fix so config file changes are
	  in the general file.
	* dasher.spec, vte.spec, gnome-terminal.spec, totem.spec,
	  libtheora.spec, dbus-glib.spec, ORBit2.spec, gtk2.spc:  Add
	  patch comments.

2006-12-06  Brian Cameron  <brian.cameron@sun.com>

	* gdm-01-branding-defaults-linux.diff, gdm-03-pam-security-setup.diff:
	  Remove Linux specif pathces.
	* gdm.spec, patches/gdm*: Added patch comments and renumber patches.

2006-12-06  Damien Carbery <damien.carbery@sun.com>

	* ext-sources/developer-guide.html, ext-sources/devguide.png,
	  ext-sources/devguide.desktop, ext-sources/developer-guide-images.tar:
	  Files for the SUNWsolaris-devel-docs package.

2006-12-06  Damien Carbery <damien.carbery@sun.com>

	* control-center.spec: Add 19-function-macro to change __FUNCTION__ to
	  G_GNUC_FUNCTION. Add 20-empty-struct to add a member to the empty
	  struct. Add 21-no-libgnomekbd so that libgnomekbd is not required.
	* patches/control-center-19-function-macro.diff, 
	  patches/control-center-20-empty-struct.diff, 
	  patches/control-center-21-no-libgnomekbd.diff: Added for build issues

2006-12-06  Damien Carbery <damien.carbery@sun.com>

	* libtheora.spec: Revert to 1.0alpha5 because of compilation errors.
	  Add 01-noversionscript patch back too.
	* patches/libtheora-01-noversionscript.diff: Added back.

2006-12-06  Ghee Teo <ghee.teo@sun.com>

	* gtk2.spec: updated with bugzilla id for this patch.
	* patches/gtk+-19-printing-papi-backend.diff: cleaned up the patch.

2006-12-06  Takao Fujiwara  <takao.fujiwara@sun.com>

	* gnome-netstatus.spec: Updated to read ALL_LINGUAS. Fixes 6499663
	* gnome-keyring.spec: Updated to read LIGUAS file. Fixes 6498950
	* gnome-pilot.spec: Updated
	* patches/gnome-pilot-08-g11n-i18n-ui.diff: Added for translations. 
	  bugzilla 138628.

2006-12-05  Brian Cameron  <brian.cameron@sun.com>

	* patches/glib-08-hidden.diff: Make check for SUNPRO a bit
	  nicer.

2006-12-05  Brian Cameron  <brian.cameron@sun.com>

	* gdm.spec, patches/gdm-08-fixsecurity.diff:  Patch to fix security
	  compromise caused by displaying a dialog with % values in the
	  string.

2006-12-05  Damien Carbery <damien.carbery@sun.com>

	* patches/patches/gdm-01-branding-defaults-solaris.diff: Rework.
	* patches/gnome-system-monitor-01-solaris.diff: Rework for new tarball.
	* gdm.spec: Remove upstream patches, 07-linguas, 10-fixsessionname,
	  09-gdmsetup-launch-menu-tooltip and 11-defaultdesc: Renumber
	  remainder.
	* patches/gdm-07-login-photo-menu.diff: Added, renamed from 08.
	* patches/gdm-07-linguas.diff, patches/gdm-10-fixsessionname.diff,
	  patches/gdm-09-gdmsetup-launch-menu-tooltip.diff,
	  patches/gdm-11-defaultdesc.diff: Removed, upstream.

2006-12-05  Ghee Teo <ghee.teo@sun.com>

	* patches/gnome-desktop-03-trusted-extensions.diff: updated patch to
	  fix 6458563.
	* patches/gnome-panel-11-trusted-extensions.diff: updated patch to fix
	  6458563.

2006-12-05  Damien Carbery <damien.carbery@sun.com>

	* gcalctool.spec: Remove upstream patch, 02-result-area.
	* patches/gcalctool-02-result-area.diff: Removed, upstream.
	* patches/evolution-04-pixmap-new.diff: Rework for new tarball.
	* evolution-exchange.spec: Remove obsolete patch 02-evo-api-ver-hack.
	* patches/evolution-exchange-02-evo-api-ver-hack.diff: Removed, obsolete
	* zenity.spec: Remove upstream patch, 01-commandline.
	* patches/zenity-01-commandline.diff: Removed, upstream.

2006-12-05  Damien Carbery <damien.carbery@sun.com>

	* gedit.spec: Remove upstream patch, 01-spellcheck-fallback-to-enus.
	  Renumber remainder.
	* patches/gedit-01-spellcheck-fallback-to-enus.diff: Removed, upstream.
	* patches/gedit-01-gtksourceview-binding.diff,
	  patches/gedit-02-no-zh_TW-help.diff, patches/gedit-03-menu-entry.diff:
	  Added, renumbered.
	* patches/libgtop-01-solaris.diff: Rework for new tarball.
	* patches/control-center-04-remove-xkb-layout.diff,
	  control-center-10-layout-deletion.diff: Rework for new tarball.

2006-12-05  Damien Carbery <damien.carbery@sun.com>

	* control-center.spec, gdm.spec, gnome-system-monitor.spec,
	  file-roller.spec gnome-themes.spec: Bump to 2.17.3.
	* eog.spec, bug-buddy.spec: Bump to 2.17.2.
	* gedit.spec, zenity.spec: Bump to 2.17.1.
	* evolution.spec, evolution-exchange.spec: Bump to 2.9.3.
	* evolution-data-server.spec: Bump to 1.9.3.
	* gtkhtml.spec: Bump to 3.13.3.
	* gcalctool.spec: Bump to 5.9.8.
	* libgtop.spec: Bump to 2.14.5.

2006-12-04  Damien Carbery <damien.carbery@sun.com>

	* patches/dasher-01-menu-entry.diff: Rework for new tarball.

2006-12-04  Damien Carbery <damien.carbery@sun.com>

	* dasher.spec: Bump to 4.3.2. Remove upstream patches, 01-forte and 
	  03-fixcompile. Renumber remainder.
	* patches/dasher-01-forte.diff, patches/dasher-03-fixcompile.diff:
	  Removed, upstream.
	* patches/dasher-01-menu-entry.diff, patches/dasher-02-linguas.diff:
	  Added, renumbered.
	* orca.spec: Bump to 2.17.3.

2006-12-03  Damien Carbery <damien.carbery@sun.com>

	* gnome-session.spec: Bump to 2.17.3.
	* patches/gnome-session-01-busy-cursor.diff,
	  patches/gnome-session-02-solaris-branding.diff,
	  patches/gnome-session-09-trusted-extensions.diff: Rework.

2006-12-03  Damien Carbery <damien.carbery@sun.com>

	* libtheora.spec: Remove upstream patch, 01-noversionscript.
	* patches/libtheora-01-noversionscript.diff: Removed.

2006-12-02  Damien Carbery <damien.carbery@sun.com>

	* patches/flac-01-forte.diff: Remove ^M chars and add new chunk to
	  change __inline to inline.

2006-12-01  Damien Carbery <damien.carbery@sun.com>

	* shared-mime-info.spec: Bump to 0.19.
	* patches/shared-mime-info-02-java-types.diff: Removed, upstream.
	* speex.spec: Bump to 1.2beta1. Removed obsolete patch, 01-empty-struct.
	* patches/speex-01-empty-struct.diff: Removed, obsolete. The patched
	  file is no longer in the module.

2006-11-30 Rick Ju <rick.ju@sun.com>
    
	* gaim.spec: add configure argument enable-gnome-keying to fix #6439103

2006-11-30  Damien Carbery <damien.carbery@sun.com>

	* liboil.spec: Bump to 0.3.10.
	* libtheora.spec: Bump to 1.0alpha7.
	* flac.spec: Bump to 1.1.3.
	* patches/flac-01-forte.diff: Rework for new tarball.
	* libmusicbrainz.spec: Bump to 2.1.4.

2006-11-30  Damien Carbery <damien.carbery@sun.com>

	* gaim.spec: Bump to 2.0.0beta5.
	* patches/gaim-06-gtk-func-def.diff: Remove upstream chunk.
	* patches/gaim-09-gtk-file-chooser.diff: Rework one chunk.

2006-11-29  Brian Cameron  <brian.cameron@sun.com>

	* gdm-02-branding-general.diff: Now call Xsession.jds
	  instead of Xinitrc.jds.

2006-11-30  Glynn Foster  <glynn.foster@sun.com>

	* nautilus-open-terminal.spec: Bump to 0.7 which includes fix for
	#6469722: Terminal windows launched from menu always open on 
	screen 0 in multiheaded environment

2006-11-29  Damien Carbery <damien.carbery@sun.com>

	* desktop-file-utils.spec: Bump to 0.12.

2006-11-29  Damien Carbery <damien.carbery@sun.com>

	* ekiga.spec: Fix typo in name of patch 18: s/18-opal-sunray/18-sunray/
	  Fix some commit comments and put patch metadata onto single lines.
	* evolution-exchange.spec: Add patch 02-evo-api-ver-hack so that the
	  evolution 2.9 module can be found. It will be removed when 
	  evolution-exchange is bumped to 2.9.
	* patches/evolution-exchange-02-evo-api-ver-hack.diff: Added.
	* evolution-jescs.spec: Add patch 02-evo-api-ver-hack so that the
	  evolution 2.9 module can be found. It will be removed when 
	  evolution-jescs is bumped to 2.9.
	* patches/evolution-jescs-01-evo-api-ver-hack.diff: Added.
	* firefox.spec: Correct path to sparcv8plus dir. Enclose code within
	  '%ifarch sparc'.

2006-11-29  Darren Kenny  <darren.kenny@sun.com>

	* patches/gnome-system-tools-07-users.diff:
	  Fix for #6484287. Provide an error to the users if the basdir for the
	  new homedir is mounted using autofs.
	  Also fix some #ifdef/#ifndefs to check for "sun" and "__SVR4".

2006-11-28  Brian Cameron  <brian.cameron@sun.com>

	* gdm.spec, patches/gdm-01-branding-defaults-solaris.diff,
	  gdm-02-branding-general.diff, gdm-11-defaultdesc.diff:
	  Better name for default.desktop (start Xclient script)
	  and turn off console-kit support since it doesn't work
	  on Solaris yet.  Move CDE.desktop.in back to the gdm-01
	  patch since it is Solaris specific.  Fix gnome.desktop.in
	  Comment to say "Java Desktop System" instead of "OpenSolaris"
	  (the last patch just changed the Name not Comment).  Call
	  xterm with full path in /etc/X11/gdm/Xsession since user
	  path may override the GDM default path and may not contain
	  /usr/openwin/bin).  Also use full-path for ctrun.

2006-11-28  Brian Cameron  <brian.cameron@sun.com>

	* gst-plugins-base.spec: Remove performance patch since it
	  introduces problems with GStreamer programs hanging.

2006-11-28  Brian Cameron  <brian.cameron@sun.com>

	* gst-plugins-good.spec, gst-plugins-good-05-reset.diff:
	  Add patch to implement reset function in the source and
	  sink plugin.  This greatly improves performance when
	  users hit the Stop/Pause/Previous/Next/etc. buttons in
	  various programs that use GStreamer such as rhythmbox,
	  sound-juicer, totem, g-s-r, etc.
	* gdm.spec, gdm-10-fixsessionname.diff:
	* gdm-01-branding-defaults-solaris.diff,
	  gdm-02-branding-general.diff:  Change "OpenSolaris GNOME
	  Desktop" to "Java Desktop System"

2006-11-28  Damien Carbery <damien.carbery@sun.com>

	* gtk2-java.spec: Remove upstream patch, 01-runExample.
	* patches/gtk2-java-01-runExample.diff: Removed, upstream.
	* nautilus.spec: Remove upstream patch, 14-desktop-icon-placement.
	* patches/nautilus-14-desktop-icon-placement.diff: Removed, upstream.
	* gnome-panel.spec: Temp disable patch in need of rework.
	* patches/sound-juicer-02-menu-entry.diff: Rework for new tarball.
	* gimp.spec: Bump to 2.3.13. Remove upstream patches 02-Xext and
	  04-null-char. Renumber remainder.
	* patches/gimp-02-Xext.diff, patches/gimp-04-null-char.diff: Removed,
	  upstream.
	* patches/gimp-02-fixcompile.diff: Added, renamed from 03.

2006-11-28  Jeff Cai <Jeff.Cai@sun.com>

	* evolution-data-server.spec:Bump to 1.9.2 and remove mail-limit
	patch. 
	* evolution-exchange.spec:Back to 2.8.1.
	* evolution.spec:Bump to 2.9.2.
	* gtkhtml.spec:Bump to 3.13.2.

2006-11-28  Dave Lin  <dave.lin@sun.com>

	* firefox.spec: Added %if %with_apoc_adapter to conditinoally disable
	  building apoc adapter, default: build apoc adapter, use 
	  --without-apoc-adapter to disable it, and removed empty directories
	  firefox/cpu/sparcv8plus and firefox/cpu

2006-11-27  Damien Carbery <damien.carbery@sun.com>

	* dasher.spec: Bump to 4.2.2.
	* gtkhtml.spec: Bump to 3.12.2.
	* glib2-java.spec: Bump to 0.4.1.
	* libsoup.spec: Bump to 2.2.98.
	* gtk2-java.spec: Bump to 2.10.1.
	* evolution-data-server.spec: Bump to 1.8.2.
	* pango.spec: Bump to 1.14.8.
	* pygobject.spec: Bump to 2.12.3.
	* patches/pygtk2-02-pygobject-xsl-dir.diff: Bump pygobject ver number 
	in patch.
	* evolution.spec: Bump to 2.8.2.1.
	* evolution-exchange.spec: Bump to 2.8.2.
	* eel.spec, gnome-vfs.spec, nautilus.spec: Bump to 2.16.3.
	* gnome-applets.spec, gnome-backgrounds.spec, gnome-panel.spec,
	  libwnck.spec, sound-juicer.spec, yelp.spec, 
	  zenity.spec: Bump to 2.16.2.

2006-11-27  Brian Cameron  <brian.cameron@sun.com>

	* dbus.spec: Minor cleanup
	* dbus-glib.spec, dbus-python.spec: Added
	* dbus-glib-01-uninstalled.pc.diff, dbus-glib-02-findlaunch.diff: 
	  Patches to fix building of D-Bus bindings.

2006-11-27  Darren Kenny  <darren.kenny@sun.com>

	* patches/system-tools-backends-05-services.diff: Remove a dependency 
	on print.pl which was removed from the pkgmap file.

2006-11-27 Brian Lu <brian.lu@sun.com>

	* ekiga.spec: Add patch 18-sunray-port-conflict. Fixes 6492117.
	* patches/ekiga-18-sunray-port-conflict.diff: Added. Fixes 6492117.

2006-11-27  Dave Lin  <dave.lin@sun.com>

	* firefox.spec: Move manpage related part in "%ifos linux" 
	  since SUNWfirefox.spec would cover that on Solaris

2006-11-27  Dave Lin  <dave.lin@sun.com>

	* firefox.spec: Enable apoc adapter(CR#6478680)
	* patches/firefox-10-enable-apoc-adapter.diff: Added.

2006-11-27  Glynn Foster  <glynn.foster@sun.com>

	* scripts/prepare-ChangeLog.pl: Remove the 'reviewed by'. No one
	uses it, more so given that we have the review process on 
	jds-review@opensolaris.org.

2006-11-27  Glynn Foster  <glynn.foster@sun.com>

	* README: Fix up wording. Patch from Dale Sears.

2006-11-27  Halton Huo  <halton.huo@sun.com>

	* vino.spec: Remove disable-xsun.diff, add keyborad-map.diff.
	* patches/vino-02-disable-xsun.diff:
	* patches/vino-02-keyborad-map.diff:

2006-11-24  Darren Kenny  <darren.kenny@sun.com>

	* acroread.spec, ext-sources/defaults.list: A fix for bug#6497045.

2006-11-24  Damien Carbery <damien.carbery@sun.com>

	* cairo.spec: Bump to 1.3.2. Add patch 04-float-word to fix configure 
	  issue. Fixes #9124.
	* patches/cairo-04-float-word.diff: Added. Fixes 9124.

2006-11-24  Damien Carbery <damien.carbery@sun.com>

	* file-roller.spec: Add --libexecdir to configure call.
	* gnome-games.spec: Add patches 01-array-init to fix 363438 and 
	  02-ggz-function to fix 362444.
	* patches/gnome-games-01-array-init.diff: Fix 363438.
	* patches/gnome-games-02-ggz-function.diff: Fix 362444.

2006-11-23  Damien Carbery <damien.carbery@sun.com>

	* dbus.spec: Remove upstream patch 01, 02, 04, 05 and 06.
	* patches/dbus-01-glib_cflags.diff, patches/dbus-02-python.diff,
	  patches/dbus-04-libexec.diff, patches/dbus-05-priv.diff,
	  patches/dbus-06-proxy-change-owner-crash.diff: Removed, upstream.
	* patches/dbus-01-dbus-launch.diff: Added, renamed from 01. Also
	  reworked for 1.0.1 tarball.

2006-11-23  Damien Carbery <damien.carbery@sun.com>

	* patches/gnome-system-monitor-01-solaris.diff: Reworked for 2.17.2.1
	  tarball.

2006-11-23  Damien Carbery <damien.carbery@sun.com>

	* patches/gnome-volume-manager-04-fixlocaluser.diff: Reworked for 
	  2.17.0 tarball.
	* patches/gnome-session-03-gnome-atom.diff, 
	  patches/gnome-session-05-gnome-about.diff,
	  patches/gnome-session-09-trusted-extensions.diff: Reworked for 2.17.2
	  tarball.
	* patches/gnome-utils-04-logview-plugin.diff: Reworked for 2.17.0 
	  tarball.
	* patches/metacity-05-raise-on-frame-click.diff,
	  patches/metacity-10-trusted-extensions.diff: Rework for 2.17.2 
	  tarball.

2006-11-23  Damien Carbery <damien.carbery@sun.com>

	* patches/gdm-06-system-locale.diff: Rework for 2.17.2 tarball.
	* patches/gdm-07-linguas.diff: Rework for 2.17.2 tarball.
	* patches/libgnome-01-default-background.diff: Rework for 2.17.0 
	  tarball.
	* patches/totem-05-moz-plugin.diff: Rework for 2.17.3 tarball.
	* patches/gnome-desktop-01-jds-about-branding.diff: Rework for 2.17.2
	  tarball.
	* libgnomeprint.spec: Remove upstream patch, 03-g11n-filename.
	* patches/libgnomeprint-03-g11n-filename.diff: Removed, upstream.
	* vino.spec: Remove upstream patches, 02-a11y-theme-icons and 
	03-a11y-selectable-label. Renumber remainder.
	* patches/vino-02-a11y-theme-icons.diff: Removed, upstream.
	* patches/vino-03-a11y-selectable-label.diff: Removed, upstream.
	* patches/vino-02-disable-xsun.diff: Added, renamed from 04.

2006-11-23  Damien Carbery <damien.carbery@sun.com>

	* file-roller.spec: Remove upstream patch, 02-rpm-cpio.
	* patches/file-roller-02-rpm-cpio.diff: Removed, upstream.
	* gdm.spec:
	* patches/gdm-09-sun-branding-patch.diff: Removed, upstream.
	* patches/gdm-10-fixfocus.diff: Removed, upstream.
	* patches/gdm-09-gdmsetup-launch-menu-tooltip.diff: Added, renamed from
	  11.

2006-11-23  Damien Carbery <damien.carbery@sun.com>

	* libgnomeprintui.spec: Bump to 2.17.0.
	* nautilus-cd-burner.spec: Bump to 2.17.2.
	* orca.spec: Bump to 2.17.2.
	* totem.spec: Bump to 2.17.3.
	* vino.spec: Bump to 2.17.2. Remove 8 upstream patches: 
	  02-gnome-keyring, 03-xgl, 04-ipv6-remove-dead-code, 
	  05-ipv6-use-getaddrinfo, 06-ipv6-use-inet-ntop,
	  07-ipv6-configure-check, 08-ipv6-create-ipv6-socket,
	  09-ipv6-create-ipv6-http-socket.
	* patches/vino-02-gnome-keyring.diff, patches/vino-03-xgl.diff,
	  patches/vino-04-ipv6-remove-dead-code.diff,
	  patches/vino-05-ipv6-use-getaddrinfo.diff,
	  patches/vino-06-ipv6-use-inet-ntop.diff,
	  patches/vino-07-ipv6-configure-check.diff,
	  patches/vino-08-ipv6-create-ipv6-socket.diff,
	  patches/vino-09-ipv6-create-ipv6-http-socket.diff: Removed, upstream.
	* patches/vino-02-a11y-theme-icons.diff: Added, renamed from 10.
	* patches/vino-03-a11y-selectable-label.diff: Added, renamed from 11.
	* patches/vino-04-disable-xsun.diff: Added, renamed from 12.

2006-11-23  Padraig O'Briain <padraig.obriain@sun.com>

	* gtk2.spec: Add references to patch gtk+-20-gedit-menu-shortcuts.diff.
	* patches/gtk+-20-gedit-menu-shortcuts.diff: Fix for bug6438587.

2006-11-23  Darren Kenny  <darren.kenny@sun.com>

	* ext-sources/solaris-cdda.schemas,
	  patches/gnome-vfs-01-default-url-handler.diff: Update url-handlers 
	  to point to correct applications. Fixes bug#6458407, and more....

2006-11-22  Darren Kenny  <darren.kenny@sun.com>

	* gnome-terminal.spec, patches/gnome-terminal-04-window-resizing.diff:
	  Backport CVS HEAD fix for bugzilla bug#342968 and bugster#6463098.
	  (Annoying terminal resizing bug).

2006-11-22  Laszlo Peter  <laca@sun.com>

	* patches/libtiff-01-ormandy.diff: add, fixes 6451119, shamelessly
	  stolen from Fedora
	* patches/libtiff-02-CVE-2006-2193.diff: this one too.

2006-11-22  Laszlo Peter  <laca@sun.com>

	* control-center.spec, glib2.spec, gtksourceview.spec,
	  libgnome.spec, libgnomeui.spec, nautilus-cd-burner.spec,
	  nautilus.spec, poppler.spec, yelp.spec: add --datadir=%{_datadir}
	  configure option, fixes 6443777

2006-11-22  Damien Carbery <damien.carbery@sun.com>

	* gnome-volume-manager.spec: Bump to 2.17.0.
	* libgnome.spec: Bump to 2.17.0.
	* libgnomeprint.spec: Bump to 2.17.0. Remove upstream patch, 01-Wall.
	  Renumber remainder.
	* patches/libgnomeprint-01-papi-print-dialog.diff: Renumbered from 02.
	* patches/libgnomeprint-02-evince-crash.diff: Renumbered from 03.
	* patches/libgnomeprint-03-g11n-filename.diff: Renumbered from 04.

2006-11-22  Damien Carbery <damien.carbery@sun.com>

	* gnome-python-desktop.spec: Bump to 2.17.1. Add patch, 01-no_inline, 
	  to fix #368364.
	* patches/gnome-python-desktop-01-no_inline.diff: Added, fixes 368364.
	* gnome-session.spec: Bump to 2.17.2.
	* gnome-system-monitor.spec: Bump to 2.17.2.1.
	* gnome-themes.spec: Bump to 2.17.2. Remove upstream patches, 
	  01-accessibility-icons and 03-icon-name-mapping. Rename remainder.
	* patches/gnome-themes-01-accessibility-icons.diff: Removed, upstream.
	* patches/gnome-themes-03-icon-name-mapping.diff: Removed, upstream.
	* patches/gnome-themes-01-add-so8-a11y-icons.diff: Renamed from 02.
	* gnome-utils.spec: Bump to 2.17.0.
	* dbus.spec: Bump to 1.0.1.

2006-11-22  Damien Carbery <damien.carbery@sun.com>

	* gnome-desktop.spec: Bump to 2.17.2.
	* gnome-games.spec: Bump to 2.17.1.
	* gnome-icon-theme.spec: Bump to 2.17.2.1.
	* gnome-menus.spec: Bump to 2.17.2.

2006-11-21  Laszlo (Laca) Peter  <laca@sun.com>

	* python.spec: delete, unused.

2006-11-20  Damien Carbery <damien.carbery@sun.com>

	* gnome-screensaver.spec: Bump to 2.17.2.
	* metacity.spec: Bump to 2.17.2. Remove upstream patch, 
	  13-terminal-strict-focus. Comment out patch 9 as it needs rework.
	* patches/metacity-13-terminal-strict-focus.diff: Removed, upstream.
	* control-center.spec: Bump to 2.17.1.
	* deskbar-applet.spec: Bump to 2.17.1.
	* eog.spec: Bump to 2.17.1.
	* file-roller.spec: Bump to 2.17.2.
	* gdm.spec: Bump to 2.17.2.

2006-11-20  Henry Zhang  <hua.zhang@sun.com>

	* patches/gnome-system-tools-06-time.diff
	* patches/system-tools-backends-07-time.diff
	  Add fix for bug 6495488
	* patches/gnome-system-tools-07-users.diff
	  Update fix for bug 6484279.

2006-11-20  Damien Carbery <damien.carbery@sun.com>

	==== Vermillion Devel build 54 ====

2006-11-20  Damien Carbery <damien.carbery@sun.com>

	* SunDesktopVersion.spec: Bump build number to 54.

2006-11-20  Darren Kenny  <darren.kenny@sun.com>

	* ext-sources/i.rbac, ext-sources/r.rbac,
	  ../SUNWgnome-system-tools.spec:
	  Removed the need for [ir].rbac since they already exist in
	  /usr/sadm/install/scripts

2006-11-19  Darren Kenny  <darren.kenny@sun.com>

	* patches/system-tools-backends-04-network.diff:
	  Fix for 6493380, where configuration was not being always saved.

2006-11-18  Darren Kenny  <darren.kenny@sun.com>

	* ext-sources/i.rbac, ext-sources/r.rbac:
	  Updated to latest versions from :
	  http://src.opensolaris.org/source/raw/onnv/onnv-gate/usr/src/pkgdefs/common_files/

2006-11-18  Darren Kenny  <darren.kenny@sun.com>

	* patches/system-tools-backends-08-users.diff:
	  Fix to ensure correct ordering of profiles - incorrect order breaks
	  functionality.

2006-11-17  Darren Kenny  <darren.kenny@sun.com>

	* ext-sources/SUNWgnome-system-tools-exec_attr,
	  ext-sources/i.rbac, ext-sources/r.rbac,
	  ../SUNWgnome-system-tools.spec:
	  Add rbac class action scripts and exec_attr entries.
	  (Class action scripts based on SUNWzebrar)
	* patches/libgksu1.2-04-rbac-support.diff:
	  Fix issue with failed search for suitable profile when one is
	  present, need to look at all not just first (which is nearly
	  always "All" special profile.

2006-11-17  Henry Zhang  <hua.zhang@sun.com>

	* patches/gnome-system-tools-07-users.diff: Add fix for bug 6484279.

2006-11-17  Lin Ma  <Lin.Ma@Sun.COM>

	* patches/gnome-utils-04-logview-plugin.diff: fixed CR#6491649 and
	  CR#6493325

2006-11-17  Ghee Teo - <ghee.teo@sun.com>

	* dbus.spec: added patch below to fix bugster:6488534 
	  bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=5899
	* patches/dbus-06-proxy-change-owner-crash.diff: added.

2006-11-17  Ghee Teo - <ghee.teo@sun.com>

	* gtk2.spec: added patch below to fix 6494571.
	* patches/gtk+-19-printing-papi-backend.diff: added

2006-11-17  Henry Zhang  <hua.zhang@sun.com>

	* patches/gnome-system-tools-06-time.diff:
	  update patch to disable all ntp servers.

2006-11-17  Damien Carbery <damien.carbery@sun.com>

	* alacarte.spec: Change %patch2 to use -p1.
	* alacarte-02-launch-menu-item.diff: Fix header to work with patch -p1. 

2006-11-17  Jim Li  <jim.li@sun.com>

	* patches/libgksu1.2-04-rbac-support.diff:
	  fix bug bugster:6488135

2006-11-17  Stephen Browne  <stephen.browne@sun.com>

	* nautilus.spec: add patch
	* patches/nautilus-14-desktop-icon-placement.diff: new patch to fix 
	  bugster 6493510 patch comes from bugzilla 373895

2006-11-17  Harry Lu <harry.lu@sun.com>

	* gnome-panel.spec: enable gnome-panel-14-support-alacarte.diff.
	* patches/gnome-panel-14-support-alacarte.diff: reworked.

2006-11-16 Rick Ju <rick.ju@sun.com>

	 * gaim.spec: add a new patch gaim-08-gnome-keyring.diff.
	              add --enable-gnome-keyring to configure
	              add a new patch gaim-09-gtk-file-chooser.diff
	 * ../SUNWgnome-im-client.spec: fixing the gaim.pc missing 
	   bug(#6423188)
	 * patches/gaim-08-gnome-keyring.diff: Added to fix #6439103 gaim must 
	   use gnome-keyring
	 * patches/gaim-09-gtk-file-chooser.diff: Added to fix #6430863 
	   #6489148 #6473371 #6491296 #6483844 #6448364

2006-11-17  Stephen Browne  <stephen.browne@sun.com>

	* patches/gnome-desktop-03-trusted-extensions.diff: only proxy app
	  launches through the stripe if zoneid == 0. Forward port of an
	  S10 fix Fixes 6472442.

2006-11-17  Halton Huo  <halton.huo@sun.com>

	* vino.spec: change patch owner to opensolaris id.

2006-11-16  Niall Power  <niall.power@sun.com>

	* patches/libwnck-01-trusted-extensions.diff:
	  Fix broken #ifdef#else logic in pager code that caused the
	  workspace switcher to render in black in a non trusted session.
	  Fixes bugster# 6493430.

2006-11-16  Damien Carbery <damien.carbery@sun.com>

	* gnome-netstatus.spec: Add patch 04-icon-symlink to make l10n image 
	  symlinks relative rather than absolute. Fixes WOS integration issue 
	  which prohibits absolute symlinks. Bugzilla 375932.
	* patches/gnome-netstatus-04-icon-symlink.diff: Added. Bugzilla 375932.

2006-11-16  Calum Benson  <calum.benson@sun.com>

	* alacarte.spec:
	* gdm.spec:
	* gksu.spec:
	* gnome-pilot.spec:
	* gnome-system-monitor.spec:
	* gnome-system-tools.spec:
	* gnome-themes.spec:
	* gnome-utils.spec:

	Added:
	* patches/alacarte-02-launch-menu-item.diff:
	* patches/gdm-11-gdmsetup-launch-menu-tooltip.diff:
	* patches/gksu-03-hide-launch-menu-items.diff:
	* patches/gnome-pilot-07-launch-menu-item.diff:
	* patches/gnome-system-monitor-02-launch-menu-item.diff:
	* patches/gnome-system-tools-09-launch-menu-item.diff:
	* patches/gnome-utils-05-logview-launch-menu-item.diff:

	Various changes to match latest UI spec, fixes
	6489274 and part of 6489289.

2006-11-16  Takao Fujiwara  <takao.fujiwara@sun.com>

	* libgnomeprint.spec: Updated
	* patches/libgnomeprint-04-g11n-filename.diff: Added to avoid crash. 
	Fixes 6452832 and 6245399.

2006-11-16  Padraig O'Briain <padraig.obriain@sun.com>

	* patches/gnome-panel-17-gok-grab-menu.diff: New patch.
	* gnome-panel.spec: Add patch.

2006-11-16  Halton Huo  <halton.huo@sun.com>

	* patches/vino-12-disable-xsun.diff: rework to change message text.

2006-11-16  Henry Zhang <hua.zhang@sun.com>

	* SUNWgnome-system-tools.spec: Remove unneeded files from
	  /usr/share/setup-tool-backends/scripts/

2006-11-16  Niall Power  <niall.power@sun.com>

	* patches/gnome-panel-11-trusted-extensions.diff:
	  Drop the AC_HEADERS_CHECK for Xtsol.h and use pkgconfig to
	  check for libgnometsol instead to detect a trusted extensions
	  system. Fixes bugster# 6450431

2006-11-16  Halton Huo  <halton.huo@sun.com>

	* patches/vino-12-disable-xsun.diff: rework to add i18n support.

2006-11-16  Halton Huo  <halton.huo@sun.com>

	* vino.spec, patches/vino-12-disable-xsun.diff: Add patch to fix
	  bugster #6493868.

2006-11-16  Glynn Foster  <glynn.foster@sun.com>

	* gnome-panel.spec, patches/gnome-panel-08-launch-menu.diff: Rework
	  according to new spec. Temporarily disable patch 14. Want to get
	  this in the build as soon as possible.

2006-11-15  Calum Benson  <calum.benson@sun.com>

	* ext-sources/accessibility-icons.tar.gz: Actually commit a tar.gz
	  file instead of a .tar file this time.

2006-11-14  Calum Benson  <calum.benson@sun.com>

	* ext-sources/accessibility-icons.tar.gz: Try to persuade SVN that
	  this tarball has changed, this time.

2006-11-14  Calum Benson  <calum.benson@sun.com>

	* patches/gnome-themes-01-accessibility-icons.diff: Gah, remove a
	  stray '\' (which is actually supposed to be there, but breaks the
	  build due to an upstream tarball error which is now fixed)

2006-11-14  Calum Benson  <calum.benson@sun.com>

	* gnome-themes.spec: Correct bugster number fixed by patch;
	  should be 6484251.

2006-11-14  Calum Benson  <calum.benson@sun.com>

	* gnome-themes.spec,
	  patches/gnome-themes-01-accessibility-icons.diff,
	  patches/gnome-themes-02-add-so8-a11y-icons.diff,
	  ext-sources/accessibility-icons.tar.gz: Add patch owner comments
	  to spec file, and change gnome-main-menu.png to start-here.png
	  in patch gnome-themes-01. Fixes bugzilla 357931 and bugster 6484251.

2006-11-14  Padraig O'Briain <padraig.obriain@sun.com>

	* control-center.spec: Update for patch changes
	* patches/control-center-17-keybindings-fix-edit.diff: Remove
	* patches/control-center-07-custom-keybinding.diff: Update to
	  implement Calum's proposal to fix bugster 6471348
	* patches/control-center-18-full-hinting.diff: Rename to -17-
	* patches/control-center-19-sound-preview.diff: Rename to -18-
	
2006-11-15  Glynn Foster  <glynn.foster@sun.com>

	* gedit.spec: Update dependencies. Thanks to Paolo Borelli
	  for pointing this out.

2006-11-13  Patrick Wade  <patrick.wade@sun.com>

	* gcalctool.spec: Add patch below
	* patches/gcalctool-02-result-area.diff:
	  Fix for bugster 6480076

2006-11-13  Patrick Wade  <patrick.wade@sun.com>

	* control-center.spec: Add patch below
	* patches/control-center-19-sound-preview.diff:
	  Fix for bugster 6458353

2006-11-13  Patrick Wade  <patrick.wade@sun.com>

	* gaim.spec: Add patch below
	* patches/gaim-07-protocol-mnemonics.diff: fix for bugster 6477194

2006-11-13  Damien Carbery <damien.carbery@sun.com>

	==== Vermillion Devel build 53b ====

2006-11-13  Jim Li  <jim.li@sun.com>

	* patches/gnome-system-tools-05-shares.diff:
	  fix bug bugster:6488693, 6488707
	* patches/system-tools-backends-04-network.diff:
	  fix bug bugster:6489659, 6489661

2006-11-13  Simon Zheng  <simon.zheng@sun.com>

	* patches/gtkhtml-01-backward-finding.diff: 
	  Add a patch for bugster 6448891 / bugzilla 349773,
	  Failure of backward finding is due to missing up the begining 
	  position of mail text. Searching UTF-8 string needs use UTF-8 
	  specific API instead.

2006-11-13  Lin Ma  <Lin.Ma@Sun.COM>

	Community's review is on going.
	Commit in JDS due to catching 53 respin.
	* gnome-utils.spec: pass --disable-static and --enable-shared to 
	  configure.
	* patches/gnome-utils-04-logview-monitor.diff: 
	* patches/gnome-utils-04-logview-plugin.diff: rename due to this patch 
	  contains all the codes of plugin.

2006-11-13  Dave Lin  <dave.lin@sun.com>

	* patches/mozilla-03-s11s-smkfl.diff: Added.
	* patches/mozilla-04-s11x-smkfl.diff: Added.
	* thunderbird.spec: Change the version to 1.5.0.8 since 2.0a1 could
	  not be able to integrated into SNV, and added above two patches
	  back because they've not been upstreamed in the branch that for 
	  Thunderbird 1.5.x

2006-11-10  Patrick Wade  <patrick.wade@sun.com>

	* patches/control-center-16-sticky-timeout.diff: rework for 6327546

2006-11-10  Niall Power  <niall.power@sun.com>

	* libwnck.spec: reapply libwnck-01-trusted-extensions.diff
	* patches/libwnck-01-trusted-extensions.diff: forward ported.

2006-11-10  Ghee Seng Teo - <ghee.teo@sun.com>

	* gnome-vfs.spec: updated fot patches removal.
	* patches/gnome-vfs-01-uri-canonizing.diff: removed consulted with
	  Laszlo Kovacs, old patch from vfolders day.
	* patches/gnome-vfs-02-gopher-proxy-schema.diff: removed after
	  consulting jds-dev, since firefox does not handle Solaris specific
 	  patches.
	* patches/gnome-vfs-03-default-url-handler.diff: renamed
	* patches/gnome-vfs-04-mime-info-file-path.diff: renamed
	* patches/gnome-vfs-05-g11n-i18n-ui.diff: renamed
	* patches/gnome-vfs-06-trash-only-home.diff: renamed
	* patches/gnome-vfs-07-mount-points-fix.diff: renamed
	* patches/gnome-vfs-07-socks-version.diff: renamed
	* patches/gnome-vfs-08-trash-files-from-different-filesystem.diff: 
	  renamed.
	* patches/gnome-vfs-09-socks-version.diff: renamed.
	* patches/gnome-vfs-10-audio-cd-show-icon.diff: renamed.
	* patches/gnome-vfs-11-trash-skip-copy.diff: renamed.
	* patches/gnome-vfs-12-login_tty.diff: renamed.
	* patches/gnome-vfs-13-krb5-config-no-gssapi.diff: renamed.
	* patches/gnome-vfs-14-hidden.diff: renamed.
	* patches/gnome-vfs-15-acl-permissions.diff: renamed.

2006-11-10  Padraig O'Briain <padraig.obriain@sun.com>

	* at-spi.spec: Updated for patch removal
	* patches/at-spi-01-define-symbols.diff: removed
	* patches/at-spi-02-fix-leaks.diff: renamed

2006-11-09  Damien Carbery <damien.carbery@sun.com>

	* pyspi.spec: Bump to 0.6.1.
	* dogtail.spec: Bump to 0.6.1. Remove upstream patch, 01-solaris.
	* patches/dogtail-01-solaris.diff: Removed, upstream.

2006-11-09  Damien Carbery <damien.carbery@sun.com>

	* gnome-mime-data.spec: Bump to 2.4.3.
	* gnome-games.spec: Bump to 2.16.1.1.

2006-11-08  Damien Carbery <damien.carbery@sun.com>

	* eel.spec: Bump to 2.16.1.
	* gnome-vfs.spec: Bump to 2.16.2.
	* nautilus.spec: Bump to 2.16.2. Remove upstream patches,
	  14-add-relations and 15-properties-relations.
	* patches/nautilus-10-uninstalled-pc.diff: Rework for new tarball.
	* patches/nautilus-14-add-relations.diff,
	  patches/nautilus-15-properties-relations.diff: Removed, upstream.

2006-11-08  Brian Cameron  <brian.cameron@sun.com>

	* gnome-volume-manager-06-no-linux-msg.diff: Update message to the
	  text that Artem recommends, so that "svc:/system/hal" is used as
	  the service name rather than just "hald".

2006-11-08  Halton Huo  <halton.huo@sun.com>

	* vino.spec: Add to new patches.
	* patches/vino-10-a11y-theme-icons.diff:
	  fix bug bugster:6491224 bugzilla:345394
	* patches/vino-11-a11y-selectable-label.diff:
	  fix bug bugster:6491221 bugzilla:338043

2006-11-07  Brian Cameron  <brian.cameron@sun.com>

	* patch/gdm-07-linguas.diff: Add Serbian and Montenegro languages.
	  Patch provided by Peter Nugent of the l10n team.   This patch is
	  in GDM CVS head.

2006-11-07  Padraig O'Briain <padraig.obriain@sun.com>

	* at-spi.spec: Add some patch metadata.
	* patches/at-spi-02-fix-leak.diff: Update patch to fix more leaks.

2006-11-07  Ghee Seng Teo - <ghee.teo@sun.com>

	* gnome-vfs.spec: removed patches/gnome-vfs-02-uninstalled-pc.diff. No 
	  longer needed. but has logged bugzilla bug 371610.
	* patches/gnome-vfs-02-uninstalled-pc.diff: removed
	* patches/gnome-vfs-03-gopher-proxy-schema.diff: renamed
	* patches/gnome-vfs-04-default-url-handler.diff: renamed.
	* patches/gnome-vfs-05-mime-info-file-path.diff: renamed.
	* patches/gnome-vfs-06-g11n-i18n-ui.diff: renamed.
	* patches/gnome-vfs-07-trash-only-home.diff: renamed.
	* patches/gnome-vfs-08-mount-points-fix.diff: renamed.
	* patches/gnome-vfs-09-trash-files-from-different-filesystem.diff: 
	  renamed.
	* patches/gnome-vfs-10-socks-version.diff: renamed.
	* patches/gnome-vfs-11-audio-cd-show-icon.diff: renamed.
	* patches/gnome-vfs-12-trash-skip-copy.diff: renamed.
	* patches/gnome-vfs-13-login_tty.diff: renamed.
	* patches/gnome-vfs-14-krb5-config-no-gssapi.diff: renamed.
	* patches/gnome-vfs-15-hidden.diff: renamed.
	* patches/gnome-vfs-16-acl-permissions.diff: renamed.

2006-11-07  Halton Huo  <halton.huo@sun.com>
	
	Fix for bugster #6483870, bugzilla #310965.

	* vino.spec: Remove glib-gettextize because intltoolize added,
	  Enable ipv6-create-ipv6-socket.diff and
	  ipv6-create-ipv6-http-socket.diff to fix ipv6 problem.
	* patches/vino-08-ipv6-create-ipv6-socket.diff: 
	  Add localOnly defination in rfb.h to fix build problem.

2006-11-07  Damien Carbery <damien.carbery@sun.com>

	* libsoup.spec: Bump to 2.2.97.

2006-11-06 Rick Ju <rick.ju@sun.com>
   
	* gaim.spec: remove commented gaim-05-msn-crash.diff
	* gaim-05-msn-crash: remove fixed upstream.
	* gaim-05-proxy_mnemotics.diff: renamed from 06
	* gaim-06-gtk-func-def.diff: renamed from 07

2006-11-06  Stephen Browne  <stephen.browne@sun.com>

	* eel.spec: added owner and patch metadata
	* gnome-mount.spec: added owner and patch metadata
	* gnome-volume-manager.spec: added owner and patch metadata
	* nautilus-open-terminal.spec: added owner and patch metadata
	* nautilus.spec: added owner and patch metadata
	* patches/eel-02-popup-menu-i18n.diff: removed not needed fix upstream
	* patches/nautilus-01-gestures.diff: removed now we nee new easter egg
	* patches/nautilus-02-trash-only-home.diff: moved
	* patches/nautilus-03-nonlocalized-history-fix.diff: moved
	* patches/nautilus-04-nonlocalized-templates.diff: moved
	* patches/nautilus-05-desktop-cluttered-icons.diff: moved
	* patches/nautilus-06-g11n-filename.diff: removed fix upstream
	* patches/nautilus-07-context-menu.diff: moved
	* patches/nautilus-07-ftp-rename.diff: moved
	* patches/nautilus-08-execute-shellscript.diff: moved
	* patches/nautilus-09-lockdown.diff: moved, edited to remove part of 15
	* patches/nautilus-10-context-menu.diff: moved, ditto ^
	* patches/nautilus-11-frame-buffer.diff: moved
	* patches/nautilus-12-lockdown.diff: moved
	* patches/nautilus-13-locale.h.diff: removed fix upstream
	* patches/nautilus-14-uninstalled-pc.diff: moved
	* patches/nautilus-15-eel-show-error-dialog.diff: removed fixed in 9+10
	* patches/nautilus-16-interface-changes.diff: moved and defuzzed
	* patches/nautilus-17-acl.diff: moved
	* patches/nautilus-18-trusted-extensions.diff: moved and defuzzed
	* patches/nautilus-19-add-relations.diff: moved
	* patches/nautilus-20-properties-relations.diff: moved

2006-11-06  Damien Carbery <damien.carbery@sun.com>

	* gnome-python.spec: Bump to 2.16.2.
	* gnome-speech.spec: Bump to 0.4.6.
	* gnome-utils.spec: Bump to 2.16.2. Remove upstream patch, 
	  05-dictionary-multihead.
	* patches/gnome-utils-05-dictionary-multihead.diff: Removed, upstream.

2006-11-06  Damien Carbery <damien.carbery@sun.com>

	* gnome-python.spec: Bump to 2.16.1.

2006-11-06 Erwann Chenede - <erwann.chenede@sun.com>

	* patches/control-center-18-full-hinting-dialog.diff: Changed 
	  incorrect URL 
	* cairo.spec : removed bugster:none comment.

2006-11-06  Stephen Browne <stephen.browne#sun.com>

	* GConf.spec: ../SUNWgnome-config.spec: updated owner and patch 
	  metadata.

2006-11-06  Damien Carbery <damien.carbery@sun.com>

	* gnome-python.spec: Bump to 2.16.1.

2006-11-06  Damien Carbery <damien.carbery@sun.com>

	==== Vermillion Devel build 53 ====

2006-11-06  Damien Carbery <damien.carbery@sun.com>

	* SunDesktopVersion.spec: Bump build number to 53.

2006-11-06  Glynn Foster  <glynn.foster@sun.com>

	* libghttp.spec, libical.spec, now.spec: Remove as per
	  LSARC 2006/600 Now Applet EOF.

2006-11-04  Laszlo (Laca) Peter  <laca@sun.com>

	* patches/Python-05-isalibs.diff: merge with Python 2.4.4

2006-11-03  Laszlo (Laca) Peter  <laca@sun.com>

	* gtk2.spec: use %gtk_doc_option in configure so that it can be
	  disabled using --without-gtk-doc; add --datadir=%{_datadir}
	  to the configure options, fixes 6443777
	* GConf.spec, ORBit2.spec, at-spi.spec, atk.spec, cairo.spec,
	  evolution-data-server.spec, gail.spec, gimp.spec, glib2.spec,
	  gnome-panel.spec, gnome-python-desktop.spec, gnome-vfs.spec,
	  gst-plugins-base.spec, gst-plugins-good.spec, gst.spec,
	  gtksourceview.spec, libbonobo.spec, libbonoboui.spec, libglade.spec,
	  libgnome.spec, libgnomecanvas.spec, libgnomeprint.spec,
	  libgnomeprintui.spec, libgnomeui.spec, liboil.spec, librsvg.spec,
	  pango.spec, poppler.spec, vte.spec: use %gtk_doc_option in
	  configure so that it can be disabled using --without-gtk-doc
	* scripts/prepare-ChangeLog.pl: update to work with subversion 1.4.0
	  where .svn/README.txt doesn't exist
	* brltty.spec: update patch comments
	* file-roller.spec: add owner and patch comments
	* gaim.spec: add patch comments

2006-11-03  Damien Carbery <damien.carbery@sun.com>

	* gaim.spec: Specify sysconfdir in configure call as gaim.schemas is 
	  installed there.
	* patches/gaim-07-gtk-func-def.diff: Rework to match upstream fix.
	* gcalctool.spec: Bump to 5.8.25. Remove upstream patch, 
	  02-arabic-decimal-point.
	* patches/gcalctool-02-arabic-decimal-point.diff: Removed, upstream.
	* librsvg.spec: Bump to 2.16.1.

2006-11-03  Michal Pryc <michal.pryc@sun.com>

	* glade-java.spec: Add patch, 01-runExample. Bugzilla #370042.
	* patches/glade-java-01-runExample.diff: Added, bugzilla #370042.

2006-11-03  Ghee Teo <ghee.teo@sun.com>

	* gnome-session.spec: updated to include patch 09 to fix 6393728 for 
	  GNOME 2.16.
	* patches/gnome-session-09-trusted-extensions.diff: added
	* patches/gnome-session-X-trusted-extensions.diff: removed 

2006-11-03  Padraig O'Briain <padraig.obriain@sun.com>

	* patches/nautilus-19-add-relations.diff: Patch to fix 6458338:
	  Corrected patch following feedback from maintainer.

2006-11-03  Halton Huo  <halton.huo@sun.com>

	* vino.spec: Add autoheader before configure to fix ipv6 and
	  gnome-keyring.

2006-11-03  Jim Li  <jim.li@sun.com>

	* patches/libgksu1.2-04-rbac-support.diff:
	  add echo command when try to validate user's password.
	  fix 6489656 bug that it hang when it's invoded as a root.

2006-11-02  Damien Carbery <damien.carbery@sun.com>

	* gaim.spec: Add patch, 07-gtk-func-def, to fix inconsistency between a
	  function declaration and definition. Submitted upstream via 
	  sourceforge.net bug db.
	* patches/gaim-07-gtk-func-def.diff: Fix func declaration.

2006-11-02  Damien Carbery <damien.carbery@sun.com>

	* gaim.spec: Remove obsolete patches, rename others. Temp disable
	  failing patch (msn-crash) - owner contacted for rework.
	* patches/gaim-05-nopyextension.diff: Removed, upstream.
	* patches/gaim-06-psychic.diff: Removed, obsolete (referenced code
	  no longer in module).
	* patches/gaim-05-msn-crash.diff: Renamed from 07.
	* patches/gaim-06-proxy_mnemotics.diff: Renamed from 08.
	* patches/gaim-01-remove-unwanted-protocols.diff: Update for new 
	  tarball.
	* patches/gaim-02-perl-common-argc.diff,
	  patches/gaim-03-libgaimperl.diff,
	  patches/gaim-04-long-preferences.diff,
	  patches/gaim-06-proxy_mnemotics.diff: Correct path to files as gaim 
	  source has been moved around.

2006-11-02 Erwann Chenede - <erwann.chenede@sun.com>

      	* control-center.spec : added control-center-18-full-hinting-dialog.diff
	* cairo.spec : added cairo-03-full-hinting.diff
	* patches/control-center-18-full-hinting-dialog.diff 
	* patches/cairo-03-full-hinting.diff : 
	  see jds-review/2006-November/000097.html for details.

2006-11-02 Erwann Chenede - <erwann.chenede@sun.com>

	* metacity.spec : reenabled tjds metacity patch
	* patches/metacity-10-trusted-extensions.diff : ported

2006-11-02  Dave Lin  <dave.lin@sun.com>

	* ekiga.spec: Bump version to 2.0.3,  add follwing patches 
	  which have been upstreamed in ekiga community trunk
	* patches/ekiga-10-pwlib-bz356696.diff, 
	  patches/ekiga-13-opal-bz356696.diff: Added, better fix for 
	  bz356696
	* patches/ekiga-15-opal-invalidarrayindex.diff: Added(bz367482)
	* patches/ekiga-16-pwlib-video.diff: Added(bz367516)
	* patches/ekiga-17-opal-rtp.diff: Added(CR#6483823, CR#6483831, 
 	  which caused revert to 2.0.2 in b52b)

2006-11-02  Padraig O'Briain <padraig.obriain@sun.com>

	* patches/at-spi-02-fix-leak.diff: Correct patch to remove
	  double free.

2006-11-02  Glynn Foster  <glynn.foster@sun.com>

	* patches/quick-lounge-applet-01-xlibs.diff: Update, so that
	  it's in sync with the bugzilla bug, #369265.
	* quick-lounge-applet.spec: Update with details of each patch,
	  owner, and type.

2006-11-02  Glynn Foster  <glynn.foster@sun.com>

	* evolution-jescs.spec, file-roller.spec, glib2.spec,
	  gnome-backgrounds.spec, gtk2.spec, libcroco.spec, pango.spec: Fix 
	  urls, and in the case of glib/gtk/pango remove the CVS foo.
	* scripts/find-latest-versions.sh: Update so that it only checks
	  the GNOME related components, and doesn't use the MAINTAINERS file
	  anymore.

2006-11-01  Damien Carbery <damien.carbery@sun.com>

	* brltty.spec: Add patch, 02-lib-symlinks to fix 6454451. Adds code to 
	  create symlink for to a module library. Executable required the
	  symlink.
	* patches/brltty-02-lib-symlinks.diff: Fix 6454451.

2006-11-01  Stephen Browne <stephen.browne@sun.com>

	* patches/glib-11-trusted-extensions.diff: new patch to restrcit glib
	  module loading See Bugster 6393731
	* glib2.spec: add new patch

2006-11-01  Damien Carbery <damien.carbery@sun.com>

	* libcdio.spec: Bump to 0.78.2. Remove unnecessary patch, 01-noc++lib.
	  C++ bindings are now disabled via configure --disable-cxx parameter.
	* patches/libcdio-01-noc++lib.diff: Removed. Replaced by additional
	  configure parameter.

2006-11-02  Glynn Foster  <glynn.foster@sun.com>

	* MAINTAINERS: Add details about component owners. Laca/Stephen,
	  feel free to modify this if you have something better to add.
	* deskbar-applet.spec, gnome-applets.spec, gnome-menus.spec,
	  gnome-netstatus.spec, libghttp.spec, libical.spec,
	  now.spec, quick-lounge-applet.spec: Add myself as an owner to
	  these spec files.

2006-11-01  Takao Fujiwara  <takao.fujiwara@sun.com>

	* sound-juicer.spec: Updated
	* gnome-session.spec: Updated to remove glib-gettextize

2006-11-01  Irene Huang  <irene.huang@sun.com>

	* patches/gnome-volume-manager-02-autoplay.diff: Modified to add
	  rythmbox to be autoipod_command.

2006-11-01  Irene Huang  <irene.huang@sun.com>

	* patches/gnome-volume-manager-02-autoplay.diff: Modified so that
	  when a blanck cd is inserted, a dialog will show up asking whether 
	  to burn it or not and when a player is inserted, rhythmbox will 
	  startup. 
	* patches/nautilus-20-properties-relations.diff: Modified to remove
	  fuzziness.

2006-11-01  Irene Huang  <irene.huang@sun.com>

	* gnome-volume-manager.spec: remove 06-autoplay.diff, move 
	  07-no-linux-msg.diff to 06-no-linux-msg.diff
	* patches/gnome-volume-manager-02-autoplay.diff: Merged from
	  02-autoplay.diff and 06-autoplay.diff.
	* patches/gnome-volume-manager-06-autoplay.diff:
	* patches/gnome-volume-manager-07-no-linux-msg.diff: moved to 
	  06-no-linux-msg.diff.

2006-11-01  Glynn Foster  <glynn.foster@sun.com>

	* ext-sources/adobe-sun.png, ext-sources/flash.gif,
	  ext-sources/sun-logo.png: Remove these as they are now in the
	  solaris-branding module.

2006-11-01  Glynn Foster  <glynn.foster@sun.com>

	* control-center.spec, evolution-webcal.spec, gnome-netstatus.spec,
	  printman.spec: Update the 'Distribution' to be consistent with the
	  rest of the spec files.

2006-11-01  Glynn Foster  <glynn.foster@sun.com>

	* ext-sources/openldap-rc.tgz: Remove, we don't ship openldap
	  anymore, so it's an unneeded source.

2006-11-01  Glynn Foster  <glynn.foster@sun.com>

	* scripts/prepare-ChangeLog.pl: It's a bit of an ugly hack, but
	  at least it makes binary files appear in the ChangeLog. I'd 
	  advise *everyone* to make sure they have this fix, otherwise it'll
	  make things hard figuring out where things went.

2006-11-01  Glynn Foster  <glynn.foster@sun.com>

	* ext-sources/cupsd.conf.jds,
	  ext-sources/sun-testpage-a4.eps.bz2,
	  ext-sources/sun-testpage-letter.eps.bz2: Remove these since these
	  were used in the now defunct gnome-cups-manager package.

	* ext-sources/firefox-chrome-lang.txt: Unreferenced - firefox
	  now uses a different mechanism for registering chrome entries
	  that the l10n team prefers.

	* ext-sources/mozilla-copyright.txt: Remove, we no longer have
	  mozilla in our sources.

	* ext-sources/nautilus-mount-helpers.pamd: This was a patch that
	  was used with the nautilus mount to add usermode support rather
	  than nautilus-su. We don't have usermode anymore.

	* ext-sources/suse-generic-names.conf,
	  ext-sources/suse-post-user.conf,
	  ext-sources/suse-pre-user.conf: SuSE stuff needs to go away. These
	  were old fontconfig config files - the X guys now ship fontconfig.

	* ext-sources/xscreensaver.pamd: We need this for a fix in the
	  Linux xscreensaver package to make unlocking work. We don't need
	  it anymore.

2006-10-31  Brian Cameron  <brian.cameron@sun.com>

	* gdm.spec, patches/gdm-10-fixfocus.diff: Patch to fix focus problem
	  with new combo style language/session lists.   Patch in CVS head.

2006-10-31  Damien Carbery <damien.carbery@sun.com>

	* gdm.spec: Bump to 2.16.2.
	* patches//gdm-02-branding-general.diff: Rework.

2006-10-31  Takao Fujiwara  <takao.fujiwara@sun.com>

	* sound-juicer.spec: Updated
	* gnome-session.spec: Updated to read LINGUAS file. Fix 6488189.

2006-10-31  Padraig O'Briain <padraig.obriain@sun.com>

	* nautilus.spec: Add nautilus-20-properties-relations.diff.
	* patches/nautilus-20-properties-relations.diff: Fix for bugster 
	  6458330, bugzilla 356124.

2006-10-31  Damien Carbery <damien.carbery@sun.com>

	* gedit.spec: Bump to 2.16.2.
	* patches/gedit-03-no-zh_TW-help.diff : Rework for new tarball.

2006-10-30  Brian Cameron  <brian.cameron@sun.com>

	* patches/rhythmbox-02-audiocd.diff:  Add $(MUSICBRAINZ_LIBS)
	  since rhythmbox crashes when audio CD is inserted if it can't
	  find the dynamically linked symbols. 
	* patches/gdm-01-branding-defaults-solaris.diff:  Clean up the
	  way ctrun is called.  No longer do it in daemon/slave.c, instead
	  call ctrun in the .desktop files.

2006-10-30  Irene Huang  <irene.huang@sun.com>

	* gnome-session.spec: add patch 10-gnome-volcheck-default-session.diff
	  which is moved from Solaris/patches
	* patches/gnome-session-10-gnome-volcheck-default-session.diff: New
	  Patch.

2006-10-30  Glynn Foster  <glynn.foster@sun.com>

	* gnome-volume-manager.spec,
	* patches/gnome-volume-manager-07-no-linux-msg.diff: Don't
	  show Linux kernel messages. It just makes us look stupid.
	  Filed as part of #340485.

2006-10-30  Glynn Foster  <glynn.foster@sun.com>

	* patches/metacity-13-terminal-strict-focus.diff: Re-work to
	  be the same patch that I committed to the community source.

2006-10-28  Glynn Foster  <glynn.foster@sun.com>

	* metacity.spec,
	* patches/metacity-13-terminal-strict-focus.diff: Add a patch that 
	  preserves strict focusing when launching from a terminal. Bugzilla
	  #361054.

2006-10-27 John Rice <john.rice@sun.com>

	* gnome-java.spec
	- Added local patch for runExample.sh.in also submitted upstream
	  Bugzilla #365850 java-gnome: Problem with generated runExample.sh for
	  libgnome-java
	- gnome-java-01-runExample.diff: Fix for runExample.sh.in so jar paths 
	  and libdir are correctly set

	* gtk2-java.spec
	- Added local patch for runExample.sh.in also submitted upstream
	  Bugzilla #365847 java-gnome: Problem with generated runExample.sh for
	  libgtk-java 
	- gtk2-java-01-runExample.diff: Fix for runExample.sh.in so jar paths
	  and libdir are correctly set

2006-10-27  Darren Kenny  <darren.kenny@sun.com>

	* patches/gnome-system-tools-07-users.diff:
	  Missed these changes when creating patch for bug#6484285 to enable
	  saving of user's profiles.

2006-10-27  Halton Huo  <halton.huo@sun.com>

	* vino.spec,
	  patches/vino-04-ipv6-remove-dead-code.diff,
	  patches/vino-04-ipv6-support.diff,
	  patches/vino-05-ipv6-use-getaddrinfo.diff,
	  patches/vino-06-ipv6-use-inet-ntop.diff,
	  patches/vino-07-ipv6-configure-check.diff,
	  patches/vino-08-ipv6-create-ipv6-socket.diff,
	  patches/vino-09-ipv6-create-ipv6-http-socket.diff:
	  change IPv6 patch according community new patch,
	  add configure option --enable-ipv6=yes

2006-10-27  Darren Kenny  <darren.kenny@sun.com>

	* patches/gnome-system-tools-06-time.diff,
	  patches/gnome-system-tools-07-users.diff,
	  patches/gnome-system-tools-08-services.diff:
	  Remove @pixmapsdir@ reference from .desktop Icon entry (bug#6444523)
	* patches/gnome-system-tools-03-network.diff:
	  Fix error with onboot variable not having valid value by initialising
	  it. Also remove @pixmapsdir@ reference from .desktop Icon 
	  entry (bug#6444523).
	* patches/gnome-system-tools-05-shares.diff:
	  Fix bug where two entries (one NFS and the other SAMBA) for the same
	  directory were incorrectly handled and properties dialog was always 
	  for the first entry. Also remove @pixmapsdir@ reference from .desktop
	  Icon entry (bug#6444523).
	* patches/system-tools-backends-02-common.diff:
	  Change the gst_file_run sub to trap the stderr output and store it in
	  case of a failure. Also writes this output to the debug log.
	* patches/system-tools-backends-07-time.diff:
	  Fix sync_now with 1 server selected (bug#6484291)
	* patches/system-tools-backends-08-users.diff:
	  Add support for setting of RBAC profiles (bug#6484285)

2006-10-26  Damien Carbery <damien.carbery@sun.com>

	* java-access-bridge.spec: Set JAVA_HOME so that javac is found.

2006-10-26 Erwann Chenede - <erwann.chenede@sun.com>

	* nimbus.spec : bumped version 
	  see mail jds-review/2006-October/000046.html for details.
	* sun-gdm-themes.spec : bumped version to 
	  reflect my gdm changes.

2006-10-26 Erwann Chenede - <erwann.chenede@sun.com>

	* patches/gdm-09-sun-branding-patch.diff : modified 
	  patch to reflect my change committed to gdm HEAD

2006-10-26  Dave Lin  <dave.lin@sun.com>

	* patches/ekiga-11-opal-jitter.diff: Added. 
	* patches/ekiga-12-conststr.diff: Added. Move these
	  two patches from Solaris/patches to patches and rename
	  them to solve the patch number conflict

2006-10-26  Dave Lin  <dave.lin@sun.com>

	* patches/ekiga-05-multi-decla.diff: Removed.
	* patches/firefox-03-yelp-hang.diff: Removed.
	* patches/firefox-04-new-tab.diff: Removed.
	* patches/mozilla-03-s11s-smkfl.diff: Removed.
	* patches/mozilla-04-s11x-smkfl.diff: Removed.
	* patches/mozilla-06-skip-strip.diff: Removed.
	* patches/thunderbird-06-save-all-attach.diff: Removed.
	* patches/thunderbird-07-ldap-prefs.diff: Removed. Remove
	  those patch files since them have been upstreemed.

2006-10-27  Glynn Foster  <glynn.foster@sun.com>

	* patches/gnome-speech-01-festival-core-dump.diff,
	  patches/gnomemeeting-05-ekiga-ldflags.diff,
	  patches/orca-01-bindir.diff: Remove patches that should
	  have been part of the previous commit.

2006-10-27  Glynn Foster  <glynn.foster@sun.com>

	* eog.spec: Update to include the -04-menu-entry patch.
	* patches/acroread-01-lang.diff,
	  patches/apoc-adapter-gconf-01-shutdown-protect.diff,
	  patches/apoc-adapter-gconf-02-placeholders.diff,
	  patches/ekiga-05-multi-decla.diff,
	  patches/firefox-03-yelp-hang.diff,
	  patches/firefox-04-new-tab.diff,
	  patches/gnome-applets-06-multiload-Xau.diff,
	  patches/gnome-icon-theme-03-relative-symlinks.diff,
	  patches/gtk-engines-01-hidden.diff,
	  patches/mozilla-03-s11s-smkfl.diff,
	  patches/mozilla-04-s11x-smkfl.diff,
	  patches/mozilla-06-skip-strip.diff,
	  patches/nautilus-19-ALL_LINGUAS.diff,
	  patches/thunderbird-06-save-all-attach.diff,
	  patches/thunderbird-07-ldap-prefs.diff: Remove patches that
	  are either upstream, or belonging to modules that no longer
	  exist anywhere. See
	  http://mail.opensolaris.org/pipermail/jds-review/2006-October/000024.html
	  for details.

2006-10-26  Glynn Foster  <glynn.foster@sun.com>

	* blueprint-cursor.spec, fontconfig.spec, gnome-cups-manager.spec,
	  gnome-nettool.spec, howl.spec, ifrestart.spec, libgnomecups.spec,
	  libxklavier.spec, magicdev.spec, netapplet.spec, pam-usermode.spec,
	  perl-XML-Simple.spec, pilot-link.spec, steel-theme.spec,
	  usermode.spec, xscreensaver.spec: Remove the specs that aren't
	  currently being referenced by any Solaris package.  We have these
	  in history in case we want to resurrect them.
	* patches/*.diff: Remove associated patches from these modules as well.
	  See 
	  http://mail.opensolaris.org/pipermail/jds-review/2006-October/000023.html
	  for details.

2006-10-25  Padraig O'Briain <padraig.obriain@sun.com>

	* gtk2.spec: Add patch gtk+-18-recent-files-crash.diff
	* patches/gtk+-18-recent-files-crash.diff: Patch for bugster 6485464,
	  bugzilla 365031.

2006-10-25 John Rice <john.rice@sun.com>

	* glib2-java.spec:
	- Bumped glib-java tarball to 0.4.0 for the Java-Gnome 2.16 release
	- All patches merged upstream, so removed following local patches
	- patches/glib2-java-02-uninstalled.diff  
	- patches/glib2-java-04-docbasedir.diff
	- patches/glib2-java-06-macrobasedir.diff

	* cairo-java.spec:
	- Bumped cairo-java tarball to 1.0.6 for the Java-Gnome 2.16 release
	- All patches merged upstream, so removed following local patches
	- patches/cairo-java-01-uninstalled.diff
	- patches/cairo-java-04-srcjar.diff
	- patches/cairo-java-05-docbasedir.diff

	* gtk2-java.spec:
	- Bumped libgtk-java tarball to 2.10.0 for the Java-Gnome 2.16 release
	- All patches merged upstream, so removed following local patches
	- patches/gtk2-java-02-uninstalled.diff
	- patches/gtk2-java-04-doc.diff
	- patches/gtk2-java-05-srcjar.diff
	- patches/gtk2-java-06-docbasedir.diff
	- patches/gtk2-java-07-macrobasedir.diff

	* gnome-libs-java.spec:
	- Bumped libgnome-java tarball to 2.12.6 for the Java-Gnome 2.16 release
	- All patches merged upstream, so removed following local patches
	- patches/gnome-libs-java-02-uninstalled.diff
	- patches/gnome-libs-java-05-srcjar.diff
	- patches/gnome-libs-java-06-docbasedir.diff

	* glade-java.spec:
	- Bumped libglade-java tarball to 2.12.7 for the Java-Gnome 2.16 release
	- All patches merged upstream, so removed following local patches
	- patches/glade-java-04-srcjar.diff
	- patches/glade-java-05-docbasedir.diff

2006-10-25  Damien Carbery <damien.carbery@sun.com>

	* dasher.spec: Bump to 4.2.1.

2006-10-25  Damien Carbery <damien.carbery@sun.com>

	* gnopernicus.spec, patches/gnopernicus-01-resolv.diff, 
	  manpages/man1/srcore.1.gz: Removed because gnopernicus has been
	  EOF'd, replaced by orca.

2006-10-25  Damien Carbery <damien.carbery@sun.com>

	* gnomemeeting.spec, openh323.spec, pwlib.spec,
	  patches/gnomemeeting-01-correct-desktop-filename.diff,
	  gnomemeeting-02-configure-solaris.diff, 
	  patches/openh323-01-libname.diff, patches/pwlib-01-makefiles.diff:
	  Removed, obsoleted by ekiga.

2006-10-25  Dave Lin  <dave.lin@sun.com>

	* ekiga.spec: Roll back to the previous version 2.0.2 
	  since following critical bug was found in 2.0.3 
	  CR#6483823(and another P2 bug CR#6483831)
	* firefox.spec: Bump up to 2.0(official release)

2006-10-24  Padraig O'Briain <padraig.obriain@sun.com>

	* patches/gnome-panel-08-launch.menu.diff: Add patch to 
	  panel_recent_append_documents_menu() to avoid warnings when
	  it is called with NULL GtkRecent. (bugzilla 364713).

2006-10-24  Damien Carbery <damien.carbery@sun.com>

	* deskbar-applet.spec: Bump to 2.16.1.

2006-10-24  Glynn Foster  <glynn.foster@sun.com>

	* gnome-pilot.spec,
	  patches/gnome-pilot-06-winicons-multihead.diff: Add patch to 
	  fix multihead issue for #6437924, and fix up some of the window 
	  icons so they look a little more consistent. This is 
	  bugzilla #364589.

2006-10-23  Damien Carbery <damien.carbery@sun.com>

	==== Vermillion Devel build 52 ====

2006-10-23  Stephen Browne  <stephen.browne@sun.com>

	* nautilus.spec: comment out TX patch for now
	* patches/gnome-volume-manager-01-fixcompile.diff: defuzz
	* patches/nautilus-12-lockdown.diff: defuzz
	* patches/nautilus-13-locale.h.diff: defuzz
	* patches/nautilus-15-eel-show-error-dialog.diff: defuzz

2006-10-23  Damien Carbery <damien.carbery@sun.com>

	* patches/firefox-05-preload.diff: Minor rework to fix fuzz.

2006-10-23  Jim Li  <jim.li@sun.com>

	* patches/libgksuui1.0-02-GUI-update.diff:
	  Patch to support accessibility.

2006-10-23  Padraig O'Briain <padraig.obriain@sun.com>

	* control-center.spec: Add patch 
	  control-center-17-keybindings-fix-edit.diff.
	  patches/control-center-17-keybinding-fix-edit.diff: Patch to fix
	  bug 6471348 (bugzilla 363623).

2006-10-23  Takao Fujiwara  <takao.fujiwara@sun.com>

	* gnome-vfs.spec: Updated to build .po files. Fixes bug 6484798.

2006-10-23  Glynn Foster  <glynn.foster@sun.com>

	* libgphoto2.spec: Update.
	* patches/libgphoto2-01-gettext.diff: Fix the fuzz.
	* patches/libgphoto2-03-solaris-mntent.diff: Re-diff.
	* patches/libgphoto2-04-pragma-pack.diff: Fix the fuzz.
	* patches/libgphoto2-05-dummy.diff: Change to a p1 because
	  someone created a p0 instead. Bad.

2006-10-23  Glynn Foster  <glynn.foster@sun.com>

	* GConf.spec: Fix the url to point to the correct path.
	* patches/GConf-01-apoc-path-update.diff: Update to remove
	  the fuzziness.
	* patches/GConf-02-daemon-hanged-solaris.diff: Re-diff, but
	  I really don't like this patch. A better solution would be 
	  to remove the localization since you don't typically have
	  localized error messages.
	* patches/GConf-05-gconftool-makefile-install.diff, 
	* patches/GConf-06-use-fdwalk.diff: Re-diff, to remove all
	  warm fuzzies.

2006-10-23  Glynn Foster  <glynn.foster@sun.com>

	* gnome-screensaver.spec,
	  patches/gnome-screensaver-01-src-libs.diff: Remove this
	  patch since it's now upstream.

2006-10-23  Irene Huang  <irene.huang@sun.com>

	* evolution.spec: Add patches
	  evolution-05-kerberos.diff and evolution-06-solaris-sed.diff
	  from Solaris/patches
	* evolution-exchange.spec: Added patch 01-solaris-eutil.diff
	  from Soalris/patches
	* evolution-data-server.spec: Add patches
	  01-kerberos.diff, 02-libexec.diff and 03-mail-rlimit.diff
	  from Solaris/patches
	* patches/evolution-05-kerberos.diff:
	* patches/evolution-06-solaris-sed.diff:
	* patches/evolution-data-server-01-kerberos.diff:
	* patches/evolution-data-server-02-libexec.diff:
	* patches/evolution-data-server-03-mail-rlimit.diff
	* patches/evolution-exchange-01-solaris-eutil.diff: New ptches

2006-10-23  Glynn Foster  <glynn.foster@sun.com>

	* gnome-session.spec: Fix up the patches for this module, they were
	  in a total mess. Where necessary, apply patch, and regenerate patch.
	* patches/gnome-session-X-logout-effect.diff,
	* patches/gnome-session-X-sunray-logout.diff: Merge these two, they're
	  one in the same.
	* patches/gnome-session-05-load-a11y-modules.diff: Remove this, it was
	  practically empty.
	* patches/gnome-session-09-G_DEBUG-off.diff: This is total crack and we
	  should *not* be doing this at all, regardless of whether it creates
	  bugs or not. This is defined to be only active during 'unstable'
	  community cycles.
	* patches/gnome-session-X-trusted-extensions.diff: This is another
	  patch that's total crack. I'm surprised it even makes gnome-session
	  work. This needs rework by one of the trusted team first.

2006-10-21  Jim Li  <jim.li@sun.com>

	* gnome-system-tools.spec:
	  Run autoconf since we're patching configure.ac to look for gksu.
	* patches/gnome-system-tools-01-config.diff:
	  Add check for gksu library.
	* patches/gnome-system-tools-02-forkpty.diff:
	  Integrate gksu library into GST.

2006-10-21  Jim Li  <jim.li@sun.com>

	* libgksu.spec: reorg all patches
	* libgksuui.spec: Add patch GUI-update.diff to support accessibility.
	* patches/gksu-02-gksu.diff: Add elevated_privelege and elevated_role
	  support.
	* patches/libgksu1.2-01-Makefile.diff: Add -lsecdb option when building
	  libgksu library.
	* patches/libgksu1.2-02-config.diff: Add check for RBAC library
	  libsecdb.
	* patches/libgksu1.2-02-forkpty.diff: unite it's changes into 
	  rbac-support.diff, and remove it.
	* patches/libgksu1.2-04-rbac-support.diff: Add  elevated_privelege and 
	  elevated_role support.
	* patches/libgksu1.2-05-gnu_gettext.diff: extract configure.ac change 
	  into config.diff
	* patches/libgksu1.2-06-package_name.diff: unite it's change into 
	  rbac-support.diff, and remove it.

2006-10-20  Damien Carbery <damien.carbery@sun.com>

	* gst-fluendo-mp3.spec: Update 'majorminor' to 0.10 to delete .a/.la 
	  files.

2006-10-20  Ghee Teo <ghee.teo@sun.com>

	* patches/libbonoboui-01-solaris-backcompat.diff: fixed fuzz
	* patches/libgnomeui-01-icon-a11y.diff: fixed fuzz
	* patches/shared-mime-info-02-fix-m3u.diff: removed
	* patches/shared-mime-info-03-java-types.diff: renamed

2006-10-20  Ghee Teo <ghee.teo@sun.com>

	* gnome-mime-data.spec: modified
	* patches/gnome-mime-data-01-make-realplayer-default-player.diff: 
	  removed
	* patches/gnome-mime-data-01-realplay-g11n-keys.diff: added
	* patches/gnome-mime-data-07-g11n-keys.diff:removed
	* patches/gnome-mime-data-07-pdfviewer.diff: added
	* patches/gnome-mime-data-08-pdfviewer.diff: removed
	* patches/gnome-mime-data-08-shellscript.diff: added
	* patches/gnome-mime-data-09-associate-glade-files.diff: added
	* patches/gnome-mime-data-09-shellscript.diff: removed	
	* patches/gnome-mime-data-10-associate-glade-files.diff: removed
	* patches/gnome-mime-data-10-return-path-pattern.diff: added
	* patches/gnome-mime-data-11-associate-java-files.diff: removed
	* patches/gnome-mime-data-12-return-path-pattern.diff: removed
	* patches/gnome-vfs-09-trash-files-from-different-filesystem.diff: 
	  modified
	* patches/gnome-vfs-11-audio-cd-show-icon.diff: modified
	* shared-mime-info.spec: modified

2006-10-20  Damien Carbery <damien.carbery@sun.com>

	* evolution-exchange.spec: Remove 'find' call that remove .a/.la files
	  because none are installed.
	* eog.spec: Bump to 2.16.1.1.

2006-10-20  Calum Benson <calum.benson@sun.com>

	* patches/gnome-icon-theme-01-sun-java-icon.diff: unfuzzed
	* patches/gnome-icon-theme-02-pkgconfig-dir.diff: unfuzzed

2006-10-20  Calum Benson <calum.benson@sun.com>

	* patches/gnome-themes-02-add-so8-a11y-icons.diff: unfuzzed

2006-10-20  Matt Keenan <matt.keenan@sun.com>

	* gnome-panel.spec : Remove 02-workspace-switcher.diff, re-order patches
	* patches/gnome-panel-02-workspace-switcher.diff : Removed fixed in 
	  gconf upstream
	* patches/gnome-panel-*.diff : Re-Order numbers

2006-10-20 Erwann Chenede - <erwann.chenede@sun.com>

	* patches/metacity-08-pretty-function.diff
	* patches/metacity-05-raise-on-frame-click.diff
	* patches/metacity-07-window-title.diff
	* Solaris/patches/metacity-02-enable-Sun-keys-Open-Front.diff :
	  unfuzz'ed patches.

2006-10-20  Damien Carbery <damien.carbery@sun.com>

	* java-access-bridge.spec: Remove references to jdk1.5.0_03 because the
	  /usr/java symlink is used.

2006-10-20  Matt Keenan <matt.keenan@sun.com>

	* patches/gnome-panel-09-launch-menu.diff : Unfuzz
	* patches/gnome-desktop-01-jds-about-branding.diff : Unfuzz
	* patches/gnome-panel-06-notificationarea-tooltip.diff : Unfuzz
	* patches/gnome-panel-11-clock-timezone.diff : Unfuzz
	* patches/gnome-panel-07-input-method-filter-keypress.diff : Unfuzz
	* patches/gnome-panel-05-panel-applet-session-never-restart.diff: Unfuzz
	* patches/gnome-panel-02-workspace-switcher.diff : Unfuzz
	* patches/gnome-panel-12-trusted-extensions.diff : Unfuzz

2006-10-20  Darren Kenny <darren.kenny@sun.com>

	* patches/control-center-11-fix-keyboard-dialog.diff:
	  Deleted because found upstream.
	* control-center.spec,
	  patches/control-center-05-add-wallpaper-dialog.diff,
	  patches/control-center-06-logout-shortcut.diff,
	  patches/control-center-07-custom-keybinding.diff,
	  Solaris/patches/control-center-01-solaris-printmgr.diff:
	  Fixed fuzz
	* patches/control-center-11-disable-gnome-screensaver.diff:
	  Renamed from patches/control-center-12-disable-gnome-screensaver.diff,
	  and fixed fuzz.
	* patches/control-center-12-menu-entry.diff:
	  Renamed from patches/control-center-13-menu-entry.diff
	* patches/control-center-13-trusted-extensions.diff:
	  Renamed from patches/control-center-14-trusted-extensions.diff, and
	  fixed fuzz.
	* patches/control-center-14-evolution-about-me.diff:
	  Renamed from patches/control-center-15-evolution-about-me.diff
	* patches/control-center-15-unique-a11y-kbd.diff:
	  Renamed from patches/control-center-16-unique-a11y-kbd.diff
	* patches/control-center-16-sticky-timeout.diff:
	  Renamed from patches/control-center-17-sticky-timeout.diff

2006-10-20  Wang Xin <jedy.wang@sun.com>

	* patches/libbonobo-01-gthread.diff,
	  patches/ORBit-02-uninstalled_pc.diff,
	  patches/ORBit-01-no-static.diff: Fix fuzz.

2006-10-20  Lin Ma  <Lin.Ma@Sun.COM>

	* patches/gnome-utils-01-gfloppy-permission.diff: update fuzzy patche
	* patches/gnome-utils-04-logview-monitor.diff: fixed 6483280

2006-10-20  Jeff Cai <jeff.cai@sun.com>

	* evolution.spec: Bump to 2.8.1.1

2006-10-20  Glynn Foster  <glynn.foster@sun.com>

	* README: Update since we no longer store the .html docs. Most of
	  them are up on the JDS pages. The rest will be there soon.
	* docs/SUNWtemplate.spec: Update contents.
	* docs/SUNWtemplate2.spec: Rename to SUNWtemplate-standalone.spec.
	* docs/jds-roadmap.html:
	* docs/ssa/*: Remove these, as they're now up on the 
	  JDS project pages under 'Tasks/Single Sys Admin'.

2006-10-20  Dave Lin  <dave.lin@sun.com>

	* firefox.spec: Bump version to 2.0rc3

2006-10-19  Matt Keenan  <matt.keenan@sun.com>

	* patches/gnome-keyring-manager-01-Wall-remove.diff : Update to remove 
	  fuzz

2006-10-19  Halton Huo  <halton.huo@sun.com>

	* vino.spec: Add option --enable-gnome-keyring, 
	* patches/vino-04-ipv6-support.diff:  Add for IPv6 support, #6483870.
	* patches/vino-02-keyring.diff, patches/vino-02-gnome-keyring.diff:
	  Rename patch keyring.diff to gnome-keyring.diff, and update it.

2006-10-19  Irene Huang <irene.huang@sun.com>

	* gnome-volume-manager.spec: Add patch 06-autoplay.diff
	* patches/gnome-volume-manager-06-autoplay.diff: Patch for modifying
	  gnome-volume-manager's gconf autoplay_dvd and autoplay_vcd default 
	  setting so that totem will not offer to play DVD/VCD once one is 
	  inserted.
	* patches/nautilus-01-gestures.diff: modified to remove patch fuzziness.

2006-10-19  Brian Cameron  <brian.cameron@sun.com>

	* patches/gdm-02-branding-general.diff, patch/gdm-07-linguas.diff:
	  Fix fuzz.

2006-10-19  Brian Cameron  <brian.cameron@sun.com>

	* rhythmbox.spec, patches/rhythmbox-02-audiocd.diff:  Fix audiocd
	  plugin so it links against libnautilus-burn library.  Without this
	  fix rhythmbox will not start.

2006-10-19  Glynn Foster  <glynn.foster@sun.com>

	* docs/jds-single-system-admin.html: Remove, since it's now part
	  of the tasks page in the JDS project.

2006-10-18  Glynn Foster  <glynn.foster@sun.com>

	* patches/deskbar-applet-02-webeyes-compatibility.diff: Fix another
	  typo that removes an additional OAFIID.

2006-10-18  Dermot McCluskey dermot.mccluskey@sun.com

	==== Repostitory moved to OpenSolaris.org ====

2006-10-17  Matt Keenan  <matt.keenan@sun.com>

	* gimp.spec : Added comment wrt getting patch 02-Xext.diff upstream.

2006-10-17  Halton Huo  <halton.huo@sun.com>

	* vino.spec, patches/vino-03-xgl.diff:
	  Add patch xgl.diff to fix sparc crash bug #6409721.

2006-10-17  Halton Huo  <halton.huo@sun.com>

	* vino.spec, patches/vino-01-fix-a11y-hang.diff,
	  patches/vino-02-keyring.diff:
	  Bump to 2.16.0 and modify patches.

2006-10-17  Damien Carbery <damien.carbery@sun.com>

	* gimp.spec: Add patch, 04-null-char, to remove a null char that is 
	  breaking the build. Bugzilla #362832.
	* patches/gimp-04-null-char.diff: Added. Fixes #362832.

2006-10-17 Erwann Chenede - <erwann.chenede@sun.com>

	* patches/gtk+-05-file-chooser.diff
	* patches/glib-05-solaris-thread-flags.diff
	* patches/glib-03-default-path.diff
	* patches/gtk+-04-mediaLib.diff
	* patches/pango-02-pua.diff
	* patches/gtk+-13-blank-popup-menu-fix.diff
	* patches/glib-04-gmodule-always-lazy.diff
	* patches/gtk+-07-fontbutton.diff
	* patches/gtk+-14-treeview-keynav.diff : unfuzz'ed patches.

2006-10-17  Glynn Foster  <glynn.foster@sun.com>

	* deskbar-applet.spec, webeyes.spec: Remove webeyes from the 
	  build. desktbar-applet is the natural replacement. This is
	  in line with the current desktop UI specification.
	* patches/deskbar-applet-02-webeyes-compatibility.diff: Add 
	  compatibility through some simple user migration.

2006-10-17  Dave Lin  <dave.lin@sun.com>

	* ekiga.spec: Bump version to 2.0.3, add patch 
	  ekiga-pwlib-09-unset-port.diff to fix bug CR#6476679, add patch
	  ekiga-10-pwlib-bz356696.diff to fix bug gnome bugzilla bz#356696
	* patches/ekiga-09-pwlib-unset-port.diff: Added.
	* patches/ekiga-10-pwlib-bz356696.diff: Added.

2006-10-17  Damien Carbery <damien.carbery@sun.com>

	* gimp.spec: Bump to 2.13.12.
	* patches/gimp-04-null-char.diff: Added. Fixes #362832.
	* GConf.spec: Bump to 2.16.0.
	* gst-plugins-good.spec: Remove code that deletes *.a and *.la from 
	  %{_libdir} as none are installed there.

2006-10-17  Irene Huang <irene.huang@sun.com>

	* patches/gst-03-nofork.diff: modified to removed fuzziness while
	  patching.

2006-10-17  Glynn Foster  <glynn.foster@sun.com>

	* gnome-im-switcher.spec, patches/gnome-im-switcher*.diff: Remove
	  these from the repository. This module is now maintained by 
	  the iiimf group, and the SUNWiiimu package, and hosted on
	  openi18n.org.

2006-10-17  Glynn Foster  <glynn.foster@sun.com>

	* gnome-im-switcher.spec, 
	  patches/gnome-im-switcher-08-fix-multihead.diff: Provide fix for
	  bugster #6435453. I notice from bugster #6189521 that this module
	  is now EOL, which sounds like it should be removed from
	  jds-spec-files.  Commiting anyway, so that it's in history, even
	  if we choose to remove later.

2006-10-17  Glynn Foster  <glynn.foster@sun.com>

	* patches/gnome-utils-05-dictionary-multihead.diff: Update based 
	  on some community feedback.

2006-10-17  Brian Cameron  <brian.cameron@sun.com>

	* cairo.spec: Build gtk-docs.
	* gtk2.spec: Call autoconf after autoheader/automake.

2006-10-17  Glynn Foster  <glynn.foster@sun.com>

	* patches/quick-lounge-applet-03-multihead-fix.diff: Update based 
	  on some community feedback.

2006-10-16  Damien Carbery <damien.carbery@sun.com>

	* libgphoto2.spec, gaim.spec, gnome-spell.spec, gnome-utils.spec,
	  gst-plugins-base.spec, gst-plugins-good.spec, gst-fluendo-mp3.spec,
	  gst.spec: Remove the '-rf' from the 'rm *.la *.a' lines so that any
	  changes to the module source will be seen as a build error and action
	  can be taken.
	* pango.spec: Bump to 1.14.7.

2006-10-13  Damien Carbery <damien.carbery@sun.com>

	* pango.spec: Bump to 1.14.6.

2006-10-13  Damien Carbery <damien.carbery@sun.com>

	* dbus.spec, gtk2.spec, gimp.spec: Delete .a and .la files.

2006-10-13  Glynn Foster  <glynn.foster@sun.com>

	* gnome-utils.spec,
	* patches/gnome-utils-05-dictionary-multihead.diff: Fixes multihead 
	  bugs. Bugzilla #361856.

2006-10-12  Glynn Foster  <glynn.foster@sun.com>

	* quick-lounge-applet.spec,
	* patches/quick-lounge-applet-03-multihead-fix.diff: Fixes multihead 
	  bugs in the properties dialog and about dialog. Bugster #6435439, 
	  Bugzilla #319050.

2006-10-12 John Rice <john.rice@sun.com>

	* glib2-java.spec:
	- Modified srcjardir to conform to PSARC/2006/053
	- Modify installpaths patch to allow jardir to be specified in configure
	- Add patch to allow api doc to be created
	* Solaris/patches/glib2-java-05-doc.diff: work around unsupported 
	  "find -mindep" in generating api doc list
	- Enabled creation of srcjar with configure switch
	- Add patches to allow doc base dir to be specified in configure
	* patches/glib2-java-04-docbasedir.diff: modified patch to use 
	  docbasedir in Makefile.am
	- Added macrobasedir option to configure
	* patches/glib2-java-06-macrobasedir.diff: added option to jg_common.m4
	  to allow macrobasedir to be specified
	* cairo-java.spec:
	- Modify installpaths patch to allow jardir to be specified in configure
	- Add patch to allow api doc to be created
	* Solaris/patches/cairo-java-03-doc.diff: work around unsupported 
	  "find -mindep" in generating api doc list
	- Enabled creation of srcjar with configure switch
	* patches/cairo-java-04-srcjar.diff: added BUILD_SRCJAR target to 
	  Makefile.am
	- Modified srcjardir to conform to PSARC/2006/053
	- Add patches to allow doc base dir to be specified in configure
	* patches/cairo-java-05-docbasedir.diff: patch to use docbasedir in 
	  Makefile.am
	* gtk2-java.spec:
	- Modify installpaths patch to allow jardir to be specified in configure
	- Add patch to allow api doc to be created
	* Solaris/patches/gtk2-java-04-doc.diff: work around unsupported 
	  "find -mindep" in generating api doc list
	- Enabled creation of srcjar with configure switch
	* patches/gtk2-java-05-srcjar.diff: added BUILD_SRCJAR target to 
	  Makefile.am
	- Modified srcjardir to conform to PSARC/2006/053
	- Add patches to allow doc base dir to be specified in configure
	* patches/gtk2-java-06-docbasedir.diff: patch to use docbasedir in 
	  Makefile.am
	- Added macrobasedir option to configure 
	- Add patch to allow macrobasedir to be used
	* patches/gtk2-java-07-macrobasedir.diff: used macrobasedir in 
	  gtk-java.pc creation and Makefile.am
	* gnome-libs-java.spec:
	- Modify installpaths patch to allow jardir to be specified in configure
	- Add patch to allow api doc to be created
	* Solaris/patches/gnome-java-04-doc.diff: work around unsupported 
	  "find -mindep" in generating api doc list
	- Enabled creation of srcjar with configure switch
	* patches/gnome-java-05-srcjar.diff: added BUILD_SRCJAR target to 
	  Makefile.am
	- Add patches to allow doc base dir to be specified in configure
	* patches/gnome-java-06-docbasedir.diff: patch to use docbasedir in 
	  Makefile.am
	* glade-java.spec:
	- Modify installpaths patch to allow jardir to be specified in configure
	- Add patch to allow api doc to be created
	* Solaris/patches/glade-java-03-doc.diff: work around unsupported 
	  "find -mindep" in generating api doc list
	- Enabled creation of srcjar with configure switch
	* patches/glade-java-04-srcjar.diff: added BUILD_SRCJAR target to 
	  Makefile.am
	- Add patches to allow doc base dir to be specified in configure
	* patches/glade-java-05-docbasedir.diff: patch to use docbasedir in 
	  Makefile.am

2006-10-11  Padraig O'Briain <padraig.obriain@sun.com>

	* patches/glib-10-use-fdwalk.diff: Fix error in patch which causes
	  hal to not start correctly.

2006-10-11  Damien Carbery <damien.carbery@sun.com>

	* patches/gnome-media-01-menu-entries.diff: Rework to remove fuzziness.
	* patches/ekiga-06-menu-entry.diff: Rework to remove fuzziness.
	* patches/totem-02-menu-entry.diff: Rework to remove fuzziness.

2006-10-11  Padraig O'Briain <padraig.obriain@sun.com>

	* at-spi.spec: Add patch at-spi-02-fix-leak.diff
	* patches/at-spi-02-fix-leak.diff: Fixes bug 6457388.

2006-10-11  Damien Carbery <damien.carbery@sun.com>

	* poppler.spec: Bump to 0.5.4 to fix evince build. Add patch, 
	  03-glib-2, so that configure looks for glib-2.0, not the old glib.
	  Freedesktop bugzilla #8600.
	* patches/poppler-03-glib-2.diff: Added to change glib check to 
	  glib-2.0 check.
	* evince.spec: Add note to bump poppler at the same time as evince.

2006-10-11  Halton Huo <halton.huo@sun.com>

	* patches/vino-01-fix-a11y-hang.diff: Modify patch for version upgrade.
	* vino.spec, patches/vino-02-keyring.diff,
	  patches/vino-02-libgnomeui-include.diff, patches/vino-03-keyring.diff:
	  Remove unused patch vino-02-libgnomeui-include.diff and reorder.

2006-10-11  Padraig O'Briain <padraig.obriain@sun.com>

	* patches/gok-01-solaris-apps.diff: Update to use firefox.
	  Fixes bug 6407408.

2006-10-10  Rick Ju <rick.ju@sun.com>

	* gaim.1: updated to latest community version
	* gaim-remote.1: new added sgml man page

2006-10-10 Erwann Chenede - <erwann.chenede@sun.com>

	* gtk2.spec : added patch gtk+-17-textview-selection-g-assert.diff
	* patches/gtk+-17-textview-selection-g-assert.diff : patch to 
	  fix for 6402103.

2006-10-10  Damien Carbery <damien.carbery@sun.com>

	* evince.spec: Bump to 0.6.1.

2006-10-10  Padraig O'Briain <padraig.obriain@sun.com>

	* patches/gok-04-no-login-warn.diff: Update to fix fuzzines.

2006-10-10  Padraig O'Briain <padraig.obriain@sun.com>

	* patches/dasher-03-fixcompile.diff: Update to fix fuzziness and 
	  offset warnings.

2006-10-10  Padraig O'Briain <padraig.obriain@sun.com>

	* gnome-terminal.spec: Add patch gnome-terminal-03-fix-focus.diff.
	* patches/gnome-terminal-03-fix-focus.diff: Patch to fix 6462305.

2006-10-10  Damien Carbery <damien.carbery@sun.com>

	* libgksu.spec: Add patch, 06-package_name, to use PACKAGE_NAME from 
	  config.h in as PACKAGE is incorrectly expanded by the preprocessor.
	* patches/libgksu1.2-06-package_name.diff: Added.

2006-10-10  Irene Huang <Irene.Huang@sun.com>

	* patches/evolution-03-display-mail.diff: modified to remove
	  the fuzziness.

2006-10-09  Dave Lin  <dave.lin@sun.com>

	* ekiga.spec: Add patch ekiga-08-pwlib-disconnect-crash.diff
	  to fix bug CR#6470530
	* patches/ekiga-08-pwlib-disconnect-crash.diff: Added.

2006-10-09  Dave Lin  <dave.lin@sun.com>

	* firefox.spec: Bump version to 2.0rc2

2006-10-09  Dermot McCluskey <dermot.mccluskey@sun.com>

	==== Vermillion Devel build 51 ====

2006-10-07  Brian Cameron  <brian.cameron@sun.com>

	* dogtail.spec, patches/dogtail-01-solaris.diff:  Add patch
	  so dogtail works on Solaris.
	* pygobject.spec: Add aclocal and automake calls, needed for
	  this to build.
	* pyspi.spec, patches/pyspi-01-solaris.diff: Update to 0.6.0.
	  Add patch to allow building on Solaris.

2006-10-07  Brian Cameron  <brian.cameron@sun.com>

	* dogtail.spec: Bump to 0.6.0.

2006-10-07  Damien Carbery <damien.carbery@sun.com>

	* gnome-themes.spec: Bump to 2.16.1.1.

2006-10-06  Padraig O'Briain <padraig.obriain@sun.com>

	* libbonobo.spec: Add patch libbonobo-03-close-down.diff.
	* patches/libbonobo-03-close-down.diff: Patch to fix 6472900.

2006-10-05  Laszlo (Laca) Peter  <laca@sun.com>

	* docs/gconf.txt: add postrun guard to %preun script in example

2006-10-05  Padraig O'Briain <padraig.obriain@sun.com>

	* nautilus.spec: Add patch nautilus-19-add-relations.diff.
	* patches/nautilus-19-add-relations.diff: Patch to fix 6458338.

2006-10-05 John Rice <john.rice@sun.com>

	* glib2-java-04-docbasedir.diff: allows base doc dir to be
	  specified in configure, avoids need for moving doc dirs
	  about after install

2006-10-05  Damien Carbery <damien.carbery@sun.com>

	* libgnomeui.spec: Bump to 2.16.1. Remove upstream patch, 
	  03-hang-on-mutex.
	* patches/libgnomeui-03-hang-on-mutex.diff: Removed, upstream.

2006-10-04  Mike Gerdts <mgerdts at gmail dot com>

	reviewed by: Laca

	* ext-sources/postrun: fix postrun locking: part 1 of 6471025
	* ext-sources/postrun.xml: postrun should not run until sysidcfg
	  is finished: part 2 of 6471025

2006-10-04  Damien Carbery <damien.carbery@sun.com>

	* pygtk2.spec: Bump to 2.10.3.
	* pygobject.spec: Bump to 2.12.2.
	* patches/pygtk2-02-pygobject-xsl-dir.diff: Update pygobject version.
	* gtk2.spec: Bump to 2.10.6. Remove upstream patch, 17-stock_icons_typo
	* patches/gtk+-17-stock_icons_typo.diff: Removed, upstream.

2006-10-04  Damien Carbery <damien.carbery@sun.com>

	* libgksu.spec: Add patch, 04-gnu_gettext, to use GNU gettext. Add
	  associated autofoo.
	* patches/libgksu1.2-05-gnu_gettext.diff: Added.

2006-10-04  Matt Keenan  <matt.keenan@sun.com>

	* file-roller.spec: Added patch to fix bugster : 6478062, patch logged
	  upstream : http://bugzilla.gnome.org/show_bug.cgi?id=359629
	* patches/file-roller-02-rpm-cpio.diff : New patch 

2006-10-03  Laszlo (Laca) Peter  <laca@sun.com>

	reviewed by: John.Levon

	* patches/Python-06-write_compiled_module-atomic.diff: make writing
	  .pyc files atomic, fixes 6463378

2006-10-03  Damien Carbery <damien.carbery@sun.com>

	* rhythmbox.spec: Remove 'rm' line from %install as the files listed 
	  are not installed.
	* totem.spec: Remove 'rm' lines from %install as the files listed are
	  not installed.

2006-10-03 John Rice <john.rice@sun.com>

	* gnome-java.spec: Corrected patch name from 
	  gnome-java-03-installpaths.diff to 
	  gnome-libs-java-03-installpaths.diff

2006-10-03  Matt Keenan <matt.keenan@sun.com>

	* gcalctool.spec: Added patch to fix Bugster #6473019/bugzilla #359291
	* patches/gcalctool-02-arabic-decimal-point.diff : New patch
	  Bugster #6473019 / bugzilla #359291

2006-10-03  Damien Carbery <damien.carbery@sun.com>

	* pango.spec: Bump to 1.14.5.
	* gdm.spec: Bump to 2.16.1. Remove upstream patch, 10-fixcrash.
	* patches/gdm-10-fixcrash.diff: Removed, upstream.
	* metacity.spec: Bump to 2.16.3.
	* alacarte.spec: Bump to 0.10.1.
	* pygtk2.spec: Bump to 2.10.2.
	* file-roller.spec: Bump to 2.16.1.

2006-10-03  Damien Carbery <damien.carbery@sun.com>

	* gnome-menus.spec: Bump to 2.16.1.
	* zenity.spec: Bump to 2.16.1.
	* gnome-session.spec: Bump to 2.16.1.
	* vte.spec: Bump to 0.14.1.
	* gnome-screensaver.spec: Bump to 2.16.1.
	* gnome-utils.spec: Bump to 2.16.1.
	* nautilus-cd-burner.spec: Bump to 2.16.1. Remove all patches as they
	  are upstream.
	* patches/nautilus-cd-burner-01-mkdtemp-sun-fix.diff,
	  patches/nautilus-cd-burner-02-menuitem.diff,
	  patches/nautilus-cd-burner-03-data-size.diff,
	  patches/nautilus-cd-burner-04-handle-eof.diff,
	  patches/nautilus-cd-burner-05-solarishal.diff: Removed, upstream.

2006-10-03  Damien Carbery <damien.carbery@sun.com>

	* control-center.spec: Bump to 2.16.1. Removed upstream patches,
	  14-negative-refresh-rates and 16-reserved-names; renumber rest.
	* patches/control-center-14-negative-refresh-rates.diff,
	  patches/control-center-16-reserved-names.diff: Removed, upstream.
	* gnome-applets.spec: Bump to 2.16.1.
	* patches/gnome-applets-03-disable-keyboard-layout.diff: Rework.
	* yelp.spec: Bump to 2.16.1.
	* gnome-games.spec: Bump to 2.16.1.
	* gtk2-engines.spec: Bump to 2.8.1.
	* gnome-desktop.spec: Bump to 2.16.1.
	* libwnck.spec: Bump to 2.16.1.
	* gnome-user-docs.spec: Bump to 2.16.1.
	* gnome-terminal.spec: Bump to 2.16.1.
	* gnome-panel.spec: Bump to 2.16.1.

2006-10-03  Damien Carbery <damien.carbery@sun.com>

	* gtk2.spec: Add patch, 17-stock_icons_typo, to fix typo in Makefile. 
	  Already fixed upstream.
	* patches/gtk+-17-stock_icons_typo.diff: Added, to fix Makefile typo.

2006-10-02 John  Rice - <john.rice@sun.com>

	* glib2-java.spec: add install dir patch
	* glib2-java-03-installpaths.diff
	  patch for install dirs for jar location on Solaris
	* cairo-java.spec: add install dir patch
	* cairo-java-02-installpaths.diff
	  patch for install dirs for jar location on Solaris
	* gtk2-java.spec: add install dir patch
	* gtk2-java-03-installpaths.diff
	  patch for install dirs for jar location on Solaris
	* gnome-libs-java.spec: add install dir patch
	* gnome-libs-java-0j3-installpaths.diff
	  patch for install dirs for jar location on Solaris
	* glade-java.spec: add install dir patch
	* glade-java-02-installpaths.diff
	  patch for install dirs for jar location on Solaris

2006-10-02  Damien Carbery <damien.carbery@sun.com>

	* gnome-themes.spec: Bump to 2.16.1.
	* gnome-system-monitor.spec: Bump to 2.16.1.
	* gnome-backgrounds.spec: Bump to 2.16.1.
	* gtkhtml.spec: Bump to 3.12.1.
	* evolution-data-server.spec: Bump to 1.8.1.
	* evolution.spec: Bump to 2.8.1.
	* evolution-exchange.spec: Bump to 2.8.1.

2006-10-02  Damien Carbery <damien.carbery@sun.com>

	* totem.spec, rhythmbox.spec: Remove '-f' from 'rm' calls to force 
	  failure when source changes need attention.

2006-10-02 John  Rice - <john.rice@sun.com>

	* patches/gtk2-java-02-uninstalled.diff: need to reference
	  gtkapiversion was ref apiversion
	  gtk2-java.spec: apply above patch

2006-10-02  Damien Carbery <damien.carbery@sun.com>

	* gtk2.spec: Bump to 2.10.5. Remove upstream patch, 17-hang-on-mutex.
	* patches/gtk+-17-hang-on-mutex.diff: Removed. Upstream.
	* nautilus.spec: Bump to 2.16.1.
	* gail.spec: Bump to 1.9.3.
	* atk.spec: Bump to 1.12.3.
	* totem.spec: Bump to 2.16.2.
	* gnome-vfs.spec: Bump to 2.16.1.
	* at-spi.spec: Bump to 1.7.12.
	* glib2.spec: Bump to 2.12.4.
	* gtksourceview.spec: Bump to 1.8.1.

2006-10-02 John  Rice - <john.rice@sun.com>

	* gnome-libs-java.spec: Added, required as part of
	  SUNWgnome-base-libs-java.spec by libglade.

2006-10-02  Damien Carbery <damien.carbery@sun.com>

	* eog.spec: Bump to 2.16.1.
	* gedit.spec: Bump to 2.16.1.
	* sound-juicer.spec: Bump to 2.16.1.
	* rhythmbox.spec: Bump to 0.9.6.
	* patches/gedit-01-spellcheck-fallback-to-enus.diff: Rework to 
	  eliminate 'fuzz' message when patch applied.
	* patches/eog-03-shell-X11.diff: Rework to eliminate 'fuzz' message.

2006-10-02  Padraig O'Briain <padraig.obriain@sun.com>

	* gnome-panel.spec: Add patch, 17-preferences-menu.
	* patches/gnome-panel-17-preferences-menu.diff: Fix for bug 6439133.

2006-09-29  Damien Carbery <damien.carbery@sun.com>

	* cairo-java.spec: Add patch, 01-uninstalled.
	* patches/cairo-java-01-uninstalled.diff: Add uninstalled pc file.
	* glib2-java.spec: Add patch, 02-uninstalled.
	* patches/glib2-java-02-uninstalled.diff: Add uninstalled pc file.

2006-09-29  Lin Ma <lin.ma@sun.com>

	* patches/gnome-utils-04-logview-monitor.diff: bug#6476171, the reason
	  is some variable is not initialized before it's invoked. Update the
	  old patch to fit the HEAD source.

2006-09-28 Darren Kenny <darren.kenny@sun.com>

	* libgksu.spec, patches/libgksu1.2-04-rbac-support.diff:
	  Change way libsecdb is found by adding to configure.ac and call 
	  autoconf in spec to regenerate configure script.
	* Solaris/SUNWgksu.spec:
	  Fix the permissions on /etc/gksu.conf

2006-09-28 John  Rice - <john.rice@sun.com>

	* Javav-Gnome: merge into SUNWgnome-base-libs-java.spec
	  required linux spec files for glib-java, cairo-java
	  gtk2-java and glade-java - added:
	  glib2-java.spec, cairo-java.spec, gtk2-java.spec and
	  glade-java.spec

2006-09-28  Damien Carbery <damien.carbery@sun.com>

	* gnome-mount.spec, gnome-volume-manager.spec: Change Summary from
	  the obviously incorrect 'GNOME Display Manager' to one from the
	  README in the source tarball.

2006-09-28  Damien Carbery <damien.carbery@sun.com>

	* gimp.spec: Bump to 2.3.11. Remove upstream patch, 03-hidden, and 
	  reorder rest.
	* patches/gimp-03-hidden.diff: Removed, upstream.
	* patches/gimp-03-fixcompile.diff: Added, renamed from 04.

2006-09-28  Darren Kenny <darren.kenny@sun.com>

	* docs/ssa/date_and_time.swf,
	  docs/ssa/filesystem_shares.swf,
	  docs/ssa/log_viewer.swf,
	  docs/ssa/network.swf,
	  docs/ssa/services.swf,
	  docs/ssa/system_monitor.swf,
	  docs/ssa/users_and_groups.swf: Removed SWF files.
	  Moved to http://mediacast.sun.com/share/dar/
	* docs/ssa/date_and_time.html,
	  docs/ssa/filesystem_shares.html,
	  docs/ssa/log_viewer.html,
	  docs/ssa/network.html,
	  docs/ssa/services.html,
	  docs/ssa/system_monitor.html,
	  docs/ssa/users_and_groups.html:
	  Updated files to reflect new location.


2006-09-28 Erwann Chenede - <erwann.chenede@sun.com>

	* patches/cairo-02-8bit-fix.diff : more 8bit hack to fix 6446043

2006-09-28  Simon Zheng  <simon.zheng@sun.com>
	
	* evolution.spec:
	* patches/evolution-04-pixmap-new.diff: Add a patch to fix the bug 
	  #355919. gdk_rgb_get_visual()->depth always returns preferred visual 
	  depth, which isn't always equal to the that of current window. So 
	  use -1 instead.

2006-09-27  Brian Cameron  <brian.cameron@sun.com>

	* metacity.spec, patches/metacity-12-composite.diff:  Add patch so
	  that if SFElibcm is installed, you can build with --enable-composite

2006-09-27  Matt Keenan <matt.keenan@sun.com>

	* file-roller.spec : Remove rename-contents.diff, already fixed upstream.
	* patches/file-roller-01-rename-contents.diff : Upon further checking,
	  removing this as already fixed upstream. #168287
	* patches/file-roller-01-menu-entry.diff : Renamed

2006-09-27  Matt Keenan <matt.keenan@sun.com>

	* patches/file-roller-01-rename-contents.diff : Re-worked so applies
	  without "fuzz"

2006-09-27  Matt Keenan <matt.keenan@sun.com>

	* file-roller.spec : #6397899 - Re-enable password option in
	  file-roller as version of zip/unzip shipped with Solaris now
	  supports this.
	* patches/file-roller-01-zip-command.diff : Remove patch
	* patches/file-roller-01-rename-contents.diff : Renamed
	* patches/file-roller-02-menu-entry.diff : Renamed

2006-09-27  Padraig O'Briain <padraig.obriain@sun.com>

	* gtk2.spec: Add reference to patch gtk+-17-hang-on-mutex.diff
	* libgnomeui.spec: Add reference to patch 
	  libgnomeui-03-hang-on-mutex.diff
	* patches/gtk+-17-hang-on-mutex.diff:
	* patches/libgnomeui-03-hang-on-mutex.diff: Patches to avoid
	  calling GDK_THREADS_ENTER twice and thus hanging on mutex.
	  Fix for bug 6475663.

2006-09-27  Wang Xin <jedy.wang@sun.com>

	* evolution-jescs.spec: bump to 2.8.2.

2006-09-27  Damien Carbery <damien.carbery@sun.com>

	* patches/ORBit-05-fixhypen.diff: Fix bad hunk in patch.

2006-09-27  Padraig O'Briain <padraig.obriain@sun.com>

	* vte.spec: Add --datadir=%{_datadir} to configure. This ensures
	  expansion of datadir in config.h and fixes bug 6465619.

2006-09-26  Brian Cameron  <brian.cameron@sun.com

	* gnome-volume-manager.spec,
	  patches/gnome-volume-manager-05-claimbranch.diff:  This patch is
	  required for gnome-volume-manager to co-exist with rmvolmgr - the
	  non-gui volume manager delivered by Tamarack that will always run in
	  the background.  Patch provided by Artem Kachitchkine.

2006-09-26  Brian Cameron  <brian.cameron@sun.com

	* patches/ORBit-05-fixhyphen.diff:  Updated to reflect review comments.
	  This patch is just cleaner.

2006-09-26  Damien Carbery <damien.carbery@sun.com>

	* gtk2.spec: Bump to 2.10.4.
	* pango.spec: Bump to 1.14.4.
	* metacity.spec: Bump to 2.16.2.
	* libgtop.spec: Bump to 2.14.4.

2006-09-26 Erwann Chenede - <erwann.chenede@sun.com>

	* ../SUNWgnome-wm.spec : remove sparc only ifarch 
	  around metacity-02-enable-Sun-keys-Open-Front.diff
	  to fix 5103120

2006-09-25  Padraig O'Briain <padraig.obriain@sun.com>

	* glib2.spec: Add patch glib-10-use-fdwalk.diff
	* patches/glib-10-use-fdwalk.diff: Fix for bugzilla 357585.

2006-09-25  Padraig O'Briain <padraig.obriain@sun.com>

	* GConf.spec: Add patch GConf-06-use-fdwalk.diff, add calls to 
	  autoheader and autoconf.
	* patches/GConf-06-use-fdwalk.diff: Fix for bug 6366879.

2006-09-24  Dermot McCluskey <dermot.mccluskey@sun.com>

	==== Vermillion Devel build 50 ====

2006-09-23  Brian Cameron  <brian.cameron@sun.com

	* gdm.spec, patches/gdm-10-fixcrash.diff:  Patch from GDM CVS head
	  to fix crashing issue.

2006-09-22  Henry Zhang  <hua.zhang@sun.com>

	* patches/gnome-applets-04-make-multiload-network-available.diff :
	  add the Disk display support.

2006-09-22  Henry Zhang  <hua.zhang@sun.com>

	* patches/libgtop-01-solaris.diff: Update the patch to 2.16
	* patches/gnome-system-monitor-01-solaris.diff: Update the patch to
	  2.16
	* ../SUNWlibgtop.spec: Shorten the summary according to Shirley
	  comments.
	  Delete unuseful binary files from /usr/bin
	* ../manpages/sman1/gnome-system-monitor.1: Add some contents for
	  Sun Ray 

2006-09-21 Erwann Chenede - <erwann.chenede@sun.com>

	* gnome-panel.spec : renamed patch
	* patches/gnome-panel-10-solaris-branding.diff : added conditional 
	  display of solaris specific launch icon.
	* gnome-session.spec : renamed patch
	* patches/gnome-session-02-solaris-branding.diff : added conditional 
	  display of java, flash, sun & adobe logo. 
	* ../SUNWgnome-solaris-branding.spec : added session logo icons
	  and modified the launch icon deployment.

2006-09-21  Matt Keenan  <matt.keenan@sun.com>

	* patches/gnome-session-06-gnome-about.diff : Fix so that Gnome About
	  is NOT shown at every login, part of this patch had disappeared,
	  added back the gconf-key check for show_about.

2006-09-21  Wang Xin  <jedy.wang@sun.com>

	* evolution-jescs.spec: bump to 2.8.1.

2006-09-20 Jerry Tan <jerry.tan@sun.com>
	* upgrade gstreamer, and gst-plugin-base minor version to 0.10.10

2006-09-20 Brian Cameron  <brian.cameron@sun.com>

	* ORBit2.spec, patches/ORBit-05-fixhyphen.diff:  Add patch
	  to fix escalation #1-19359745 and bug #6466464.  GNOME
	  bugzilla bug #152659.

2006-09-20 Erwann Chenede - <erwann.chenede@sun.com>

	* patches/nimbus-01-icon-name-mapping-hack.diff : use 
	  icon-name-mapping from SUNWgnome-themes pkg instead 
	  of the system one.
	* nimbus.spec : added patch
	* SUNWgnome-solaris-branding.spec : bumped tarball release 
	  for bug 6470248

2006-09-20 Steven Zhang <steven.zhang@sun.com>
	
	* add vino-client.jar and vino-client.html to ext-source, and 
	  modify SUNWgnome-remote-desktop.spec according this change.

2006-09-19 Brian Cameron  <brian.cameron@sun.com>

	* gnome-desktop.spec: Build gnome-about release version using
	  the %{version} value rather than hardcoding it so we don't
	  always have to change this for each release.

2006-09-19 Brian Cameron  <brian.cameron@sun.com>

	* patches/gnome-volume-manager-04-fixlocaluser.diff:  After 
	  talking with Artem, the previous patch also wasn't a good
	  fix.  Seems on some machine utmp->ut_line could be "console"
	  instead of "tty", and this wouldn't work on Sun Ray.  Better
	  to avoid this hacky test on Solaris.

2006-09-19 Brian Cameron  <brian.cameron@sun.com>

	* gnome-volume-manager.spec,
	  patches/gnome-volume-manager-04-fixlocaluser.diff:  Fix problem
	  that was causing gnome-volume-manager to just exit on startup.
	* control-center.spec, patches/control-center*: Remove unneeded
	  patch control-center-10-wall.diff and renumber patches.

2006-09-19 Erwann Chenede - <erwann.chenede@sun.com>

	* nimbus.spec : bumped release for icon release and removed patch
	* patches/libgnome-02-default-theme.diff : changed default icon theme
	  to nimbus
	* patches/nimbus-01-redef-enum.diff : removed
	* patches/gnome-backgrounds-01-sun-backgrounds.diff : s/DI //
	* patches/icon-naming-utils-02-extra-file.diff : added extra option
	  for nimbus icon theme
	* icon-naming-utils.spec : added patch

2006-09-18  Brian Cameron  <brian.cameron@sun.com>

	* nautilus-cd-burner.spec,
	  patches/nautilus-cd-burner-05-solarishal.diff: Add back patch to
	  make sound-juicer work with Solaris HAL where we use the raw device
	  name rather than the device name normally used on Linux.  This patch
	  was in 2.14 but got lost when the underlying code changed.

2006-09-18  Laszlo (Laca) Peter  <laca@sun.com>

	Python 64-bit changes, mostly from John.Levon.

	* patches/Python-01-solaris-lib-dirs.diff: (update) merge for 2.4.3
	  and fix ssl libdir part so that it uses a 64-bit libdir when built
	  in 64-bit mode
	* patches/Python-02-pycc.diff: (update) reset IFS correctly;
	  use = not ==; add some hacks at the bottom to use the right
	  gcc options, so 64-bit can build
	* patches/Python-03-distutils-pycc.diff: force using pycc/pyCC
	  so that CC/CXX/FLAGS/LDFLAGS are picked up from the environment
	* patches/Python-04-distutils-log.diff: fix log.info commands so
	  that they work when the '%' char appears in a compiler flags
	* patches/Python-05-isalibs.diff: (new) make .so's be generated as
	  foo.so, 64/foo.so; some really nasty fixes to pyconfig.h: we
	  cannot use the compile-time version of SIZEOF, so we hack them
	  in using _LP64. We use PY_CHECK_SIZEOF to avoid autoconf
	  automatically adding them to pyconfig.h; in the Makefile, make
	  python obey libdir for libpython, but still put the generic stuff
	  in /usr/lib/python2.4 (not /usr/lib/amd64/python2.4...)

2006-09-18  Matt Keenan  <matt.keenan@sun.com>

	* yelp.spec : Add patch to fix bug 6471853 / 318996, NULL check on
	  variable before doing a strcmp.
	* patches/yelp-01-null-frag-id.diff : New Patch, Patch attached
	  upstream aswell.

2006-09-16  Laszlo (Laca) Peter  <laca@sun.com>

	* gtk-doc.spec: trick configure into thinking that scrollkeeper
	  is installed so that it will install the help docs;
	  create .omf.out files using sed

2006-09-15  Brian Cameron  <brian.cameron@sun.com>

	* ORBit2.spec, ORBit-03-dhcp-hostname.diff:  Removed patch that was
	  rejected by the maintainer and the patch writer agreed this is not
	  the appropriate way to fix the problem.
	* rhythmbox.spec, patches/rhythmbox-02-fixcompile.diff:  Remove patch
	  that is no longer needed.
	* gnome-applets.spec,
	  patches/gnome-applets-02-mini-commander-tooltip.diff:  We no longer
	  ship mini-commander - no need to patch it anymore.
	* patches/gnome-applets-06-multiload-Xau.diff: Patch was only needed
	  if building applets against build 48 of libgtop since libgtop used
	  to include -lXau.  It no longer does, so simply rebuilding libgtop
	  and rebuilding gnome-applets works better if you run into this
	  problem.

2006-09-15  Brian Cameron  <brian.cameron@sun.com>

	* control-center.spec, patches/control-center-12-background-crash.diff:
	  Verified that this patch is no longer needed, so removed and
	  renmaed the other control center patches.

2006-09-15  Darren Kenny <darren.kenny@sun.com>

	* gst-plugins-good.spec, patches/gst-plugins-good-04-master.diff:
	  Add flag to Output Track to say it's the MASTER track (since it's the
	  only output track it must be).
	* control-center.spec:
	  Removed the volume-control patch since we have made fix to GStreamer to
	  flag the MASTER track, which is used for controling the volume.
	  Fix for Bug#6442357
	* patches/control-center-09-volume-control.diff:
	  Removed.
	* patches/control-center-10-homefolder-keybindings.diff,
	  patches/control-center-11-wall.diff,
	  patches/control-center-12-layout-deletion.diff,
	  patches/control-center-13-background-crash.diff,
	  patches/control-center-14-fix-keyboard-dialog.diff,
	  patches/control-center-15-disable-gnome-screensaver.diff,
	  patches/control-center-16-menu-entry.diff,
	  patches/control-center-17-negative-refresh-rates.diff,
	  patches/control-center-18-trusted-extensions.diff,
	  patches/control-center-19-reserved-names.diff,
	  patches/control-center-20-evolution-about-me.diff,
	  patches/control-center-21-unique-a11y-kbd.diff,
	  patches/control-center-22-sticky-timeout.diff:
	  Resynced numbering due to patch 09 removal.

2006-09-15  Matt Keenan <matt.keenan@sun.com>

	* nautilus-16-interface-changes.spec : Bug: 6470306 : Another situation
	  where patch applied yet patch was incorrect, incorrect pointer being
	  passed to internal function add_place(), internal function interface 
	  must have changed between 2.14 and 2.16.


2006-09-15  Dermot McCluskey <dermot.mccluskey@sun.com>

	* ekiga.spec: fix erroneous comments in %defines

2006-09-15  Padraig O'Briain <padraig.obriain@sun.com>

	* nautilus-cd-burner.spec: Bug: 6470285: Add 
	  nautilus-cd-burner-04-handle-eof.diff.
	* patches/nautilus-cd-burner-04-handle-eof.diff: Bug 6470285.

2006-09-15  Matt Keenan <matt.keenan@sun.com>

	* nautilus.spec : Bug: 6470306 : Remove nautilus-19-metadata-check.diff
	* patches/nautilus-19-metadata-check.diff : Remove.
	* patches/nautilus-11-frame-buffer.diff : Update, passing an int
	  screen_num into nautilus_file_get_metadata() instead of a char !!

2006-09-15  Lin Ma  <Lin.Ma@Sun.COM>

	* gnome-utils.spec: Add the following patch to fix bug#6468655.
	* patches/gnome-utils-04-logview-monitor.diff: Bug 6468655.

2006-09-15  Brian Cameron  <brian.cameron@sun.com>

	* gnome-applets.spec,
	  patches/gnome-applets-04-disable-keyboard-layout.diff:
	  Fix patch so it can go upstream.  Add --disable-gswitchit option
	  rather than just hacking the configure script to disable it.

2006-09-15  Glynn Foster  <glynn.foster@sun.com>

	* patches/gnome-media-07-supportdevices.diff: Update to fix spacing.

2006-09-14  Matt Keenan <matt.keenan@sun.com>

	* nautilus.spec : Bug: 6470306 : Add nautilus-19-metadata-check.diff
	* patches/nautilus-19-metadata-check.diff : Bug : 6470306

2006-09-14  Matt Keenan <matt.keenan@sun.com>

	* vte.spec : Remove patch vte-08-pre-edit-crash-on-close.diff
	  Fixes two bugs : 6463098 & 6465619
	* patches/vte-08-pre-edit-crash-on-close.diff : Remove not needed
	  anymore

2006-09-14  Alvaro Lopez Ortega  <alvaro.lopez@sun.com>

	* patches/nautilus-17-acl.diff: Little fix. Closes #6470257
	
2006-09-14  Harry Lu  <harry.lu@sun.com>

	* patches/libgnomeui-02-hidden.diff: Remove upstream patch.

2006-09-14  Wang Xin  <jedy.wang@sun.com>

	* evolution-jescs.spec: bump to 2.8.0.

2006-09-14  Harry Lu  <harry.lu@sun.com>

	* libgnomeui.spec: add libgnomeui-02-crash-no-bugbuddy.diff to
	  fix bug 6463604.
	* patches/libgnomeui-02-crash-no-bugbuddy.diff: new patch to change 
	  the string.

2006-09-14  Wang Xin  <jedy.wang@sun.com>
	* evolution-jescs.spec: bump to 2.7.1.

2006-09-11  Brian Cameron  <brian.cameron@sun.com>

	* gst.spec, gst-plugins-base.spec: Bump to 0.10.9.
	* gst-plugins-good.spec: Bump to 0.10.4.
	* patches/gst*diff: Remove upstream patches.
	
2006-09-11  Darren Kenny <darren.kenny@sun.com>
	* patches/system-tools-backends-02-common.diff,
	  patches/system-tools-backends-04-network.diff,
	  patches/gnome-system-tools-07-users.diff,
	  patches/system-tools-backends-08-users.diff,
	  patches/gnome-system-tools-03-network.diff:
	  Several fixes:
	  - Add RBAC Support to User Dialog (get only)
	  - Add ability to have network configured but not come up on boot.

2006-09-11  Dermot McCluskey <dermot.mccluskey@sun.com>

	==== Vermillion Devel build 49 ====

2006-09-11  Steven Yuchao Zhang <steven.zhang@sun.com>

	* patches/vino-03-keyring.diff: add this patch for gnome-keyring
	  support, this patch will change vino-preferences.c vino-server.c/.h
	  vino-util.c/.h
	* vino.spec: add gnome-keyring support patch and also add
	  vnc_client.jar to provide http mode client support.
	* ../SUNWgnome-remote-desktop.spec: add spec file

2006-09-09  Laszlo (Laca) Peter  <laca@sun.com>

	* ext-sources/postrun: when a unique job is resubmitted, move it
	  it to the end of the queue.  This is so that in the case of
	  uninstalling and reinstalling pkgs, we always run the postrun
	  commands submitted when uninstalling a pkg before the ones
	  submitted when installing it.
	* scripts/webrev: make it a bit smarter about overwriting
	  a previous report, but do not allow accidentally messing up a
	  svn or CVS working copy

2006-09-09  Damien Carbery <damien.carbery@sun.com>

	* ekiga.spec: UNBUMP ekiga, libsdl, pwlib and opal because of 
	  unaddressed compilation errors in opal.

2006-09-08  Damien Carbery <damien.carbery@sun.com>

	* totem.spec: Bump to 2.16.1.
	* patches/totem-05-moz-plugin.diff: Update for new tarball.

2006-09-07  Dave Lin  <dave.lin@sun.com>

	* patches/firefox-09-no-pkg-files.diff: Added.
	* patches/thunderbird-10-no-pkg-files.diff: Added.
	* firefox.spec, thunderbird.spec: Add patch xxx-no-pkg-files.diff
	  to remove patch checker scripts since it's unnecessary for 
	  the bundled version, changed version from 2.0b2(Firefox), 2.0a1
	  (Thunderbird) to 2.0 to comply the WOS integration rule, 
	  re-organized the patch list

2006-09-06 Rick Ju <rick.ju@sun.com>

	* gaim.spec: Bump to 2.0.0beta3.1. Add patch 07-msn-crash. Remove
	  deprecated patches; renumber remaining patches.
	* patches/gaim-07-msn-crash.diff: Added to fix a MSN crash bug.
	* patches/gaim-01-g11n-menu-entry.diff, patches/gaim-04-uint_max.diff,
	  patches/gaim-05-po-mkinstalldirs.diff, patches/gaim-06-gettext.diff,
	  patches/gaim-07-void-return.diff, patches/gaim-09-add-help.diff:
	  Removed deprecated patches.

2006-09-06  Damien Carbery <damien.carbery@sun.com>

	* gnome-system-monitor.spec: Bump to 2.16.0.
	* libgtop.spec: Bump to 2.14.3.

2006-09-06  Damien Carbery <damien.carbery@sun.com>

	* ekiga.spec: Bump pwlib to 1.10.2, opal to 2.2.3.

2006-09-06  Irene Huang <Irene.Huang@sun.com>

	* evolution.spec: add patch evolution-03-display-mail.diff
	* patches/evolution-03-display-mail.diff: Fixes bug 319376 in community
	  so that if Evolution is last closed with views other than mail, it
	  will show correct messege list size when on start up. 

2006-09-06  Dave Lin  <dave.lin@sun.com>

	* firefox.spec: Bump version to 2.0b2. 

2006-09-05  Brian Cameron  <brian.cameron@sun.com>

	* control-center.spec: Build with HAL enabled if the package is
	  present.
	* patches/control-center-04-remove-xkb-layout.diff:  Fix so that
	  we do not just disable the GUI elements of Xkb, but also avoid
	  building the parts of control-center that depend on libxklavier.
	  No longer hack the glade file, instead just remove the tabs if
	  building without xklavier.
	* patches/control-center-11-wall.diff:  Rework since the previous
	  patch changed the Makefile this one edits.

2006-09-05  Brian Cameron  <brian.cameron@sun.com>

	* gnome-applets.spec, patch/gnome-applets-06-multiload-Xau.diff:
	  Add patch so that -lXau is added to multiload applet.

2006-09-05  Damien Carbery <damien.carbery@sun.com>

	* patches/pygobject-01-uninstalled.pc.diff: Add line to the 
	  uninstalled.pc file to sync with the provided file.
	* patches/pygtk2-01-uninstalled.pc.diff: Redo for new tarball.

2006-09-05  Damien Carbery <damien.carbery@sun.com>

	* gdm.spec: Bump to 2.16.0.
	* evince.spec: Bump to 0.6.0.
	* gtk2-engines.spec: Bump to 2.8.0.
	* bug-buddy.spec: Bump to 2.16.0.
	* gnome-python.spec: Bump to 2.16.0.
	* pango.spec: Bump to 1.14.3.
	* gnome-themes.spec: Bump to 2.16.0.
	* gconf-editor.spec: Bump to 2.16.0.
	* gnome-keyring-manager.spec: Bump to 2.16.0.
	* gnome-python-desktop.spec: Bump to 2.16.0.

2006-09-05  Damien Carbery <damien.carbery@sun.com>

	* gnome-nettool.spec: Bump to 2.16.0.
	* gnome-applets.spec: Bump to 2.16.0.1.
	* gtk2.spec: Bump to 2.10.3.

2006-09-05  Damien Carbery <damien.carbery@sun.com>

	* vte.spec: Bump to 0.14.0.
	* gnome-screensaver.spec: Bump to 2.16.0.
	* gnome-terminal.spec: Bump to 2.16.0.
	* nautilus-cd-burner.spec: Bump to 2.16.0.
	* gucharmap.spec: Bump to 1.8.0.
	* gnome-media.spec: Bump to 2.16.1.
	* gedit.spec: Bump to 2.16.0.
	* gnome-doc-utils.spec: Bump to 0.8.0.
	* pygobject.spec: Bump to 2.12.1.
	* pygtk2.spec: Bump to 2.10.1.
	* patches/pygtk2-02-pygobject-xsl-dir.diff: Update version number.
	* gnome-games.spec: Bump to 2.16.0.
	* gnome-user-docs.spec: Bump to 2.16.0.
	* gnome-icon-theme.spec: Bump to 2.16.0.1.

2006-09-04  Damien Carbery <damien.carbery@sun.com>

	* gnome-desktop.spec: Bump to 2.16.0.
	* gnome-menus.spec: Bump to 2.16.0.
	* gnome-panel.spec: Bump to 2.16.0.
	* gnome-session.spec: Bump to 2.16.0.
	* libwnck.spec: Bump to 2.16.0.
	* sound-juicer.spec: Bump to 2.16.0.
	* file-roller.spec: Bump to 2.16.0.

2006-09-04  Damien Carbery <damien.carbery@sun.com>

	* yelp.spec: Bump to 2.16.0.
	* metacity.spec: Bump to 2.16.0.
	* eog.spec: Bump to 2.16.0.1.

2006-09-04  Damien Carbery <damien.carbery@sun.com>

	* alacarte.spec: Bump to 0.10.0.
	* patches/alacarte-01-force-reload.diff: Remove upstream chunk and 
	  rework another.
	* gtkhtml.spec: Bump to 2.16.0.
	* evolution-data-server.spec: Bump to 2.16.0. Remove upstream patch,
	  01-attachment.
	* patches/evolution-data-server-01-attachment.diff: Removed, upstream.
	* evolution.spec: Bump to 2.16.0. Remove upstream patches, 
	  01-display-mail and 04-local-account. Renumber rest.
	* patches/evolution-01-display-mail.diff: Removed, upstream.
	* patches/evolution-04-local-account.diff: Removed, upstream.
	* evolution-exchange.spec: Bump to 2.16.0.
	* libgnome.spec: Bump to 2.16.0.
	* patches/libgnome-02-default-theme.diff: Updated for new tarball.
	* libgnomeui.spec: Bump to 2.16.0. Remove upstream patch, 02-hidden.
	* patches/libgnomeui-02-hidden.diff: Removed, upstream.
	* libbonobo.spec: Bump to 2.16.0.
	* libbonoboui.spec: Bump to 2.16.0.
	* gnome-applets.spec: Bump to 2.16.0.

2006-09-04  Matt Keenan <matt.keenan@sun.com>

	* ext-sources/realplay.1 : Removed, this man pages should never have 
	  been added here, it should have been added under
	  Solaris/manpages/sman1

2006-09-04  Damien Carbery <damien.carbery@sun.com>

	* gnome-keyring.spec: Bump to 0.6.0.
	* gnome-vfs.spec: Bump to 2.16.0.
	* eel.spec: Bump to 2.16.0. Remove upstream patch, 02-assertion. 
	  Renumber remainder.
	* patches/eel-02-assertion.diff: Removed, upstream.
	* patches/eel-02-assertion.diff: Renamed from 03.
	* nautilus.spec: Bump to 2.16.0.
	* control-center.spec: Bump to 2.16.0. Remove upstream patch, 
	  11-anykey-grab. Renumber remainder.
	* patches/control-center-11-anykey-grab.diff: Removed, upstream.
	* gnome-utils.spec: Bump to 2.16.0.
	* ekiga.spec: Bump to 2.0.3.
	* gcalctool.spec: Bump to 5.8.24.
	* gnome-media.spec: Bump to 2.16.0.
	* patches/gnome-media-01-menu-entries.diff: Fix for new tarball.
	* gtksourceview.spec: Bump to 1.8.0.
	* zenity.spec: Bump to 2.16.0.
	* eog.spec: Bump to 2.16.0.

2006-09-04  Damien Carbery <damien.carbery@sun.com>

	* ekiga.spec: Bump libsdl to 1.2.11.
	* gnome-user-docs.spec: Single threaded 'make' call because 
	  multi-threaded one often fails.

2006-09-04  Alvaro Lopez Ortega  <alvaro.lopez@sun.com>

	* gnome-vfs.spec, patches/gnome-vfs-16-acl-permissions.diff: Added
	  new patch. It fixes a community ACL related bug that affects our
	  Nautilus ACL support.  It will be upstream within a few days.
	* patches/nautilus-17-acl.diff: Updated with the latest changes
	  from the S10U3 version of the patch.
	
2006-09-04  Damien Carbery <damien.carbery@sun.com>

	* dogtail.spec: Bump to 0.5.2.
	* totem.spec: Bump to 2.16.0.
	* dasher.spec: Bump to 2.16.0.
	* orca.spec: Bump to 2.16.0.
	* deskbar-applet.spec: Bump to 2.16.0.
	* evolution-webcal.spec: Bump to 2.16.0.
	* gnome-icon-theme.spec: Bump to 2.16.0.

2006-09-01  Brian Cameron  <brian.cameron@sun.com>

	* patches/gst-plugins-good-09-srcopen.diff:  Not sure why Jerry put
	  this patch into 2.14 without putting it into 2.15.
	  gnome-sound-recorder doesn't work without this patch, so adding to
	  2.15 also.

2006-08-31  Damien Carbery <damien.carbery@sun.com>

	* librsvg.spec: Bump to 2.16.0.

2006-08-30  Darren Kenny <darren.kenny@sun.com>

	* patches/gnome-system-tools-08-boot.diff:
	  Remove boot patch since we're not supporting it.
	* gnome-system-tools.spec, patches/gnome-system-tools-04-tz.diff,
	  patches/gnome-system-tools-06-time.diff, 
	  patches/gnome-system-tools-08-services.diff:
	  Fix some processing of zones_sun.tab file to comply with owner's
	  expectations.
	  Also fix some processing errors in services such as only handling
	  "default" services.
	* system-tools-backends.spec, 
	  patches/system-tools-backends-02-common.diff,
	  patches/system-tools-backends-05-services.diff,
	  patches/system-tools-backends-06-shares.diff:
	  Move some patches to appropriate location. Also fix some processing
	  error with the services and the shares.

2006-08-30  Damien Carbery <damien.carbery@sun.com>

	* glib2.spec: Bump to 2.12.3.

2006-08-30  Damien Carbery <damien.carbery@sun.com>

	* dbus.spec: Add --datadir to configure call so that path in 
	  session.conf is expanded.

2006-08-30  Dave Lin  <dave.lin@sun.com>

	* ext-sources/firefox.1: Removed the useless manpage and let pkgbuild
	  pick up the right one under Solaris/manpages/sman1

2006-08-30  Damien Carbery <damien.carbery@sun.com>

	* gnome-panel.spec: Remove reference to gnome-menu-stripe.png as it has
	  been removed. Renumber the remaining 'Source?' items.

2006-08-30  Glynn Foster  <glynn.foster@sun.com>

	* ext-sources/gnome-menu-stripe.png: Remove, we don't
	  have a menu stripe anymore.
	* docs/develop-head.html,
	* docs/jds-branches.html,
	* docs/jds-bug-lifecycle.html,
	* docs/jds-build.html,
	* docs/jds-introduction.html,
	* docs/jds-source-code-tour.html,
	* docs/solaris-desktop-gaps.html: Remove all of these,
	  since we're just going to store them on the JDS project
	  webpage. Too difficult to keep in sync. We probably just
	  need a good top level README or something.

2006-08-30  Glynn Foster  <glynn.foster@sun.com>

	* gnome-utils.spec: Move python stuff to vendor-packages.

2006-08-30  Glynn Foster  <glynn.foster@sun.com>

	* gnome-utils.spec: Fix the url link.

2006-08-29  Damien Carbery <damien.carbery@sun.com>

	* gnome-speech.spec: Bump to 0.4.5.
	* deskbar-applet.spec: Bump to 2.15.92.1.

2006-08-29  Wang Xin  <jedy.wang@sun.com>

	* patches/gnome-vfs-12-ftp-show-permissions.diff: Removed
	  because the bug it fixed has been fixed in the latest nautilus.

2006-08-29  Glynn Foster  <glynn.foster@sun.com>

	* docs/develop-head.html:
	* docs/jds-branches.html:
	* docs/jds-bug-lifecycle.html:
	* docs/jds-build.html:
	* docs/jds-introduction.html:
	* docs/jds-source-code-tour.html:
	* docs/solaris-desktop-gaps.html:

2006-08-29  Glynn Foster  <glynn.foster@sun.com>

	* patches/zenity-01-commandline.diff, zenity.spec: Add new patch
	  to fix up the commandlines. Have pushed it upstream.

2006-08-28  Damien Carbery <damien.carbery@sun.com>

	* patches/pygobject-01-uninstalled.pc.diff: Add fixxref item to the
	  uninstalled.pc file for use with pygtk.
	* patches/pygtk2-01-uninstalled.pc.diff: Add '../' so that docs
	  creation portion can find the pygobject fixxref.py script.

2006-08-28  Damien Carbery <damien.carbery@sun.com>

	* pygobject.spec: Bump to 2.11.4.
	* patches/pygtk2-02-pygobject-xsl-dir.diff: Update version numbers.

2006-08-28  Patrick Wade <patrick.wade@sun.com>

	* control-center.spec:  Add patch, control-center-23, CR#6327546
	* patches/control-center-23-sticky-timeout.diff: Added. CR#6327546

2006-08-28  Patrick Wade <patrick.wade@sun.com>

	* gaim.spec: Add patch, gaim-12-proxy_mnemonics, CR#6442067
	* patches/gaim-12-proxy_mnemonics.diff: Added. CR#6442067

2006-08-28  Patrick Wade <patrick.wade@sun.com>

	* control-center.spec: Add patch, control-center-22, CR#6463966 
	* patches/control-center-22-unique-a11y-kbd.diff: Added. CR#6463966

2006-08-28  Damien Carbery <damien.carbery@sun.com>

	==== Vermillion build 48 ====

2006-08-28  Dave Lin <dave.lin@sun.com>

	* firefox.spec, thunderbird.spec: Create symbol link 
	  libnssckbi.so -> /usr/lib/mps/libnssckbi.so to fix bug CR#6459752

2006-08-28  Harry Lu  <harry.lu@sun.com>

	* patches/pygtk2-02-pygobject-xsl-dir.diff: rework to make it apply.
	* pycairo.spec: Bump to  1.2.2.
	* pygtk2.spec: Bump to 2.9.6 really.

2006-08-28  Harry Lu  <harry.lu@sun.com>

	* cairo.spec: Bump to 1.2.4.

2006-08-25  Damien Carbery <damien.carbery@sun.com>

	* gnome-session.spec: Add patch, 12-lXau, to link libXau in.
	* patches/gnome-session-12-lXau.diff: Added.
	* gnome-utils.spec: Bump to 2.15.94.
	* vte.spec: Bump to 0.13.7.
	* gok.spec: Bump to 1.2.0.

2006-08-25  Damien Carbery <damien.carbery@sun.com>

	* pyspi.spec: Bump to 0.5.5.
	* patches/pango-02-pua.diff: Remove pango-context.c chunk. A variation
	  is upstream.

2006-08-24  Damien Carbery <damien.carbery@sun.com>

	* deskbar-applet.spec: Bump to 2.15.92.

2006-08-24  Laszlo (Laca) Peter  <laca@sun.com>

	* gtkperf.spec: autotoolize to avoid weird autom4te error when
	  configure runs autoheader
	* alacarte.spec: remove autoheader call since
	  there is AC_CONFIG_HEADER in configure.in

2006-08-24  Takao Fujiwara <takao.fujiwara@sun.com>

	* gnome-utils.spec: Updated to add '--with-grep' option. Fix #6453845.

2006-08-23  Damien Carbery <damien.carbery@sun.com>

	* gnome-applets.spec: Reenable building of stickynotes, turned off 
	  because TomBoy is a replacement. 
	* control-center.spec: Bump to 2.15.92.
	* pango.spec: Bump to 1.14.2.

2006-08-23  Matt Keenan <matt.keenan@sun.com>

	* patches/gnome-panel-16-lXau.diff : Update to do this in configure.in
	  instead.

2006-08-23  Damien Carbery <damien.carbery@sun.com>

	* patches/pygtk2-02-pygobject-xsl-dir.diff: Update ver number for 
	  pygobject source directory.
	* pygobject.spec: Add note about pygtk2 patch dependency.
	* gnome-themes.spec: Add note about bumping icon-naming-utils, a
	  dependency of gnome-themes.
	* patches/gnome-panel-16-lXau.diff: Add path to libXau to allow
	  building on snv_45. libXau moves to /usr/lib in snv_46.
	* icon-naming-utils.spec: Bump to 0.8.1.

2006-08-23  Halton Huo  <halton.huo@sun.com>

	* alacarte.spec, patches/alacarte-01-force-reload.diff:
	  New module for gnome-menu-editor.

2006-08-22  Brian Cameron  <brian.cameron@sun.com>

	* at-poke.spec, patches/at-poke-02-fixdemo.diff:  Location of
	  gtk-demo has moved on Solaris.  Update at-poke so it knows the
	  new location.

2006-08-22  Damien Carbery <damien.carbery@sun.com>

	* gnome-games.spec: Bump to 2.15.92.
	* nautilus.spec: Bump to 2.15.92.1.
	* totem.spec: Bump to 1.5.92. Remove upstream patch, 
	  05-automake-conditional, renumber rest.
	* patches/totem-05-automake-conditional.diff: Removed, upstream.
	* patches/totem-05-moz-plugin.diff: Renumbered from 06.
	* gnome-applets.spec: Bump to 2.15.90. Remove upstream patch, 
	  05-hidden, renumber rest.
	* patches/gnome-applets-05-hidden.diff: Removed, upstream.
	* patches/gnome-applets-05-make-multiload-network-available.diff:
	  Renumbered from 06.

2006-08-22  Damien Carbery <damien.carbery@sun.com>

	* nautilus.spec: Bump to 2.15.92.
	* gnome-themes.spec: Bump to 2.15.92.
	* eog.spec: Bump to 2.15.92.
	* gnome-speech.spec: Bump to 0.4.4.
	* pango.spec: Bump to 1.14.1.
	* gnome-system-monitor.spec: Bump to 2.15.92.
	* pygobject.spec: Bump to 2.11.3.
	* gdm.spec: Bump to 2.15.10.
	* file-roller.spec: Bump to 2.15.92
	* patches/file-roller-02-rename-contents.diff: Rework.
	* patches/file-roller-03-menu-entry.diff: Rework.
	* atk.spec: Bump to 2.15.92
	* at-spi.spec: Bump to 2.15.92
	* gail.spec: Bump to 2.15.92
	* gedit.spec: Bump to 2.15.92
	* gnome-icon-theme.spec: Bump to 2.15.92
	* gnome-backgrounds.spec: Bump to 2.15.92
	* dasher.spec: Bump to 2.15.92
	* gnome-python.spec: Bump to 2.15.92
	* metacity.spec: Bump to 2.15.34.
	* gtk2-engines.spec: Bump to 2.7.8.
	* libwnck.spec: Bump to 2.15.92.
	* gnome-desktop.spec: Bump to 2.15.92.
	* gnome-session.spec: Bump to 2.15.92.
	* patches/gnome-session-10-fixcrash.diff: Removed, upstream.
	* patches/gnome-session-10-wait-for-postrun.diff: Rename from 11.
	* patches/gnome-session-11-trusted-extensions.diff: Rename from 12.
	* gnome-panel.spec: Bump to 2.15.92.
	* patches/gnome-panel-03-fish-applet.diff: Rework.
	* patches/gnome-panel-06-notificationarea-tooltip.diff: Rework.
	* patches/gnome-panel-11-clock-timezone.diff: Rework.
	* gnome-screensaver.spec: Bump to 2.15.7.
	* nautilus-cd-burner.spec: Bump to 2.15.7.
	* bug-buddy.spec: Bump to 2.15.92.
	* gnome-keyring-manager.spec: Bump to 2.15.92.

2006-08-22  Jeff Cai  <jeff.cai@sun.com>

	* patches/evolution-01-display-mail.diff: rework patch.

2006-08-22  Simon Zheng <simon.zheng@sun.com>
	
	* evolution-04-local-account.diff: Update the patch.

2006-08-22  Jeff Cai <jeff.cai@sun.com>

	* gtkhtml.spec: Bump to 3.11.92.

2006-08-21  Wang Xin  <jedy.wang@sun.com>

	* evolution-data-server.spec: Add one patch, 01-attachment.diff, 
	  for 6461581. 
	* patches/evolution-data-server-01-attachment.diff: Added #6461581.

2006-08-21  Damien Carbery <damien.carbery@sun.com>

	* gtkhtml.spec: Bump to 3.11.92.
	* evolution-data-server.spec: Bump to 1.7.92.
	* evolution.spec: Bump to 2.7.92.
	* evolution-exchange.spec: Bump to 2.7.92.
	* gnome-keyring.spec: Bump to 0.5.2.
	* gnopernicus.spec: Bump to 1.0.7.
	* orca.spec: Bump to 0.9.0.
	* gnome-vfs.spec: Bump to 2.15.92.
	* eel.spec: Bump to 2.15.92.
	* patches/nautilus-16-interface-changes.diff: Rework.

2006-08-21  Damien Carbery <damien.carbery@sun.com>

	* gst-plugins-base.spec: Remove patch, 03-no-smb-uri, as the root cause
	  was with /dev/random. Closes #350949.
	* patches/gst-plugins-base-03-no-smb-url.diff: Removed. Root cause 
	  resolved.

2006-08-21  Matt Keenan  <matt.keenan@sun.com>

	* gnome-panel.spec : Fix libXau crash when logged in with GDM,
	  #6461529, bugzilla #352239
	* patches/gnome-panel-16-lXau.diff : New Patch for #6461529, bugzilla 
	  #352239

2006-08-21  Damien Carbery <damien.carbery@sun.com>

	* sound-juicer.spec: Bump to 2.15.5.1.
	* gnome-nettool.spec: Bump to 2.15.92.
	* zenity.spec: Bump to 2.15.92.
	* vte.spec: Bump to 0.13.6.
	* gnome-utils.spec: Bump to 2.15.93.

2006-08-21  Simon Zheng <simon.zheng@sun.com>
	
	* nautilus.spec: Rework two patches.
	* patches/nautilus-09-floppy.diff: The similar patch exists
	  on upstream, so delete it.
  	* patches/nautilus-11-frame-buffer.diff: Rework.

2006-08-21  Wang Xin <jedy.wang@sun.com>

	* evolution-data-server.spec: add a new patch to fix 6461581.
	* patches/evolution-04-local-account.diff: Use GnomeVFSFileSize
	  to replace ssize_t which is wrong.

2006-08-20  Simon Zheng <simon.zheng@sun.com>

	* evolution.spec: add a new patch to fix 6461578.
	* patches/evolution-04-local-account.diff: new patch to
	  retrieve file name from gtk_file_chooser widget.

2006-08-18  Damien Carbery <damien.carbery@sun.com>

	* gcalctool.spec: Bump to 5.8.23.
	* gtk2.spec: Bump to 2.10.2.

2006-08-17  Damien Carbery <damien.carbery@sun.com>

	* totem.spec: Add patch, 06-moz-plugin, to get mozilla plugin to build.
	* patches/totem-06-moz-plugin.diff: Add to CFLAGS and comment out two
	  'kill' calls which break the build.

2006-08-16  Damien Carbery <damien.carbery@sun.com>

	* glib2.spec: Bump to 2.12.2.

2006-08-16  Damien Carbery <damien.carbery@sun.com>

	* totem.spec: Add patch, 05-automake-conditional, to fix an automake
	  issue. #351617.
	* patches/totem-05-automake-conditional.diff: Added. #351617.
	* orca.spec: Unbump, from 0.2.8 to 0.2.2, to get build to work.
	* gnome-user-docs.spec: dos2unix some xml files that were breaking 
	  the build.
	* patches/gimp-04-fixcompile.diff: Rework two chunks and remove one
	  upstream chunk.

2006-08-16  Harry Lu <harry.lu@sun.com>

	* gnome-panel.spec: add new patch to fix 6460249.
	* patches/gnome-panel-15-support-alacarte.diff: new patch to
	  support alacarte.

2006-08-16  Harry Lu <harry.lu@sun.com>

	* gnome-menus.spec: add new patch to fix 6460249.
	* patches/gnome-menus-04-support-alacarte.diff: new patch to
	  support alacarte.

2006-08-15  Damien Carbery <damien.carbery@sun.com>

	* gedit.spec: Bump to 2.15.7.

2006-08-14  Damien Carbery <damien.carbery@sun.com>

	* libbonobo.spec: Bump to 2.15.3.
	* patches/libbonobo-01-gthread.diff: Rework.
	* gconf-editor.spec: Bump to 2.15.92.

2006-08-14  Damien Carbery <damien.carbery@sun.com>

	* mozilla.spec, ext-sources/mozilla.sh.in,
	  ext-sources/mozilla.desktop, ext-sources/mozilla-make-package.pl,
	  ext-sources/mozilla-rebuild-databases.pl.in, 
	  ext-sources/mozilla-psm-exclude-list, ext-sources/mozilla-icon.png,
	  ext-sources/mozilla-xpcom-exclude-list, ext-sources/mozilla.1.gz,
	  ext-sources/mozilla-startscripts.tar,
	  ext-sources/mozilla-exclude-list,
	  ext-sources/mozilla-chrome-lang.txt,
	  ext-sources/mozilla-removed-list: Removed as mozilla has been
	  EOL'd, beginning snv_47.

2006-08-14  Damien Carbery <damien.carbery@sun.com>

	* totem.spec: Bump to 1.5.91.
	* gimp.spec: Bump to 2.3.10.

2006-08-12  Dave Lin  <dave.lin@sun.com>

	* ext-sources/firefox-icon.png, ext-sources/thunderbird-icon.png:
	  Updated Firefox/Thunderbird icon to official ones

2006-08-11  Damien Carbery <damien.carbery@sun.com>

	* gst-plugins-base.spec: Add patch 03-no-smb-uri to remove uris that
	  were causing build to hang.
	* patches/gst-plugins-base-03-no-smb-uri.diff: Added.
	* pygtk2.spec: Add patch 02-pygobject-xsl-dir so that pygobject xsl
	  file can be found during build.
	* patches/pygtk2-02-pygobject-xsl-dir.diff: Added.

2006-08-11  Matt Keenan <matt.keenan@sun.com>

	* patches/gnome-applets-04-disable-keyboard-layout.diff : 6458547 : Fix
	  GNOME_KeyboardApplet.server 

2006-08-11  Matt Keenan <matt.keenan@sun.com>

	* patches/gnome-panel-08-restrict-app-launching.diff: Create launcher 
	  from Drag lockdown

2006-08-11  Damien Carbery <damien.carbery@sun.com>

	* cairo.spec: Remove upstream patch, 02-buggyx. Renumber others.
	* patches/cairo-02-buggyx.diff: Removed, upstream.
	* patches/cairo-02-8bit-fix.diff: Renamed from 03 and reworked.

2006-08-11  Matt Keenan <matt.keenan@sun.com>

	* patches/gnome-panel-08-restrict-app-launching.diff: More Re-Work

2006-08-11  Brian Cameron  <brian.cameron@sun.com>

	* gail.spec, patches/gail-01-combo-fix.diff: Remove unused patch.
	  
2006-08-11  Damien Carbery <damien.carbery@sun.com>

	* cairo.spec: Bump to 1.2.2.

2006-08-10  Matt Keenan <matt.keenan@sun.com>

	* patches/gnome-panel-08-restrict-app-launching.diff: Some rework for 
	  launching menu items

2006-08-10  Matt Keenan <matt.keenan@sun.com>

	* patches/gnome-panel-08-restrict-app-launching.diff: Some more rework 
	  for launchers

2006-08-10  Damien Carbery <damien.carbery@sun.com>

	* patches/gnome-panel-11-clock-timezone.diff: Add new hunk for clock.c
	  to sync with other changes.

2006-08-10  Matt Keenan <matt.keenan@sun.com>

	* gnome-panel.spec : added gnome-panel-14 patch
	* patches/gnome-panel-08-restrict-app-launching.diff: Temporary Rework 
	  to build.
	* patches/gnome-panel-14-lockdown-applets.diff: New stripped out of 
	  patch 08.

2006-08-10  Ghee Teo <ghee.teo@sun.com>

	* patches/libgnomeprint-03-evince-crash.diff fixes 6437235.
	  This is the second part of the fix. The first part of the
	  fix in evince itself has been upstreamed.

2006-08-10  Damien Carbery <damien.carbery@sun.com>

	* patches/gnome-panel-09-launch-menu.diff: Rework.
	* patches/gnome-panel-11-clock-timezone.diff: Rework.
	* patches/gnome-panel-12-trusted-extensions.diff: Reworked with care.

2006-08-09  Damien Carbery <damien.carbery@sun.com>

	* gnome-nettool.spec: Bump to 2.15.91.
	* gnome-utils.spec: Bump to 2.15.92.
	* gnome-themes.spec: Bump to 2.15.91.1.
	* file-roller.spec: Bump to 2.15.92.
	* gnome-user-docs.spec: Bump to 2.15.1.
	* pango.spec: Bump to 1.14.0.

2006-08-09  Damien Carbery <damien.carbery@sun.com>

	* patches/dasher-03-fixcompile.diff: Rework.
	* patches/control-center-12-wall.diff: Remove upstream hunk.
	* patches/control-center-21-evolution-about-me.diff: Remove upstream 
	  hunks.
	* patches/evince-01-menu-entry.diff: Rework.
	* patches/pygobject-01-uninstalled.pc.diff: Rework.
	* patches/gnome-session-05-load-a11y-modules.diff: Rework.
	* patches/gnome-session-06-gnome-about.diff: Rework.
	* patches/gnome-session-08-reduce-purge-warn-delay.diff: Rework.
	* patches/gnome-session-12-trusted-extensions.diff: Rework.

2006-08-09  Damien Carbery <damien.carbery@sun.com>

	* icon-naming-utils.spec: Bump to 0.8.0.
	* patches/gtk-engines-01-hidden.diff: Big rework for new tarball.
	* patches/libgnome-02-default-theme.diff: Minute rework for new tarball.

2006-08-09  Dave Lin  <dave.lin@sun.com>

	* firefox.spec: Bump version to 2.0b1, remove the 
	  patch mozilla-03-s11s-smkfl.diff, 
	  mozilla-04-s11x-smkfl.diff, firefox-03-yelp-hang.diff
	  which have been fixed in 2.0b1, change to 
	  xpinstall/packager to run make to make the binary tarball

2006-08-08  Dave Lin  <dave.lin@sun.com>

	* ext-sources/firefox-preload.list.in:
	* firefox.spec: Corrected the path of nss/nspr 
	  in the preload list

2006-08-08  Damien Carbery <damien.carbery@sun.com>

	* libgnome.spec: Bump to 2.15.2.
	* eel.spec: Bump to 2.15.91.
	* nautilus.spec: Bump to 2.15.91.

2006-08-08  Damien Carbery <damien.carbery@sun.com>

	* metacity.spec: Bump to 2.15.21.
	* eog.spec: Bump to 2.15.91.
	* zenity.spec: Bump to 2.15.91.
	* gnome-panel.spec: Bump to 2.15.91.
	* gnome-vfs.spec: Bump to 2.15.91.
	* pygobject.spec: Bump to 2.11.2.
	* gnome-icon-theme.spec: Bump to 2.15.91.
	* pygtk2.spec: Bump to 2.9.6.
	* libbonoboui.spec: Bump to 2.15.0.
	* libbonobo.spec: Bump to 2.15.2.

2006-08-08  Damien Carbery <damien.carbery@sun.com>

	* gtk2-engines.spec: Bump to 2.7.7.
	* libwnck.spec: Bump to 2.15.91.
	* gnome-session.spec: Bump to 2.15.91.
	* gnome-menus.spec: Bump to 2.15.91.
	* control-center.spec: Bump to 2.15.91.
	* gnome-desktop.spec: Bump to 2.15.91.
	* yelp.spec: Bump to 2.15.91.
	* gnome-games.spec: Bump to 2.15.6.
	* gnome-themes.spec: Bump to 2.15.91.

2006-08-08  Damien Carbery <damien.carbery@sun.com>

	* gnome-doc-utils.spec: Bump to 0.7.2.
	* gnome-utils.spec: Bump to 2.15.91.
	* dasher.spec: Bump to 4.1.9.
	* gnome-screensaver.spec: Bump to 2.15.6.
	* nautilus-cd-burner.spec: Bump to 2.15.6.
	* evince.spec: Bump to 0.5.5.

2006-08-08  Damien Carbery <damien.carbery@sun.com>

	* ekiga.spec: Change 'cd dir*' to use '%{version}'.

2006-08-08  Damien Carbery <damien.carbery@sun.com>

	* orca.spec: Bump to 0.2.8.
	* pygtk2.spec: Bump to 2.9.5.
	* libgnomeui.spec: Bump to 2.15.91.
	* gcalctool.spec: Bump to 5.8.20.
	* deskbar-applet.spec: Bump to 2.15.91.
	* gnome-applets.spec: Bump to 2.15.3.
	* gtksourceview.spec: Bump to 1.7.2.

2006-08-08  Damien Carbery <damien.carbery@sun.com>

	* file-roller.spec: Bump to 2.15.91.
	* gconf-editor.spec: Bump to 2.15.91.
	* gtkhtml.spec: Bump to 3.11.91.
	* evolution-data-server.spec: Bump to 1.7.91.
	* evolution.spec: Bump to 2.7.91.
	* evolution-exchange.spec: Bump to 2.7.91.
	* gedit.spec: Bump to 2.15.6.
	* gnome-system-monitor.spec: Bump to 2.15.91.
	* gdm.spec: Bump to 2.15.9.

2006-08-08  Dave Lin  <dave.lin@sun.com>

	* thunderbird.spec: Bump version to 2.0a1, remove the patch 
	  mozilla-03-s11s-smkfl.diff, mozilla-04-s11x-smkfl.diff, which 
	  have been fixed in 2.0a1, change to xpinstall/packager to run
	  the make to generate the binary tarball

2006-08-08  Brian Cameron  <brian.cameron@sun.com>

	* patches/gnome-media-07-supportdevices.diff:  Updated 
	  patch so it contains Calum's usability fixes.  Now 
	  labels have mnemonics, and the layout of the GUI is
	  updated so that the input/output checkboxes are not 
	  in the table with the slider, but in a vbox that 
	  contains the table and the checkboxes.  This avoids
	  the problem that when you use the preferences to turn
	  off the display of some sliders, that it makes the
	  checkboxes disappear.

2006-08-08  Glynn Foster  <glynn.foster@sun.com>

	* patches/gnome-menus-01-alacarte-nodisplay-terminal.diff:
	  Remove upstream patch.
	* gnome-menus.spec: Update
	* patches/gnome-menus-*.diff: Reorder.

2006-08-07  Brian Cameron  <brian.cameron@sun.com>

	* patches/ORBit-05-localonly.diff:  Updated patch again to
	  reflect further comments from Michael Meeks.

2006-08-07  Damien Carbery <damien.carbery@sun.com>

	* gnome-speech.spec: Bump to 0.4.3.
	* pygtk2.spec: Bump to 2.9.4.
	* pygobject.spec: Bump to 2.11.1.

2006-08-02  Brian Cameron  <brian.cameron@sun.com>

	* patches/ORBit-05-localonly.diff:  Updated patch to fix call
	  to getaddrinfo so it works on Solaris, after working with
	  Michael Meeks on the patch.

2006-08-03  Darren Kenny <darren.kenny@sun.com>

	* libgksuui.spec, gksu.spec, libgksu.spec:
	  Shouldn't be removing messages files here.

2006-08-03  Jim Li  <jim.li@sun.com>

	* gksu.spec: Create new spec file for gksu
	* libgksu.spec: Create new spec file for libgksu
	* libgksuui.spec: Create new spec file for libgksuui
	* patches/gksu-01-Makefile.diff: Remove the compiler
	  option "-O2 -Wall" 
	* patches/gksu-02-gksu.diff: let gksu support RBAC
	* patches/libgksu1.2-01-Makefile.diff: Remove the 
	  compiler option "-O2 -Wall"
	* patches/libgksu1.2-02-forkpty.diff: replace forkpty
	  function with own code
	* patches/libgksu1.2-03-mkdtemp.diff: generate a 
	  temporary file name based on TMPL
	* patches/libgksu1.2-04-rbac-support.diff: let libgksu
	  support RBAC
	* patches/libgksuui1.0-01-Makefile.diff: Remove the
	  compiler option "-O2 -Wall"

2006-08-03  Dave Lin <dave.lin@sun.com>

	* thunderbird.spec: Bumped the version to 1.5.0.5

2006-08-03  Padraig O'Briain  <padraig.obriain@sun.com>

	* dbus.spec, patches/dbus-03-dbus-launch.diff: Updated patch to
	  avoid hogging CPU.

2006-08-02  Brian Cameron  <brian.cameron@sun.com>

	* dbus.spec, patches/dbus-04-libexec.diff: Updated patch based
	  on Havoc's comments (see freedesktop bug #7624).

2006-08-02  Brian Cameron  <brian.cameron@sun.com>

	* ORBit2.spec, ext-sources/orbitrc, patches/ORBit-05-localonly.diff:
	  Turn on ORBLocalOnly=1 in /etc/orbitrc.  This is needed to resolve
	  P1 security bug 6440951.  This change is required by the "Secure
	  By Default" team to ensure that JDS not leave TCP/IP ports listening
	  to the network by default.  This patch ensures that only local
	  TCP/IP connections are accepted by default.

	  The patch for ORBit2 is to fix a bug that was causing ORBLocalOnly
	  mode to not work on Solaris.  There seems to be a problem with 
	  getaddrinfo() working on Solaris, so this patches makes sure that
	  HAVE_GETADDRINFO is unset so the fallback gethostbyname() gets used,
	  which seems to work better.  The problem with the getaddrinfo() 
	  comparison seems to be that doing memcmp() on sockaddr_in structures
	  is not a good way to test if the structures contain the same IP on
	  Solaris.  If we find ORBLocalOnly fails to work in some situations,
	  it would be worth checking to see if fixing the gethostbyname()
	  comparison to work makes a difference.

2006-08-02  Brian Cameron  <brian.cameron@sun.com>

	* patches/glib-08-hidden.diff: Make check for SUNPRO and GCC
	  a bit smarter, based on the X-code.

2006-08-02  Damien Carbery <damien.carbery@sun.com>

	* patches/pango-02-pua.diff: Rework one hunk for new tarball.

2006-08-01  Damien Carbery <damien.carbery@sun.com>

	* vte.spec: Bump to 0.13.5.
	* gnome-terminal.spec: Bump to 2.15.4.
	* gdm.spec: Bump to 2.15.8.
	* gnome-volume-manager.spec: Bump to 2.15.0.
	* pango.spec: Bump to 1.3.5.

2006-07-31  Damien Carbery <damien.carbery@sun.com>

	* gtk-doc.spec: Bump to 1.7.
	* zenity.spec: Bump to 2.15.90.

2006-07-30  Damien Carbery <damien.carbery@sun.com>

	* sound-juicer.spec: Use single thread 'make' because of build problems
	  with multiple threads.

2006-07-29  Damien Carbery <damien.carbery@sun.com>

	* patches/libgtop-01-solaris.diff: Rework for new tarball.

2006-07-28  Laszlo (Laca) Peter  <laca@sun.com>

	* dbus.spec: add patch priv.spec (from Artem Kachitchkine),
	* patches/dbus-05-priv.diff: (new) patch that makes dbus run as user
	  'daemon' and also with least privileges

2006-07-28  Brian Cameron  <brian.cameron@sun.com>

	* gnome-session.spec,
	  patches/gnome-session-07-gnome-volcheck-default.session.diff:
	  Move to Solaris/patches since we only want to apply this patch
	  if HAL is not enabled.  Renumbered gnome-session patches

2006-07-28  Damien Carbery <damien.carbery@sun.com>

	* deskbar-applets.spec: dos2unix the po files.
	* gnome-applets.spec: Remove upstream patch, 07-multiload. dos2unix the
	  po files.
	* patches/gnome-applets-07-multiload.diff: Removed, upstream.

2006-07-28  Brian Cameron  <brian.cameron@sun.com>

	* gnome-applets.spec: Fix patches section.

2006-07-28  Damien Carbery <damien.carbery@sun.com>

	* patches/gnome-applets-04-disable-keyboard-layout.diff: Rework.

2006-07-28  Dermot McCluskey <dermot.mccluskey@sun.com>

	* gnome-session.spec: Fix minor typo.

2006-07-28  Dermot McCluskey <dermot.mccluskey@sun.com>

	* gdm.spec: fixed minor typo.

2006-07-28  Matt Keenan  <matt.keenan@sun.com>

	* patches/control-center-21-evolution-about-me.diff : Required for evo
	  1.6->1.8 upgrade, image processing has changed.
	* control-center.spec : Add control-center-21-evolution-about-me.diff

2006-07-28  Damien Carbery <damien.carbery@sun.com>

	* totem.spec: Bump to 1.5.90.
	* gnome-applets.spec: Bump to 2.15.2.
	* deskbar-applet.spec: Bump to 2.15.90.1.
	* libgtop.spec:  Bump to 2.14.2.

2006-07-28  Dermot McCluskey <dermot.mccluskey@sun.com>

	* librsvg.spec: bump to 2.15.90.

2006-07-28  Matt Keenan  <matt.keenan@sun.com>

	* patches/gnome-session-01-busy-cursor.diff : Type s/bust/busy/ :)

2006-07-28  Matt Keenan  <matt.keenan@sun.com>

	* patches/control-center-20-reserved-names.diff : bugzilla : #349079
	* control-center.spec : Add control-center-20-reserved-names.diff

2006-07-28  Matt Keenan  <matt.keenan@sun.com>

	* patches/control-center-12-wall.diff : Check for USE_HAL before 
	  including hal.h fixed in HEAD bugzilla : #347610

2006-07-28  Damien Carbery <damien.carbery@sun.com>

	* patches/gedit-03-no-zh_TW-help.diff: Rework.

2006-07-27  Brian Cameron  <brian.cameron@sun.com>

	* gnome-applets.spec,
	  patches/gnome-applets-04-prefer-sdtaudiocontrol.diff:  No
	  longer prefer sdtaudiocontrol as the mixer program since
	  now gnome-volume-control is in better shape.  Other patches
	  renumbered.

2006-07-27  Laszlo (Laca) Peter  <laca@sun.com>

	* elementtree.spec: (new) spec file for the elementtree python
	  module, required by deskbar

2006-07-27  Brian Cameron  <brian.cameron@sun.com>

	* patches/gst-plugins-base-02-fixcdda.diff:  Minor patch to
	  fix setting of track number to play.
	* gst-plugins-good.spec, patches/gst-plugins-good-09-srcopen.diff:
	  Patch to open audio device in NONBLOCK mode, so
	  gnome-sound-recorder doesn't hang when you try to record more
	  than one file.

2006-07-27  Damien Carbery <damien.carbery@sun.com>

	* eog.spec: Call dos2unix to fix po files.
	* patches/control-center-12-wall.diff: Add 'libhal' to #include line.
	* gnome-applets.spec: Add patch 06-hidden for G_GNUC_INTERNAL changes.
	* patches/gnome-applets-06-hidden.diff: G_GNUC_INTERNAL fixes.
	* patches/dasher-03-fixcompile.diff: Add new hunks to fix problems.
	* pycairo.spec: Added, required by pygtk2.spec.
	* pygobject.spec: Add patch 02-void-return.
	* patches/pygobject-02-void-return.diff: Added. void function returning
	  value.
	* patches/pygtk2-01-uninstalled.pc.diff: Rework.

2006-07-27  Damien Carbery <damien.carbery@sun.com>

	* java-access-bridge.spec: Bump to 1.6.0. Remove upstream patch.
	* patches/java-access-bridge-02-build-fix.diff: Removed, upstream.

2006-07-27  Damien Carbery <damien.carbery@sun.com>

	* rhythmbox.spec: Update to 0.9.5 because dbus on build systems.
	* patches/rhythmbox-02-fixcompile.diff: Rework.

2006-07-27  Padraig O'Briain <padraig.obriain@sun.com>

	* patches/java-access-bridge-02-build-fix.diff: Add patch to
	  SelectionImpl.java to patch.

2006-07-27  Matt Keenan <matt.keenan@sun.com>

	* gnome-keyring-manager.spec : Remove scrollkeeper files
	* patches/gnome-keyring-manager-01-Wall-remove.diff : Remove -Wall.

2006-07-27  Damien Carbery <damien.carbery@sun.com>

	* patches/gnome-system-monitor-01-solaris.diff: Rework.
	* firefox.spec: Remove 'aclocal' dir as it is now empty.
	* patches/nautilus-16-interface-changes.diff: Rework.

2006-07-27  Damien Carbery <damien.carbery@sun.com>

	* patches/gtk-engines-01-hidden.diff: Add a ton of new G_GNUC_INTERNAL
	  hunks for new tarball. 324 changes now!
	* gnome-vfs.spec: Remove upstream patch, 17-__FUNCTION__.
	* patches/gnome-vfs-17-__FUNCTION__.diff: Removed, upstream.

2006-07-26  Brian Cameron  <brian.cameron@sun.com>

	* patches/dbus-04-libexec.diff: Use execl instead of execlp
	  when passing in full path of the program to launch.  Change
	  recommended by Havoc.

2006-07-26  Brian Cameron  <brian.cameron@sun.com>

	* gdm.spec: No longer call configure with the --with-at-bindir
	  argument since gok and gnopernicus were moved to the standard
	  /usr/bin location instead of /usr/sfw/bin.

2006-07-26  Brian Cameron  <brian.cameron@sun.com>

	* gdm.spec, patches/gdm*diff: Updated to build 2.15.  Removed two 
	  patches upstream  (gdm-07-startagain.diff and gdm-11-fixfocus.diff)
	  and reorganized patch numbering.  No longer include
	  gdmflexiserver.desktop since Solaris does not support Virtual
	  Terminals yet, and this menu choice causes the session to hang.
	* gnome-volume-manager.spec,
	  patches/gnome-volume-manager-03-libexec.diff:  Move
	  gnome-volume-manager to libexec to meet ARC requirements.

2006-07-26  Damien Carbery <damien.carbery@sun.com>

	* patches/pango-01-fullwidth-space.diff: Rework for new tarball.
	* patches/pango-02-pua.diff: Rework for new tarball.

2006-07-26  Matt Keenan <matt.keenan@sun.com>

	* firefox.spec : Remove patch-10
	* patches/firefox-10-gecko.m4.diff : Remove, yelp has it's own local 
	  version now.
	* patches/firefox-* : Re shuffle to be in order

2006-07-26  Halton Huo  <halton.huo@sun.com>

	* evolution-data-server.spec: Use system BerkeleyDB.

2006-07-26  Damien Carbery <damien.carbery@sun.com>

	* patches/gnome-menus-02-quickstart.diff: Rework hunk.
	* patches/gnome-menus-04-preferences.diff: Remove duplicate hunk.
	* metacity.spec: Add patch for empty stuct (forte doesn't like these).
	* patches/metacity-11-empty-struct.diff: Add 'char x' to empty structs.

2006-07-26  Damien Carbery <damien.carbery@sun.com>

	* gtk2-engines.spec: Bump to 2.7.6.
	* gnome-python.spec: Bump to 2.15.90.
	* gnome-mag.spec: Bump to 0.13.1.
	* gnome-python-desktop.spec: Bump to 2.15.90.
	* gucharmap.spec: Bump to 1.7.0.
	* gnome-vfs.spec: Bump to 2.15.90.
	* gedit.spec: Bump to 2.15.5.
	* eel.spec: Bump to 2.15.90.
	* nautilus.spec: Bump to 2.15.90.
	* pango.spec: Bump to 1.31.4.
	* gnome-system-monitor.spec: Bump to 2.15.90.

2006-07-26  Jeff Cai<jeff.cai@sun.com>

	* evolution-data-server.spec: Bump to 1.7.90.1
	* patches/evolution-data-server-01-libebook-files.diff: Remove.

2006-07-25  Damien Carbery <damien.carbery@sun.com>

	* patches/metacity-03-ctrl-alt-del.diff: Rework.
	* patches/metacity-06-logout-shortcut.diff: Rework.
	* evolution-data-server.spec: Add patch to include missing files.
	* patches/evolution-data-server-01-libebook-files.diff: Add files that
	  were not in the tarball but required for building.

2006-07-25  Damien Carbery <damien.carbery@sun.com>

	* patches/gnome-desktop-01-jds-about-branding.diff: Rework.
	* vte.spec: Remove upstream patch, 05-update-logout-record. Rename rest.
	* patches/vte-05-update-logout-record.diff: Removed, upstream.
	* gnome-utils.spec: Remove upstream patchs. Renumber rest.
	* patches/gnome-utils-01-logview.diff: Removed, upstream.
	* patches/gnome-utils-04-gnome-dictionary.diff: Removed, upstream.
	* patches/gnome-utils-02-gnome-screenshot.diff: Rework.
	* patches/gnome-utils-03-search-menu-entry.diff: Rework.

2006-07-25  Dermot McCluskey <dermot.mccluskey@sun.com>

	* gedit.spec: bump to 2.15.4.

2006-07-25  Damien Carbery <damien.carbery@sun.com>

	* ORBit2.spec: Remove upstream patch, 05-signal-broadcast.diff.
	* patches/ORBit-01-no-static.diff: Remove upstream hunk.
	* patches/ORBit-05-signal-broadcast.diff: Removed, upstream.
	* icon-naming-utils.spec: Bump to 0.7.4.

2006-07-25  Damien Carbery <damien.carbery@sun.com>

	* control-center.spec: Bump to 2.15.5.
	* gnome-panel.spec: Bump to 2.15.90.
	* nautilus-cd-burner.spec: Bump to 2.15.5.
	* vte.spec: Bump to 0.13.4.
	* gail.spec: Bump to 1.9.1.
	* gnome-mag.spec: Bump to 0.13.0.
	* gnome-terminal.spec: Bump to 2.15.3.
	* at-spi.spec: Bump to 1.7.10.
	* gnome-screensaver.spec: Bump to 2.15.5.
	* patches/glib-08-hidden.diff: Remove upstream hunk.

2006-07-25  Irene Huang <Irene.Huang@sun.com>

	* gnome-desktop.spec:
	* gnome-menus.spec:
	* libwnck.spec:
	  Change the Source URL to correct location.

2006-07-25  Jeff Cai <jeff.cai@sun.com>

	* libsoup.spec: Bump to 2.2.96
	* patches/evolution-05-message-list.diff: 
	* patches/evolution-07-ecell-text.diff:
	* patches/evolution-06-e-sidebar.diff:
	* patches/evolution-04-contact-print-dialog.diff:
	* patches/evolution-exchange-01-rename.diff:
	* patches/evolution-01-solaris-ldap.diff:
	* patches/evolution-data-server-01-ldap-ssl.diff:
	* patches/evolution-exchange-01-ldap.diff:
	  Remove patches

2006-07-24  Damien Carbery <damien.carbery@sun.com>

	* glib2.spec: Bump to 2.12.1.
	* gnome-speech.spec: Bump to 0.4.2.
	* gtk2.spec: Bump to 2.10.1.
	* deskbar-applet.spec: Bump to 2.15.90.
	* ORBit2.spec: Bump to 2.14.2.
	* sound-juicer.spec: Bump to 2.15.4.
	* gnopernicus.spec: Bump to 1.1.1.
	* gtkhtml.spec: Bump to 3.11.90.1.
	* evolution-data-server.spec: Bump to 1.7.90.
	* evolution.spec: Bump to 2.7.90.
	* evolution-exchange.spec: Bump to 2.7.90.
	* gnome-themes.spec: Bump to 2.15.90.
	* libgnomeui.spec: Bump to 2.15.90.
	* bug-buddy.spec: Bump to 2.15.90.
	* file-roller.spec: Bump to 2.15.90.
	* yelp.spec: Bump to 2.15.5.
	* gnome-utils.spec: Bump to 2.15.90.
	* gnome-games.spec: Bump to 2.15.5.
	* gdm.spec: Bump to 2.15.7.
	* metacity.spec: Bump to 2.15.13.
	* dasher.spec: Bump to 4.1.8.
	* orca.spec: Bump to 0.2.7.
	* gnome-icon-theme.spec: Bump to 2.15.90.
	* gtksourceview.spec: Bump to 1.7.1.
	* gcalctool.spec: Bump to 5.8.19.
	* libwnck.spec: Bump to 2.15.90.
	* gnome-menus.spec: Bump to 2.15.90.
	* gnome-desktop.spec: Bump to 2.15.90.
	* gnome-session.spec: Bump to 2.15.90.
	* eog.spec: Bump to 2.15.90.

2006-07-24  Damien Carbery <damien.carbery@sun.com>

	* control-center.spec: Add define for dbus use.
	* libxklavier.spec: Bump to 2.91.
	* patches/libxklavier-01-wall.diff: Rework.
	* patches/libxklavier-02-g11n-i18n-ui.diff: Rework.
	* patches/gnome-session-01-busy-cursor.diff: Rework.

2006-07-24  Padraig O'Briain <padraig.obriain@sun.com>

	* java-access-bridge.spec: Add referencce to patch 02
	* patches/java-access-bridge-02-build-fix.diff: Patch to get
	  version 1.5.0 building using java 1.5.0_07.

2006-07-24  Irene Huang <Irene.Huang@sun.com>

	* gphoto2.spec: Add option --with-libintl-prefix=/usr
	* gtkam.spec: Add option --with-libintl-prefix=/usr
	* libgphoto2.spec: add patch libgphoto2-05-dummy.diff
	* patches/libgphoto2-02-uninstalled-pc.diff: change version to 2.2.1
	* patches/libgphoto2-05-dummy.diff: new patch

2006-07-24  Wang Xin  <jedy.wang@sun.com>
	* evolution-jescs.spec: bump to 2.7.0.
	* ../SUNWevolution-jescs.spec: update evo_major_version to 2.8.

2006-07-24  Padraig O'Briain <padraig.obriain@sun.com>

	* gnome-session.spec: bump to 2.15.4.
	* patches/gnome-session-11-fixcrash.diff: Rework
	* patches/gnome-session-01-busy-cursor.diff: Rework

2006-07-24  Jeff Cai  <jeff.cai@sun.com>
	* libsoup.spec: Change from 2.2.95 to 2.2.95.1

2006-07-24  Jeff Cai  <jeff.cai@sun.com>
	* evolution-exchange.spec; bump to 2.7.4

2006-07-23  Laszlo (Laca) Peter  <laca@sun.com>

	* zenity.spec: bump to 2.15.2

2006-07-23  Laszlo (Laca) Peter  <laca@sun.com>

	* patches/nautilus-16-interface-changes.diff: add null for missing
	  "volume" argument.  Not sure it's the right fix though.

2006-07-23  Jeff Cai  <jeff.cai@sun.com>

	* evolution-webcal.spec: bump to 2.7.1

2006-07-23  Laszlo (Laca) Peter  <laca@sun.com>

	* gcalctool.spec: remove scrollkeeper files from $RPM_BUILD_ROOT

2006-07-22  Laszlo (Laca) Peter  <laca@sun.com>

	* gnome-vfs.spec: add patch __FUNCTION__.diff, delete bonobo
	  monikers stuff from %files and %install
	* patches/gnome-vfs-17-__FUNCTION__.diff: (Bug 348367) 
	  s/__FUNCTION__/G_GNUC_FUNCTION/ in sftp-method.c

2006-07-22  Laszlo (Laca) Peter  <laca@sun.com>

	* gnome-vfs.spec: remove acl.diff
	* patches/gnome-vfs-16-acl.diff: remove upstream patch
	* patches/gnome-vfs-17-hidden.diff: renumber

2006-07-22  Laszlo (Laca) Peter  <laca@sun.com>

	* gnome-vfs.spec: define DBUS_API_SUBJECT_TO_CHANGE

2006-07-22  Damien Carbery <damien.carbery@sun.com>

	* Pyrex.spec: Bump to 0.9.4.1.
	* patches/gnome-themes-03-icon-name-mapping.diff: Add to remove path 
	  to icon-name-mapping.

2006-07-21  Brian Cameron  <brian.cameron@sun.com>

	* dbus.spec, patches/dbus-04-libexec.diff, ext-sources/svc-dbus:
	  Move dbus-daemon to /usr/lib, required by ARC.
	* gst-plugins-good.spec, patches/gst-plugins-good-08-fixcdda.diff:
	  Patch to avoid CDDA plugin from asserting and core dumping if
	  it cannot find the CD device passed in.  This patch is in
	  GStreamer SVN head.
	* patches/gnome-media-03-cdda.diff:  Fix patch so it actually
	  works.
	* libmusicbrainz.spec, sound-jucier.spec,
	  patches/libmusicbrainz-01-fixduration.diff,
	  patches/sound-juicer-03-fixduration.diff:  Remove sound-juicer
	  patch and add libmusicbrainz patch to fix duration issue.  The
	  bug is really in the libmusicbrainz code and my previous patch
	  to fix the problem in sound-juicer just hid the lower-level
	  problem.

2006-07-21  Damien Carbery <damien.carbery@sun.com>

	* pygtk2.spec: Bump to 2.9.3.
	* bug-buddy.spec: Bump to 2.15.0. Disable patch as needs an engineer.
	* nimbus.spec: Add patch to disable a redefine of an enum.
	* patches/nimbus-01-redef-enum.diff: Disable enum redef.
	* gnome-backgrounds.spec: Bump to 2.14.2.1.
	* gnome-themes.spec: Bump to 2.15.4. Add patch, 03-icon-name-mapping, 
	to remove path to icon-name-mapping.
	* gnome-vfs.spec: Bump to 2.15.3.
	* patches/gnome-vfs-16-acl.diff: Remove upstream hunks.
	* gnome-icon-theme.spec: Bump to 2.15.3. Remove obsolete patch, 03.
	* patches/gnome-icon-theme-01-sun-java-icon.diff: Rework.
	* patches/gnome-icon-theme-02-pkgconfig-dir.diff: Rework.
	* patches/gnome-icon-theme-03-relative-symlinks.diff: Remove. Obsolete.
	* pygobject.spec: Bump to 2.11.0.
	* pyorbit.spec: Bump to 2.14.1.
	* gtk2-engines.spec: Bump to 2.7.5. Add patch, 01-hidden.
	* patches/gtk-engines-01-hidden.diff: For G_GNUC_INTERNAL.
	* gnome-python.spec: Bump to 2.15.4.
	* icon-naming-utils.spec: Bump to 0.7.3.

2006-07-21  Laszlo Peter  <laca@sun.com>

	* eog.spec: add --without-lcms to avoid accidentally picking up
	  liblcms (part of spec-files-extra), fixes 6425540

2006-07-21  Jeff Cai  <jeff.cai@sun.com>

	* evolution-data-server.spec: Bump to 1.7.4
	* evolution.spec: Bump to 2.7.4
	* gtkhtml.spec: Bump to 3.11.4
	* libsoup.spec: Bump to 2.2.95.1
	* patches/evolution-02-conduit.diff: delete a few
	  lines from todo-conduit.c.
	* patches/evolution-03-menu-entry.diff: rework

2006-07-21  Dermot McCluskey <dermot.mccluskey@sun.com>

	* libbonobo.spec: bump to 2.15.0
	* patches/libbonobo-03-add-newline.diff: deleted upstream patch

2006-07-21  Damien Carbery <damien.carbery@sun.com>

	* gok.spec: Bump to 1.1.1.
	* gnopernicus.spec: Bump to 1.1.0.
	* patches/gtk+-05-file-chooser.diff: Further rework.

2006-07-21  Padraig O'Briain <padraig.obriain@sun.com>

	* libgnomeui.spec:  Bump to 2.15.2
	* gnome-keyring.spec:  Bump to 0.5.1
	* libgnome.spec:  Bump to 2.13.1
	* patches/gnome-keyring-01-pkcs.diff: rework

2006-07-21  Dermot McCluskey <dermot.mccluskey@sun.com>

	* patches/gphoto2-01-build.diff: rework
	* patches/libgphoto2-01-gettext.diff: rework
	* patches/libgphoto2-03-solaris-mntent.diff: rework

2006-07-20  Damien Carbery <damien.carbery@sun.com>

	* patches/gtk+-05-file-chooser.diff: Rework.

2006-07-21  Damien Carbery <damien.carbery@sun.com>

	* gtk2.spec: Added patch,-16-hidden.
	* patches/gtk+-16-hidden.diff: Added for G_GNUC_INTERNAL changes.

2006-07-21  Dermot McCluskey <dermot.mccluskey@sun.com>

	* gphoto2.spec: bump to 2.2.0.
	* libgphoto2.spec: bump to 2.2.1.

2006-07-21  Dermot McCluskey <dermot.mccluskey@sun.com>

	* gcalctool.spec: bump to 5.8.17.

2006-07-21  Dermot McCluskey <dermot.mccluskey@sun.com>

	* gnome-doc-utils.spec: bump to 0.7.1.

2006-07-21  Dermot McCluskey <dermot.mccluskey@sun.com>

	* gnome-games.spec: bump to 2.15.4.

2006-07-21  Dermot McCluskey <dermot.mccluskey@sun.com>

	* desktop-file-utils.spec: bump to 0.11.

2006-07-21  Dermot McCluskey <dermot.mccluskey@sun.com>

	* gnome-applets.spec: bumped to 2.15.1.1.
	* patches/gnome-applets-01-disable-drivemount.diff: reworked
	* patches/gnome-applets-04-prefer-sdtaudiocontrol.diff: reworked
	* patches/gnome-applets-05-disable-keyboard-layout.diff: reworked

2006-07-21    Henry Zhang <hua.zhang@sun.com>

	* patches/gnome-system-monitor-01-solaris.diff: fix a monitor bug
	* ../SUNWgnome-system-monitor.spec: delete a sentence for gconf 
	  problem.

2006-07-21  Padraig O'Briain <padraig.obriain@sun.com>

	* vte.spec:  Bump to 0.13.3
	* gnome-terminal.spec: Bump to 2.15.2
	* patches/vte-07-g11n-word-char.diff: Removed, obsolete.
	  Later patches renamed
	* patches/gnome-terminal-02-xft-pangoxft.diff: Removed, obsolete.
	  Later patches renamed

2006-07-21  Laszlo (Laca) Peter  <laca@sun.com>

	* ext-sources/postrun: use -R / with pkginfo otherwise it picks
	  up $PKG_INSTALL_ROOT.

2006-07-20  Laszlo (Laca) Peter  <laca@sun.com>

	* ext-sources/postrun: always spool postrun jobs when -R <altroot>
	  is used and <altroot> is a different version of Solaris or
	  different architecture.

2006-07-21  Damien Carbery <damien.carbery@sun.com>

